 (Format: Year/Month/Day)

Changes for 1.3.2

*11/10/22:
    * Bugfix: possible crash at SIGINT / exit (Mathias)
    FbTk/ImageImlib2.cc

*11/10/17:
    * Removed (obsolete) Gnome window manager hints (Mathias)
      Gnome.{cc,hh} fluxbox.cc main.cc configure.in src/Makefile.am
*11/10/15:
    * Cleaned master translation file from obsolete stuff (Thanks skizzhg)
      Marked obsolete entries as _OBSOLTE to help other translators to identify
      them. Also, removed entries which are meant for error reporting anyway.
      nls/C/Translation.m
    * Updated italian translation (Thanks skizzhg)
      nls/it_IT/Translation.m

*11/09/17:
    * Tons of changes all over the place (Pavel)
      RefCount, FbTk::Timer, const Signals, Documentation fixes etc

*11/09/11:
    * Compilefix: build without 'iconv' support (Thanks to Peter Korsgaard)

*11/09/10:
    * Bugfix: sync the copied config files to the disk before continuing to
      launch. This avoids possible race conditions, eg. under MacOSX (Mathias)
      main.cc

*11/09/01:
    * Relicense 'ostrich' theme (to please Debian / Ubuntu) (Sven)
    * Bugfix: Do not change workspaces when using NextWindow/PrevWindow in toolbar (Mathias)
      ToolFactory.cc

*11/08/26:
    * Mapping keysyms to keycodes after 'MappingNotify', closes #3386257 (Mathias)
      Keys.cc
    * Regrab ButtonMotionMask, needed for 'Move' events in .fluxbox/keys (Mathias)
      Keys.cc

*11/08/11:
    * Fixed using _NET_WM_ICON wrongly, (re)closes #1852693 (Mathias)
      Ewmh.cc
    * Updated 'bloe' and 'arch' styles to work without XPM support (Sven)

*11/05/16:
    * Fixed Textdialog and TooltipWindow style rendering bugs, added
      parentrelative labels (Thanks Nacitar Sevaht)
      TextDialog.cc TooltipWindow.cc

*11/05/10:
    * Use the new signal system exclusively (Pavel)
      In 2010 Henrik introduced a new signal/slot system as a replacement
      to the observer/subject code. That transition was never completed.
      Pavel cleaned up the missing parts, fixed some crashes related to
      restart() / shutdown of fluxbox.

*11/05/09:
    * Fix build system (Pavel)
      data/Makefile.am

*11/05/08:
    * Added check for CARDINAL via client patterns (Thanks to Nacitar Sevaht)
      ClientPattern.cc Ewmh.cc FbTk/FbWindow.{cc,hh} Focusable.hh Gnome.cc
      Screen.cc WinClient.hh Window.{cc,hh}

*11/04/27:
    * Fixed build system issues, tuned .gitignore (Thanks Pavel)

*11/04/25:
    * Bugfix: do not warp workspaces with only one workspace (Mathias)
      Screen.hh

*11/04/15:
    * Fixed some compiler warnings (Thanks Pavel)
      tests/testRectangleUtil.cc tests/texturetest.cc

*11/04/14:
    * Bugfix: crash on Sparc64, closes #3285968 (Thanks David Coppa)
      src/Screen.cc
    * Fixed typo on style 'MerleyKay', closes #3286430 (Thanks David Coppa)

*11/04/11:
    * Adjusted tips of 'fbsetbg' to current behavior (Thanks skizzhg)
      util/fbsetbg

*11/04/09:
    * Fixed some clang-compiler warnings (Thanks to Pavel)
      FbTk/Image.cc
    * Fixed VPATH builds (Thanks to Pavel)
      Makefile.am data/Makefile.am src/Makefile.am src/tests/Makefile.am
      util/update-fluxbox_configs.cc

*11/04/03:
    * Bugfix: correct calculation of height if container is rotated
      vertically, closes #3195728 (Thanks to Gediminas Liktaras)
      IconbarTool.cc

*11/04/02:
    * Fixed some typos in the manpages (Thanks to Pavel Labath)

*11/03/29:
    * fluxbox-generate_menu cleanups (Thanks slakmagic at gmail com)

*11/03/28:
    * Compile fix: gcc-4.6.x needs <cstdlib> for 'size_t' (Thanks Danial Diaz)
      FbTk/LayerItem.hh FbTk/MacroCommand.h FbTk/MultLayers.hh
    * Updated turkish translations (Thanks Mesutcan Kurt)
      nls/tr_TR/*

*11/03/23:
    * Compile fixes for Sunstudio12 (sunCC 5.1), cosmetics (Mathias)
    * Fix 'sstream' configure test (Mathias)
      configure.in

*11/03/19:
    * Bugfix: delete configmenu first at shutdown (Henrik)
      Screen.cc
    * Bugfix: reposition windows only if invisible (Mathias)
      Screen.cc
    * API cleanup (Mathias)
      ScreenPlacement.{cc,hh} MinOverlapPlacement.{cc,hh}
    * Reduced code deduplication (Mathias)
      RectangleUtil.hh Screen.{cc,hh}

*11/03/18:
    * Bugfix: crash when using ClientMenu after changing the client, closes #3210493 (Mathias)
      ClientMenu.cc
    * Bugfix: misordered Toolbarplacmenet strings, closes #3195721 (Mathias)
      Toolbar.cc
    * Compiler patting, closed #3204402, love for src/tests and manpages (Mathias)
      Screen.hh Window.hh ScreenPlacement.{cc,hh} configure.in
      src/tests/* doc/asciidoc/fluxbox.txt doc/asciidoc/startfluxbox.txt

*11/02/27:
    * removed (outdated) russian documentation (Thanks Slava Semushin)
      doc/ru/* configure.in

-----------------------------
Changes for 1.3.1

*11/02/25:
    * Bugfix: submenus didn't hide if session*menuDelay was > 0 (Mathias)
      FbTk/Menu.cc AttentionHandler.cc

*11/02/24:
    * Bugfix: do not crash when moving transient windows between Workspaces (Mathias)
      Workspace.cc
    * Bugfix: correct calculation of SystemTray width / height, closes #3150939 (Mathias)
      SystemTray.cc
    * Bugfix: place WindowMenu correctly upon first call, closes #2731524 (Mathias)
      Window.cc
    * Code cleanup (Mathias)
      WorkspaceMenu.cc FbCommands.cc IconbarTool.cc ScreenPlacement.{cc,hh}
      Slit.cc ToolFactory.cc Toolbar.cc Window.cc IconButton.cc
      FbTk/{X}LayerItem.{cc,hh}

*11/02/23:
    * Bugfix: possible crash when getting an Unmap before a FocusIn event (Henrik)
      WinClient.cc
    * Code cleanup (Mathias)
      FbTk/MultLayers.cc FbTk/XLayer.{cc,hh} FbTk/Layer.{cc,hh} FbTk/LayerItem.{cc,hh}
      FocusControl.{cc,hh} MenuCreator.cc Toolbar.cc

*11/02/22:
    * Bugfix: crash for Textures with dimension == 0, closes #3188223 (Mathias)
      FbTk/TextureRender.cc FbTk/FbPixmap.cc
    * Bugfix: render 'sunken' Textures correctly (Mathias)
      FbTk/TextureRender.cc
    * Bugfix: AlphaMenu did not show correct alpha values (#3187373) (Mathias)
      g++ -Os triggered strange conflict with returning 'int' values from an
      'unsigned char' function. Changed fluxbox to hold alpha values as ints.
    * General code cleanup (Mathias)
      AlphaMenu.{cc,hh} 
      FbTk/Texture.{hh,cc} FbTk/ThemeItems.cc FbTk/TextureRender.{cc,hh}

*11/02/21:
    * Better option for 'feh' when keeping aspect ration (thanks Jeremiah Mahler)
      util/fbsetbg

*11/02/20:
    * Bugfix: possible crash if m_holder == 0 (Henrik)
      FbTk/Slot.hh
    * Spelling fixes (thanks Paul)

-----------------------------
Changes for 1.3.0

*11/02/19:

    * Readded default style to data/init (Henrik)

*11/02/15:

    * updated pt_BR translations (thanks to Sergia Cipolla)

*11/02/03:

    * Allow to override 'Focus New Windows' via .fluxbox/apps (thanks Peter Hercek)
      Remember.{cc,hh} Window.hh
    * Bugfix: semantical difference between WinState::Decoration and
      Remember::save() (thanks Peter)

*11/02/25:

    * Added 'fontconfig' as link dependency if Xft is used (Mathias)
      acinclude.m4

*11/01/24:

    * Added syntax / coloring for 'Vim' to '3rd/vim'

*11/01/18:

    * Bugfix: Prevent SIGFPE when using nxserver, closes #2813828 (Mathias)
      FbTk/Menu.cc

*11/01/15:

    * Code cleanup (Mathias)
    FbTk/Menu.{cc,hh} Screen.cc Slit.cc Toolbar.cc

*11/01/06:

    * Bugfix: handle result of DisplayString() correctly, bug #3136775 (Mathias)
    fluxbox assumed that the result of DisplayString() contains always the screen
    number. This is not the case in some (newer) versions of libX11.
    FbCommands.cc

*10/10/13:

    * Bugfix: handle situation when DISPLAY is not set (Mathias)
    main.cc

*10/09/21:

    * Bugfix: use system() for launching 'fluxbox-update_configs' (Mathias)
      FbCommands::ExecuteCmd() was used before. This changes the config
      while fluxbox is loading (from the config), this caused some nasty
      effects on 'slower' systems. system() now blocks until
      'fluxbox-update_configs' is done and then launches flubox.
      main.cc

*10/09/19:

    * Compile fix: fluxbox loves g++-4.1 again (Mathias)
    fluxbox.cc

*10/09/18:

    * Bugfix: redesigned bootstrapping (Mathias)
    The old bootstrap could lead to corrupt files. We now first
    bootstrap, then try to upgrade potentially old config files and
    after that we bring up flubox. This eliminates to signal USR2
    from 'fluxbox-update_configs' the current running fluxbox
    instance and retriggering bootstrapping and updating the config
    files which could again lead to resignal fluxbox.
    fluxbox.cc/hh main.cc

*10/09/17:

    * New command 'ArrangeWindowsVertical' (thanks John K Pate)
    WorkspaceCmd.cc/hh

    * Code clean up (Mathias)
    FbTk/StringUtil.cc/hh FbTk/ImageControl.cc/hh FbTk/TextureRenderer.cc/hh
    FbWinFrame.hh Screen.cc Toolbar.cc/hh Resources.cc main.cc

    * Bugfix: do use soon-to-be-dead pointers for putenv() (Mathias)
    FbTk/App.cc/hh FbCommands.cc main.cc

*10/09/15:

    * Bugfix: correct refcounting of the corner shapes (Mathias)
    FbTk/Shape.cc

    * Code clean up (Mathias)
    FbTk/FbPixmap.cc FbTk/FbString.cc FbTk/StringUtil.cc
    FbTk/Container.cc FbTk/STLUtil.hh FbTk/Theme.cc
    ClientPattern.cc Window.cc WinClient.cc IconbarTool.cc
    fluxbox.cc Toolbar.cc

*10/09/14:

    * Bugfix: create corner pixmaps of FbTk::Shape only once 
    per Screen (Mathias)
    FbTk/Shape.cc

    * Bugfix: correctly free corner pixmaps of FbTk::Shape (Mathias)
    FbTk/Shape.cc

    * Continue to clean up code (Mathias)
    FbTk/FbPixmap.cc

*10/09/13:

    * Continue to clean up code (Mathias)
    AtomHandler.hh Ewmh.cc Gnome.cc Remember.cc SystemTray.cc
    fluxbox.cc/hh FbWinFrame.cc

*10/09/11:

    * Implemented simple tagging mechanism (Mathias)
    Apply (or delete) a 'tag' with the new command "SetXProp TAG1=yes",
    then use the client pattern mechanism to match such 'tagged'
    windows, eg. "NextWindow (@TAG1=yes)"
    ClientPattern.cc/hh CurrentWindowCmd.cc Focusable.hh WinClient.hh
    Window.cc/hh

    * Add '(workspace=[current])' to default keys-file (Mathias)
    Upgraded the config version to '13', also updated 'fluxbox-update_configs'
    to add '(workspace=[current])' to old '~/.fluxbox/keys' for lines
    having 'NextWindow/PrevWindow/NextGroup/PrevGroup'.

    * Code cleanup for 'fluxbox-update_configs' (Mathias)
    Moved the code for each 'update step' into its own function.
    util/fluxbox-update_configs.cc

*10/09/10:

    * Do not limit cycleFocus() to windows on the current workspace (Mathias)
    This could be achieved by adding '(workspace=[current])' to the client
    pattern of the command anyway.
    Closes #1732115: 'focus urgent (chat) windows on other workspaces'
    FocusControl.cc

    * Continue to clean up code (Mathias)
    ClientPattern.cc/hh FbTk/FbWindow.cc

*10/09/09:

    * Bugfix: 'Shape' of a menu was created before the parent window (Mathias)
    FbTk/Menu.cc

    * Continue to clean up the code base, mostly by using FbTk::Util::clamp()
    FbTk/Util.hh FbTk/Timer.cc FbTk/MultLayers.cc
    AttentionHandler.cc Screen.cc ArrowButton.cc IconbarTool.cc WindowState.cc
    Remember.cc ClientPattern.cc FbCommands.cc fluxbox.cc

*10/09/08:

    * Introduced 'FbTk::BidiString' which holds both the logical content and
    the visual reordered version of the content of a string. this helps to
    reduce the number of calls to reorder the string before drawing it (as
    introduced in the patch from Ken Bloom) and to be more consistent
    in menus and textboxes (drawing cursors and underlining text). (Mathias)

    * Minor changes all over the place, mostly by using simpler or shared
      code (Mathias)
    FbTk/XmbFont.cc, FbTk/XftFont.cc, FbTk/XFontImp.cc, FbTk/StringUtil.cc
    Remember.cc WindowState.cc FbAtoms.cc ColSmartPlacement.cc

*10/09/05:
    * Added support for bidirectional text (thanx to Ken Bloom), bug #2801836
    FbTk/FbString.{cc,hh} FbTk/Font.cc

*10/08/24:
    * Code deduplication and simplification (Mathias)
    Clocktool.cc FbTk/StringUtil.hh

*10/08/20:
    * Added new action 'ActivateTab' (Mathias)
    Window.{cc,hh} Keys.cc fluxbox.cc CurrentWindowCmd.cc
    fluxbox-update_configs.cc

*10/06/01:
   * Added new focus model 'StrictMouseFocus'.  This will affect focus when
     closing, moving, lowering windows, changing desktops, etc, whereas the
     'MouseFocus' model will only change focus when you move the mouse (Jim)
     FocusControl.cc/hh, Screen.cc, ClientMenu.cc

*10/05/01:
   * Fixed placement bug of maximized windows when moved out of a xinerama
     screen (Mathias)
     Screen.cc

*10/04/30:
   * Bugfix: _NET_WM_STATE was not set correctly on 64bit systems (Mathias)
     Ewmh.cc

*10/03/26:
   * Changed title signal from Focusable to use the new signal system
     (Henrik)
     Focusable.cc/hh,WinClient.cc,Window.cc/hh,WinButton.cc/hh,IconButton.cc/hh,
     Ewmh.cc,ClientMenu.cc/hh,FocusableList.cc/hh

*10/03/17:
   * Changed debug output to use fbdbg instead of cerr (Henrik)

*10/01/19:
   * Reduce clock update checks (modified patch of Thomas Habets, thanx)
     ClockTool.cc FbTk/Timer.cc

*10/01/14:
   * Fixed spelling in documentation (thanx Paul Tagliamonte)

*09/12/18:
   * Implemented new 'MoveN' and 'ClickN' support for keys file (Mathias)
     Keys.cc Window.cc/hh CurrentWindowCmd.cc FbTk/KeyUtil.cc

*09/12/15:
   * Updated fluxbox-keys documentation, added 'Fullscreen' (thanx Paul Tagliamonte)

*09/11/23:
   * Keep 'maximized/fullscreen' state when moving a window between heads
   window (thanks Michal Zimen)
     Window.cc

*09/10/03:
   * Build system cleanup: Check for extension headers (Mathias)
     autogen.sh configure.in, removed 'missing' file

*09/10/02:
   * Bugfix: fluxbox-update_configs wiped out keys file (Mathias)
     util/fluxbox-update_configs.cc

*09/10/01:
   * Cleanup, compiler fixes, simplification all over the source (Mathias)

*09/09/23:
   * Bugfix: Empty submenus lead to misfunction of the 'HideMenus' command (Mathias)
     FbTk/Menu.cc

*09/09/12:
   * Implemented visibility of titlebar buttons via the apps file (Mathias)
     Window.cc

*09/06/28:
   * Allow matching screen number in ClientPattern (thanks Peter Hercek)
     ClientPattern.cc
   * Hide the menu when you click on a window (Mark)
     Window.cc
   * Make Raise/LowerLayer commands accept integer argument, default 2 (Mark)
     CurrentWindowCmd.cc/hh Window.cc/hh
   * Change default toolbar head to 1 (Mark)
     Toolbar.cc
   * Add window menu and alt-tab to error case for keys file (Mark)
     Keys.cc
   * Revert to relative iconbar alignment when too many windows are open (Mark)
     FbTk/Container.cc

*09/05/26:
   * Fixed unexpected window focus changes under "focus follows mouse" (Jim)
     FocusControl.cc/hh Window.cc fluxbox.cc Screen.cc
   * Make fbsetbg quieter on '-z' if there's no lastwallpaper (Jim)
     util/fbsetbg
   * Add new "background: unset" property for use in overlays. (Jim)
     RootTheme.cc
   * Key file parsing error for MacroCmd with unterminated {...} pairs (Jim)
     FbTk/StringUtil.hh FbTk/MacroCommand.cc
   * Many documentation updates (Jim):
     * Rewrote most manpages into asciidoc format
     * Split monolithic fluxbox(1) into fluxbox-apps(5), fluxbox-menu(5)
     * Renamed fluxstyle(1) to fluxbox-style(5)
*08/11/01:
   * Don't reload keys file when modifier map changes, just regrab (Mark)
     Keys.cc/hh fluxbox.cc
*08/10/15:
   * Don't allow resizing to negative dimensions (Mathias)
     Window.cc/hh
   * Ignore XRandr events that don't change the screen size (Mark)
     Screen.cc FbTk/FbWindow.cc/hh
*08/10/13:
   * Merge menuDelay and menuDelayClose options in init (Mark)
     Screen.cc/hh FbTk/MenuTheme.cc/hh FbTk/Menu.cc
*08/10/07:
   * Allow relative paths for background images in style files (Mark)
     RootTheme.cc FbTk/Image.cc/hh
*08/10/05:
   * Remove menu modes (Mark)
     Screen.cc/hh ScreenResources.cc FbTk/MenuTheme.cc/hh FbTk/Menu.cc
   * Remove follow models (Mark)
     Screen.cc/hh ScreenResources.cc Window.cc
   * Remove line style resources from init file (Mark)
     Screen.cc/hh
   * Remove rootcommand from init, as fbsetbg is run automatically nowadays.
     For other purposes, use startup instead. (Mark)
     Screen.cc/hh
*08/10/04:
   * Recognize --option in addition to -option for long option names (Mark)
     main.cc util/fbsetroot.cc util/fbrun/main.cc
   * Add -print option to fbrun that sends the result to stdout instead of
     running it (Mark)
     util/fbrun/main.cc FbRun.cc/hh
   * Fix CustomMenu and ClientMenu commands from fluxbox-remote (Mark)
     Screen.cc
   * Break emacs-style keychains after one invalid key has been pressed (Mark)
     Screen.cc Keys.cc/hh
   * Fix flickering of shaped windows, #2131548 and #2001027 (Mark)
     FbTk/Shape.cc
*08/10/01:
   * Don't flash original window while cycling (Mark)
     FocusControl.cc FbTk/XLayer.cc/hh
   * Reset background when screen changes resolution (Mark)
     Screen.cc RootTheme.cc/hh
   * Restore missing config files on reconfigure (Mark)
     fluxbox.cc
*08/09/28:
   * Changed resize signal, in screen, to use the new signal system
     (Henrik)
     Toolbar.hh/cc, Slit.hh/cc, Screen.hh/cc
   * Changed workspace area signal to use the new signal system (Henrik)
     Window.hh/cc, Screen.hh/cc, fluxbox.hh/cc
   * Changed focused window signal to use the new signal system (Henrik)
     FbTk/Signal.hh, FocusControl.cc, FocusableList.hh/cc, Screen.hh/cc
     Window.hh/cc, fluxbox.hh/cc
*08/09/25:
   * Fixed issues with round corners on restart, #2110455 (Mark)
     FbTk/Shape.cc
*08/09/21:
   * Changed icon list signal in BScreen to use the new signal system
     (Henrik)
     ClientMenu.hh/cc, Workspace.hh/cc, FbCommands.cc, MenuCreator.cc,
     Screen.hh/cc
   * Changed client list signal in BScreen to use the new signal system
     (Henrik)
     Screen.hh/cc, FocusControl.cc, fluxbox.hh/cc
   * Changed background changed signal in Bscreen to use the new signal
     system (Henrik)
     Screen.hh/cc,SystemTray.hh/cc,Slit.hh/cc
   * Changed workspace names signal in BScreen to use the new signal
     system (Henrik)
     Screen.hh/cc, SendToMenu.hh/cc, WorkspaceMenu.hh/cc, WorkspaceNameTool.hh/cc
   * Changed current workspace signal in Bscreen to use the new signal
     system (Henrik)
     FocusableList.hh/cc, Screen.hh/cc, SendToMenu.hh/cc,
     WorkspaceMenu.hh/cc, WorkspaceNameTool.hh/cc, fluxbox.hh/cc
*08/09/23:
   * Fix crashes when analyzing bad constructed _NET_WM_ICON data (Mathias)
     (Ewmh.cc)
*08/09/18:
   * Changed workspace count signal in BScreen to use the new signal
     system. (Henrik)
     Screen.cc/hh, SendToMenu.cc/hh, fluxbox.hh/cc, WorkspaceMenu.cc/hh
   * Added new Signal/Slot system to FbTk (Henrik)
     This is suppose to replace the obsolete Subject/Observer classes.
     FbTk/Signal.hh, FbTk/Slot.hh, FbTk/MemFun.hh, tests/testSignals.cc
   * Fix crash when using SetTitleDialog on a window that's been closed (Mark)
     CurrentWindowCmd.cc
-----------------------------
Changes for 1.1.1
*08/09/14:
   * Fixed a minor pixmap resource leak (Henrik)
     FbTk/Menu.cc, FbTk/ImageControl.cc/hh
*08/09/11:
   * Fixed unshading crash (Mark)
     src/FbWinFrame.cc
   * Be aware of badly specified _NET_WM_ICONS (Mathias)
     Ewmh.cc
*08/09/03:
   * Added windowmenu to distpackage (Mark)
-----------------------------
Changes for 1.1.0
*08/09/01:
   * When the current menu item gets disabled, highlight its nearest neighbor
     and add separators to the focus model menu (Mark)
     Screen.cc FbTk/Menu.cc
*08/08/22:
   * Remove borders from maximized windows (Mark)
     FbWinFrame.cc
   * Add -sync command line option for debugging X issues (Mark)
     fluxbox.cc/hh main.cc
*08/08/21:
   * Added SendToNextHead and SendToPrevHead commands (Mark)
     CurrentWindowCmd.cc/hh
*08/08/20:
   * Added SetDecor key command (Mark)
     CurrentWindowCmd.cc/hh
*08/08/19:
   * Add new [transient] tag to apps file to match transient windows (Mark)
     ClientPattern.cc/hh Remember.cc
*08/08/18:
   * Combined code for MoveTo key command and saved window positions (Mark)
     Side effects:
     - both now have the following options: TopLeft Left BottomLeft Top Center
       Bottom TopRight Right BottomRight
     - the CENTER reference in apps now behaves like WINCENTER
     - some previously saved positions will be wrong, since they are now
       computed relative to the toolbar and slit
     - CENTER/WINCENTER will now work properly with Xinerama when placing the
       window on a head other than the top left one
     CurrentWindowCmd.cc/hh Remember.cc Window.cc/hh
   * Add Top Center, Left Center, Right Center, and Bottom Center tab placement
     options (Mark)
     FbWinFrame.cc/hh Screen.cc FbTk/Container.cc/hh
*08/08/17:
   * Add new key commands SetTitle and SetTitleDialog (thanks Matteo Galiazzo)
     CommandDialog.cc/hh TextDialog.cc/hh CurrentWindowCmd.cc/hh Makefile.am
*08/08/06:
   * Created manual for fluxbox-remote (Mark)
     doc/asciidoc/fluxbox-remote.txt doc/fluxbox-remote.1
   * Automatically restore the previous background on startup (Mark)
     RootTheme.cc/hh util/fbsetbg startfluxbox.in
*08/08/05:
   * Fixed Focus key command (Mark)
     CurrentWindowCmd.cc/hh FocusableList.cc/hh
   * Added new SetLayer key command (Mark)
     CurrentWindowCmd.cc/hh
   * Make ShowDesktop command toggle between showing windows and desktop (Mark)
     WorkspaceCmd.cc
   * Created new `fluxbox-keys' man page (thanks Jim Ramsay)
     doc/asciidoc/fluxbox-keys.txt
   * Make resize cursors consistent (thanks Dmitry E. Oboukhov)
     FbWinFrameTheme.cc
*08/08/04:
   * Add selection box to various "choose one of these" menu items (Mark)
     Toolbar.cc Slit.cc Screen.cc LayerMenu.hh Xinerama.hh StyleMenuItem.cc/hh
     added FbTk/RadioMenuItem.hh
   * Add window list argument to ArrangeWindows (Mark)
     WorkspaceCmd.cc/hh
*08/06/26:
   * Remove antiquated dithering code (Mark)
     FbTk/ImageControl.cc/hh FbTk/TextureRender.cc Screen.cc/hh
*08/06/20:
   * Move default window menu to ~/.fluxbox/windowmenu (Mark)
     configure.in data/Makefile.am data/windowmenu Screen.cc
*08/06/08:
   * Add (urgent=yes|no) option to client patterns (Mark)
     ClientPattern.cc/hh
*08/06/06:
   * Allow window menu items in ordinary menus (Mark)
     MenuCreator.cc/hh
*08/06/04:
   * Leave titlebar and handle borders alone with borderless windows (Mark)
     FbWinFrame.cc/hh
*08/06/03:
   * Add -list-commands command line option, which prints a list of valid
     fluxbox commands (Mark)
     main.cc
*08/05/13:
   * Only reload custom menus when necessary (Mark)
     FbCommands.cc/hh
*08/05/12:
   * Only reload the keys file if the contents have changed (Mark)
     Keys.cc/hh fluxbox.cc/hh
   * Modifying the apps file no longer requires a reconfigure (Mark)
     Remember.cc/hh
*08/05/09:
   * Made tooltip in toolbar update when the title changes (Henrik)
     Tooltip.cc/hh, Screen.cc/cc, OSDWindow.hh
*08/05/05:
   * Add tooltips for iconbar buttons (thanks Matteo Galiazzo)
     TooltipWindow.cc/hh
*08/05/02:
   * Minor changes for fluxbox-generate_menu (thanks skiidoo)
     util/fluxbox-generate_menu.in
*08/05/01:
   * Notice when user replaces a non-existent menu file (Mark)
     fluxbox.cc Screen.cc
*08/04/30:
   * Don't allow empty root menu (Mark)
     Screen.cc
*08/04/27:
   * Added SimpleObserver class. (Henrik)
     SimpleObserver.hh, SendToMenu.hh/cc, Toolbar.hh/cc,
     SystemTray.hh/cc
*08/01/27:
   * Reload the Xinerama layout on RandR signal (Tomas)
     Screen.cc/hh
   * Move windows out of inactive heads upon Xinerama layout change (Tomas)
     Screen.cc/hh
*07/12/28:
   * Added new key command :Delay {<command>} [<int>], which runs the command
     after a delay of <int> microseconds (default is 200 milliseconds) (Mark)
     FbTk/Timer.cc/hh
*07/12/25:
   * Updated german translations for maximization menu (thanks Christian Loosli)
     nls/de_*/Translation.m
   * Removed KDE configure option, since it didn't do anything (Mark)
     configure.in config.h.in main.cc
   * Added resource session.screen<N>.slit.acceptKdeDockapps: <boolean> (Mark)
     Screen.cc Slit.cc/hh
*07/12/23:
   * Added new style items window.(un)focus.border{Width,Color} (Mark)
     FbWinFrameTheme.cc/hh FbWinFrame.cc
*07/12/21:
   * Added new key command :StartTabbing (Mark)
     Window.cc/hh CurrentWindowCmd.cc/hh
*07/12/20:
   * Added new key command :ForEach (or :Map) (Mark)
     - :ForEach {<command>} [{ [{<list opts>}] [<bool command>] }]
     - For example, the following command will shade all windows on the current
       workspace: ForEach {shade} {{groups} Matches (workspace=[current])}
     - <list opts> can be any combination of `static' and `groups' where static
       means windows are listed in creation order, and groups means individual
       tabs are not considered separately
     - This replaces syntax such as `:Minimize (layer)', which no longer works
     WorkspaceCmd.cc/hh
*07/12/19:
   * Don't let transient windows steal focus from other programs (Mark)
     Window.cc
*07/12/18:
   * NLS entries for Mouse Tab Focus and Click Tab Focus were switched - please
     make sure they're right now in your language, bug #1786566 (Mark)
     fluxbox-nls.hh
   * Open transient windows on same workspace as parent (thanks Sascha Hunold)
     Window.cc
   * Holding control while clicking on a menu item will now keep the menu open (Mark)
     FbTk/Menu.cc MenuItem.cc/hh
*07/12/17:
   * Fix startup items in apps file with specified screen number, bug #1843325
     (thanks Martin)
     Remember.cc
*07/12/14:
   * Fix compiling with gcc 4.3 (thanks Dmitry E. Oboukhov)
     main.cc
*07/12/13:
   * Fix configure option --with-style (thanks Slava Semushin)
     configure.in Makefile.am
   * Close menus only when they lose focus (Mark)
     MenuCreator.cc FbTk/Menu.cc
   * Moved command parsing code all over the place -- expect any patches that
     add new commands to be broken (Mark, Simon)
     Added FbTk/CommandRegistry.cc/hh
     Removed FbCommandFactory.cc/hh CommandParser.cc/hh
*07/12/11:
   * Added new resize modes for key command StartResizing: NearestEdge, Left,
     Right, Top, Bottom (Mark)
     Window.cc
   * Only allow one menu to be open at a time (Mark)
     FbTk/Menu.cc/hh
*07/12/09:
   * Added OnTitlebar and Double modifiers to the keys file for clicks on the
     titlebar and double clicks, respectively (Mark, thanks Matteo Galiazzo)
     - For example, `OnTitlebar Double Mouse3 :Maximize' will maximize a window
       when you double click on the titlebar with the right mouse button
     - Note: if you have commands bound to both a single and double click, the
       single click command will still be executed on the first half of a double
       click
     - Added new key commands ShadeOn and ShadeOff that set whether or not a
       window is shaded, rather than toggling the current state
       Window.cc Keys.cc/hh FbCommandFactory.cc
*07/11/22:
   * Added some new special keys to the keys file: FocusIn, FocusOut, MouseOver,
     MouseOut, ChangeWorkspace (Mark)
     - FocusIn/FocusOut correspond to a window gaining or losing focus, e.g. the
       following will raise all xterms when one gains focus:
       FocusIn :If {Matches (xterm)} {Raise (xterm)} {}
     - MouseOver/MouseOut correspond to the mouse moving over the window or
       toolbar (when used with OnToolbar) -- OnDesktop not yet supported, e.g.
       the following will unshade a window when you move your mouse over it with
       alt pressed:
       Mod1 MouseOver :If {Matches (shaded=yes)} {Shade} {}
     - ChangeWorkspace corresponds to the workspace being changed, e.g. the
       following will set a different wallpaper for each workspace:
       ChangeWorkspace :Exec fbsetbg ~/.fluxbox/bg$(xprop -root _NET_CURRENT_DESKTOP | awk '{print $3}').png
     Keys.cc Window.cc Screen.cc Toolbar.cc
   * Added translations for zh_TW (thanks Wei-Lun Chao)
   * Fix division by 0 error when resize increments are set to 0 by an
     application, bug #1836182
     WinClient.cc
   * Added conditional statements to key commands (Mark)
     - for example, this will search for an open xterm window, cycle through
       them if there are any, or else open one:
       Mod4 t :If {Some Matches (xterm)} {NextWindow (xterm)} {Exec xterm}
     - the syntax is :If {<test>} {<command if true>} {<command if false>}
     - `Matches <pattern>' is currently the only test you can make; when used
       alone, it tests the focused window or the clicked window for OnWindow
       mouse events
     - there are many ways to combine tests:
       - `Some <test>' returns true if any open client matches <test>
       - `Every <test>' returns true if every open client matches <test>
       - `Not <test>' negates the value of <test>
       - `Or {<test>} {<test>} ...' returns true if any of the tests is true
       - `And {<test>} {<test>} ...' returns true if all of the tests are true
       - `Xor {<test>} {<test>} ...' returns the boolean xor of the truth values
     FbCommandFactory.cc CurrentWindowCmd.cc/hh WorkspaceCmd.cc/hh
     FbTk/Command.hh FbTk/SimpleCommand.hh, added files FbTk/LogicCommands.cc/hh
*07/11/16:
   * Added new key command :Focus [<pattern>] that focuses a window (e.g., using
     OnWindow or specified using a window pattern) (Mark, thanks Tomas Janousek)
     FbCommandFactory.cc
   * Using ToggleDecor from Deco=TAB should hide tabs (thanks Tomas Janousek)
     Window.cc
*07/11/12:
   * Allow arbitrary window patterns for the iconbar mode (Mark)
     - Note: for now, if you match against the current head of a window, it will
       not be updated as expected in the toolbar
     ClientPattern.cc/hh FocusControl.cc/hh IconbarTool.cc/hh FbTk/Subject.cc
     fluxbox.cc, added FocusableList.cc/hh
*07/11/08:
   * Fix crash when cycling focus and window closes, bug #1787345 (Mark)
     FocusControl.cc
*07/11/04:
   * Update autoraise delay on reconfigure (Mark)
     Window.cc
*07/10/31:
   * Move fullscreen windows to normal layer when they lose focus (Mark)
     Window.cc FocusControl.cc
*07/10/24:
   * Fixed some gcc 2.96 compile issues ( Henrik )
     Layer.hh, MinOverlapPlacement.cc, Workspace.cc
   * Introduced (workspacename=...) for pattern matching and changed
     (workspace=...) to use the workspace number, indexed from 0 (Mark)
     ClientPattern.cc/hh
   * Reenabled raising window if window was moved by mouse by 0 pixels (Mathias)
     Window.cc
*07/10/23:
   * Adding/removing workspaces wasn't updating menu (Mark)
     Screen.cc
   * Support remembering maximized, minimized, and fullscreen state (Mark)
     - [Maximized] {yes|no|horz|vert}
     - [Minimized] {yes|no}
     - [Fullscreen] {yes|no}
     - also fixed window placement when remembering head but not position
     Window.cc/hh Remember.cc/hh Screen.cc/hh Ewmh.cc fluxbox-nls.hh
     CurrentWindowCmd.cc
   * Allow negated patterns, e.g. (name!=xterm) (Mark)
     ClientPattern.cc/hh
*07/10/22:
   * Added option "mouse" to client pattern ( Henrik )
     This is usefull for xinerama. For example:
     Mod1 Tab :NextWindow (head=[mouse]) 
     This will cycle focus through windows that are on the same head as 
     the mouse pointer.
     ClientPattern.cc
   * Fixed crash bug at restart. ( Henrik )
     Window.cc
   * Replaced modKey with new commands StartMoving and StartResizing (Mark)
     - your keys file should be updated automatically
     - they must be used with a mouse button, or they won't work
     - StartResizing takes one or none of the following arguments:
       NearestCorner, Center, TopLeft, TopRight, BottomLeft, BottomRight
     Window.cc/hh CurrentWindowCmd.cc/hh FbCommandFactory.cc Screen.cc/hh
     fluxbox.cc/hh ScreenResources.cc FbCommands.cc/hh
     util/fluxbox-update_configs.cc
*07/10/21:
   * Allow decorations bitmask to be specified using '0x' (Mark)
     Window.cc
*07/10/18:
   * Fixed gcc 2.96 compile problem ( Thanks rumpole at hotmail )
     bug #1809786
     src/FbTk/TextBox.cc
*07/10/15:
   * Added OnWindow modifier to keys file (Mark)
     Keys.cc Window.cc Screen.cc CurrentWindowCmd.cc
*07/10/14:
   * Added support for transient windows in window patterns, e.g.
     (transient=yes|no), defaulting to "no" for the apps file (Mark)
     Remember.cc ClientPattern.cc/hh Focusable.hh Window.cc/hh
   * Bugfix for SendToPrevWorkspace/TakeToPrevWorkspace (Mathias)
     CurrentWindowCmd.cc/hh
*07/10/13:
   * Merged pre-devel branch; see all Changes since 1.0.0 (Mark)
   * Updated ru_RU (Thanks Konstantin Shashkin)
   * deiconify windows via :Deiconify in reverse order (Mathias)
     FbCommands.cc
*07/05/23:
   * Added key command :Attach <pattern> which groups all windows matching the
     given pattern (Mark)
     FbCommandFactory.cc WorkspaceCmd.cc/hh
*07/05/20:
   * Added resources session.screen<N>.maxDisable{Move,Resize}: <boolean>, which
     prevent maximized windows from being moved/resized (Mark)
     Window.cc Screen.cc/hh nls/fluxbox-nls.hh
*07/05/19:
   * Changed behavior of resource session.screen<N>.followModel (Mark)
     - now only options are Ignore and Follow, the latter using the setting in
       session.screen<N>.userFollowModel
     Window.cc/hh Ewmh.cc Screen.cc/hh
*07/05/16:
   * Added new resource session.screen<N>.noFocusWhileTypingDelay: <int> (Mark)
     - specifies a time in milliseconds that new windows should not gain focus
       while the user is typing in the focused window
     Window.cc/hh Screen.cc/hh
*07/05/13:
   * Added new placement policies {Row,Col}MinOverlapPlacement. They behave the
     same as {Row,Col}SmartPlacement when the window fits but fall back on
     minimizing overlap with other windows instead of CascadePlacement (Mark)
     MinOverlapPlacement.cc/hh ScreenPlacement.cc/hh
*07/04/23:
   * Set IconicState on all unmapped clients and unmap clients with frames, as
     per ICCCM 4.1.4 (Mark)
     Screen.cc Window.cc FocusControl.cc
   * Added ClientMenu key command, which pops up a menu of open windows, based
     on a pattern match
     - e.g. :ClientMenu (workspace=[current]) (minimized=no)
     ClientMenu.cc FbCommands.cc/hh FbCommandFactory.cc
*07/04/11:
   * Added resource session.screen<N>.maxIgnoreIncrement: <boolean>, to
     disable size checking when maximizing a window (e.g. terminals) (Mark)
     - Also added a new configuration submenu for maximize options, to be filled
       at a later date
     Screen.cc/hh Window.cc
*07/04/08:
   * Added OnToolbar modifier to keys file (Mark)
     Keys.cc/hh Toolbar.cc/hh Screen.cc/hh IconbarTool.cc fluxbox.cc
*07/04/06:
   * More changes to theme handling (Mark)
     - introduced window.label.(un)focused.{justify,border{Color,Width}},
       which fallback to window.label.{justify,border{Color,Width}} before
       window.{justify,border{Color,Width}}
     - this has the backwards-incompatible effect that
       toolbar.iconbar.(un)focused.* fallback first to toolbar.iconbar.* and
       then to window.label.*
     FbWinFrame.cc/hh IconbarTool.cc/hh IconButton.cc/hh IconbarTheme.cc
     FbWinFrameTheme.cc/hh
*07/04/03:
   * Added window.label.(un)focused.font to styles (Mark)
     FbWinFrame.cc
*07/03/31:
   * [group] tag in apps file may now have a pattern appended to it, and a new
     window will only be automatically attached to the group if the group
     matches that pattern -- e.g. [group] (workspace) (shaded=no) will only
     automatically group with windows on the current workspace that are not
     shaded (Mark)
     Remember.cc/hh
   * Lots of window commands now take a client pattern as an additional
     argument, and the command will then be applied to all matching windows
     (Mark)
     - For example: `SendToWorkspace 2 (xterm)' will send all xterm windows to
       workspace 2
     - Here is the full list of affected commands (which is not to imply they
       all necessarily make sense to do): Fullscreen, Minimize, Maximize,
       MaximizeVertical, MaximizeHorizontal, SetAlpha, Resize, ResizeTo,
       ResizeHorizontal, ResizeVertical, MoveTo, Move, MoveRight, MoveLeft,
       MoveUp, MoveDown, Raise, RaiseLayer, Lower, LowerLayer, Close, Kill,
       Shade, Stick, ToggleDecor, SetHead, Tab, SendToNextWorkspace,
       SendToPrevWorkspace, TakeToNextWorkspace, TakeToPrevWorkspace,
       SendToWorkspace, TakeToWorkspace, NextTab, PrevTab, MoveTabLeft,
       MoveTabRight, DetachClient
     WorkspaceCmd.cc/hh CurrentWindowCmd.cc/hh FbCommandFactory.cc
*07/03/30:
   * Changed syntax for window cycling (Mark)
     - Instead of a bitmask, the window cycling functions NextWindow,
       PrevWindow, TypeAheadFocus, and GoToWindow now take a list of options
       enclosed in {} followed by a pattern similar to those used in the apps
       file.
     - Examples:
         * NextWindow {static groups} (shaded=yes) (name=xterm)
           - cycles through all shaded xterms in creation order, only focusing
             the active tab in the group
         * GoToWindow 3 (title=[current])
           - focuses the third client in last-focused order with the same title
             as the currently focused window
     - The options are: name, class, title, role, maximized, minimized, shaded,
       stuck, focushidden (can't be disabled), iconhidden, workspace (matches
       workspace names, not numbers), head (numbers), and layer (names)
     - Parsing is a pain, so you'll have to update your keys file yourself for
       now.
*07/03/29:
   * Removed groups file; entries will be added to the apps file automatically
     (Mark)
   * Fixed a problem with programs starting in IconicState (Mark)
*07/03/27:
   * Added new resource session.screen<N>.clientMenu.usePixmap that puts the
     window's icon in the workspace and icons menus: default true. (Mark)
     - For some reason, it doesn't work with un-shaped icons yet, but I've spent
       way too many hours already trying to figure out why
   * Use IconTitle in iconbar for minimized windows (Mark)
*07/03/25:
   * Added new resource session.screen<N>.tabs.usePixmap that puts the window's
     icon in the tab, if available. This is on by default. (Mark)
     Window.cc FbWinFrame.cc/hh WinClient.cc Screen.cc/hh
*07/03/24:
   * Added new key command GoToWindow (Mark)
     - Syntax is GoToWindow <int> [<bitmask>], where the int gives the position
       of the desired window with respect to a list of windows, and the bitmask
       is the same as for NextWindow. A negative number for <int> will count
       back from the end of the list.
     - Particularly useful examples are GoToWindow <int> 9 and
       GoToWindow <int> 25, which will focus the window at position <int> in the
       iconbar modes Workspace and WorkspaceNoIcons, respectively.
   * Fixed creation order window cycling with tabbed windows (Mark)
*07/03/21:
   * Added new command TypeAheadFocus (Mark)
     - syntax is the same as for NextWindow; when you run the command, you can
       start typing the title of the window, and it will gain focus; pressing
       tab will cycle through all matching entries using the options specified;
       when you've found the window you want, just press return or escape
     WinClient.hh Screen.cc/hh FbCommandFactory.cc WorkspaceCmd.cc/hh
--------------------------------
Changes for 1.0.0:
*07/10/08:
   * Changed default style to bloe
*07/10/07:
   * Added new style: bloe ( Thanks Sven Michel )
   * minor addons to fbgm (Thanks Patrik Wenger <paddor at gmail dot com>)
     util/fluxbox-generate_menu.in
*07/09/30:
   * Removed some old styles ( Henrik )
     Clean, Cthulhain, Spiff, Carbondioxide, Rampage, Minimal
   * Added new styles: ( Thanks Sven Michel )
     ostrich zimek_darkblue, zimek_green, zimek_bisque,
     carp, arch, bora_black, bora_blue, bora_green, green_tea
   * Load menu and workspacemenu mouse bindings if error when loading
     initial key bindings. Else can't get to menu to reload config (Simon)
     Keys.hh/cc
*07/09/20:
   * Updated ru_RU ( Thanks Slava Semushin )
*07/09/13:
   * Move dock windows to Dock layer and remove decorations (Mark)
     Ewmh.cc
*07/09/09:
   * Added support for Slovak language ( Thanks Martin Lukac )
     nls/sk_SK/*
*07/09/07:
   * Fix crash when changing toolbar visibility, #1786765 (Mark)
     FbTk/MenuItem.cc
*07/08/27:
   * Fix hardcoded Mod1, use ModKey() now (Mathias)
     Window.cc
*07/08/20:
   * Fix some focus issues with moving windows between workspaces (Mark)
     FocusControl.cc
*07/08/12:
   * Updated de_* translations, #1767986 ( Thanks Christian Loosli )
*07/08/11:
   * Updated Swedish translation sv_SE ( Henrik )
     sv_SE/Translation.m
*07/08/10:
   * Update Chinese translation zh_CN, thanks yhlfh
     zh_CN/Translation.m
*07/08/09:
   * Fix shaping handling, stage 2, (Simon)
     - rewrite the core of the Shape handling so that it properly 
       merges client and frame shapes. Fixes all sorts of odd shaping
       behaviour, and incidentally xeyes now gets a visible frame 
       (not having the frame was actually a bug).
     Shape.hh/cc FbWinFrame.hh/cc Window.hh/cc
   * Fix shaping handling, stage 1, (Simon)
     - do borders properly with rounded corners
     - propagate client clip mask as well as bounding mask
     Shape.hh/cc Window.cc
*07/08/07:
   * Rotate toolbar background texture along with toolbar, bug #1694959 (Mark)
     Toolbar.cc
*07/08/06:
   * Fix KDE Dockapps on restart (dont unmap), and some minor tweaks (Simon)
     SystemTray.hh/cc
*07/08/05:
   * When saving window info for remember use class name AND instance name,
     AND role if present. (Simon)
     - This should fix firefox/thunderbird issues, but note that mplayer
       (nogui) sets the vo driver name as the instance name.
     Remember.cc
   * Fix menu heading encoding (Simon) 
     sf.net bug #1712583: NLS:Non-latin characters displayed incorrectly in menu title
     MenuCreator.cc
   * Fix error passing --with-locale path in ./configure (Simon)
     sf.net bug #1708859
     configure.in
   * Add missing translation strings (Simon)
     - Thanks tenner (de_*)
     - Thanks bobbens (es_ES)
     - Thanks Guillermo Patterer (es_AR)
     - Thanks me (C/en_US/en_GB)
     - Thanks izhirahider (pt_*)
     ?/Translation.m
   * Fix System Tray restart issues (Simon)
     (including gaim/pidgin crash-on-restart)
     sf.net #1524098, #1633718 (and older?)
     src/SystemTray.hh/cc src/FbTk/FbWindow.hh/cc 
*07/07/31:
   * Change _NET_WM_WINDOW_TYPE_MENU to use TOOL decoration type (Mark)
     Ewmh.cc
*07/07/24:
   * Don't allow ToggleDecor with fullscreen windows, and make it show
     decorations for windows that don't have a titlebar by default (Mark)
     Window.cc/hh
*07/07/08:
   * Clean up state and workspace window properties on client close (Mark)
     Ewmh.cc Gnome.cc/hh
*07/07/07:
   * Don't overwrite changes to init file on reconfigure (Mark)
     Workspace.cc fluxbox.cc/hh
   * Make things work a little better with configure script's --program-prefix
     and --program-suffix options (Mark)
   * Allow negative numbers in :Workspace <int> command, which counts backwards
     from the last one (Mark)
   * Right clicking on a submenu didn't revert focus to its parent (Mark)
     FbTk/Menu.cc/hh
   * Pressing escape in a torn menu didn't work (Mark)
     FbTk/Menu.cc
   * Save workspace names when changing through menu, bug #1748967 (Mark)
     Workspace.cc Screen.cc/hh
*07/07/06:
   * When saving window information, use the class name instead of instance name
     by default (Mark)
     Remember.cc
   * Prevent apps (e.g. MPlayer) from moving/resizing just after creation if the
     position/size is saved in the apps file (Mark)
     Window.cc/hh
*07/07/03:
   * Avoid some problems with tabbed windows and resize increments (Mark)
     Window.cc WinClient.cc/hh
   * Added utility fluxbox-remote, which allows script access to most fluxbox
     commands; support must be turned on in the init file with
     session.screen<N>.allowRemoteActions; the syntax is, e.g.,
     fluxbox-remote "CustomMenu ~/.fluxbox/custommenu" (Mark)
     Screen.cc util/fluxbox-remote.cc util/Makefile.am
   * Update systemtray and KDE dockapps in slit when background changes (Mark)
     Screen.cc/hh Systemtray.cc Slit.cc FbTk/FbPixmap.cc/hh
   * Fixed resource usage due to Skype 1.4, bug #1745678 (Mark)
     FbTk/FbPixmap.cc
*07/07/02:
   * Remember original size/position in apps file for shaded or maximized
     windows (Mark)
     Remember.cc Window.cc/hh FbWinFrame.cc/hh
   * Enabled Xinerama and Imlib2 support by default (Mark)
     configure.in
   * Fixed handle rendering when switching from a style without them (Mark)
     FbWinFrame.cc
   * Changed :Tab <int> key command so that the last tab is focused if <int> is
     larger than the number of tabs (or first if <int> is negative and |<int>|
     is too large) (Mark)
     CurrentWindowCmd.cc
   * Fixed some rendering problems when toolbar item borderwidth is too large
     and toolbar bevelwidth is set (Mark)
     Toolbar.cc
   * Moved the `Transparency' submenu next to the rest of the submenus (Mark)
     Screen.cc
*07/07/01:
   * Added keycommands :AddWorkspace and :RemoveLastWorkspace (Mark)
     WorkspaceCmd.cc/hh FbCommandFactory.cc
   * More fixes for _NET_WM_STATE_MODAL and _NET_WM_STATE_DEMANDS_ATTENTION,
     plus a minor fix for pixmap styles (Mark)
     Ewmh.cc Window.cc AttentionNoticeHandler.cc/hh WinClient.cc
     WinButtonTheme.cc
*07/06/30:
   * Fixed implementation of _NET_WM_STATE_MODAL (Mark)
     Ewmh.cc/hh WinClient.cc/hh Window.cc
   * Fixed the groups file, even though it's deprecated (Mark)
     Workspace.cc Screen.cc
   * Fix _NET_WM_STATE_DEMANDS_ATTENTION with tabbed windows, #1732392 (Mark)
     Ewmh.cc/hh
*07/06/29:
   * Updates for compiling with gcc 4.3 (thanks Dmitry E. Oboukhov)
*07/06/28:
   * Strip off additional bits in event state set by Xorg, bug #1736252 (Mark)
     FbTk/KeyUtil.hh
   * Added some missing Open Office entries and window managers, plus some other
     minor changes in fluxbox-generate_menu
     fluxbox-generate_menu.in
*07/06/16:
   * Fixed compile error with --disable-remember (Mark)
     Window.cc/hh Remember.cc/hh
*07/06/09:
   * Minor change to the /bin/sh - solution (Mathias)
     we are using now just $SHELL -c <line_here>
     src/FbCommands.cc util/fbrun/FbRun.cc
*07/06/08:
   * Fix transient windows getting tabbed from apps file and not changing layers
     when main window is in a lowered tab (Mark)
     WinClient.cc Window.cc Remember.cc
*07/06/06:
   * Fix to avoid rogue instances of /bin/sh after forking away programs (Mathias)
     util/fbrun/FbRun.cc src/FbCommands.cc
*07/06/04:
   * Fix fluxbox.1.in, and asciidoc, menu command is "wallpapers" not
     "wallpaper". asciidoc manpages are stale.
   * Fix submenu placement with xinerama after moving the menu between heads,
     bug #1479517 (Mark)
     FbMenu.cc/hh FbTk/Menu.hh
*07/06/03:
   * Deiconify when automatically tabbing to a minimized window with focus new
     windows on, bug #1716899 (Mark)
     Window.cc FbWinFrame.cc
   * Submenus of slit menu were misbehaving with xinerama (Mark)
     Slit.cc
   * Also send transient windows when sending a window to another workspace, bug
     #1716900 (Mark)
     Screen.cc
   * Only change layer to normal when removing _NET_WM_STATE_{ABOVE,BELOW} if
     the window is actually above/below the normal layer (thanks Jim Ramsay)
     Ewmh.cc
*07/06/01:
   * Fixed infinite loop caused by removing the last workspace when it contains
     windows (Mark)
     Workspace.cc
*07/05/20:
   * Fixed bug #1717782, Bad fullscreen in ooimpress2  ( Henrik )
     mwm hint had no-resize which made resizing with 
     FluxboxWindow::setFullscreen impossible.
     Window.cc
*07/05/19:
   * Fixed bug #1718112, memory leak in FbWindow::textProperty ( Henrik )
     FbTk/FbWindow.cc
*07/05/17:
   * Fixed some window placement issues (thanks Tomas Janousek)
     ScreenPlacement.cc
*07/05/16:
   * Fixed bug with fluxbox-generate_menu -is (thanks Jim Ramsay)
     util/fluxbox-generate_menu.in
*07/05/12:
   * Changed interpretation of Horizontal/Vertical maximization of a window that
     is already maximized (Mark)
     Window.cc
   * Fixed tabs disappearing with [Deco] {TAB} and tabs in titlebar (Mark)
     Window.cc Screen.cc
*07/05/04:
   * Fixed infinite loop caused by deiconify command (Mark)
     FbCommands.cc
*07/04/24:
   * Fixed a bug in parsing cli (Mathias, thanks to Steven Kah Hien Wong <steven at
     zensaki dot com> for pointing out the issue)
     src/main.cc
*07/04/23:
   * Use asciidoc-generated manpages as the default from now on (Mathias)
   * Disabled resizing shaded windows (Mark)
     FbWinFrame.cc Window.cc
*07/04/20:
   * Fix slit.onhead with BOTTOMLEFT placement.(Thanks Tomas Janousek <tomi@nomi.cz>)
     Slit.cc
*07/04/19:
   * Fixed crash when CustomMenu command doesn't point to a file (Mark)
     FbCommands.cc
*07/04/17:
   * cosmetic changes (Mathias, thanks Slava Semushin)
     configure.in Screen.cc Keys.cc main.cc FbTk/MenuItem.hh FbTk/Timer.hh
     FbTk/XLayerItem.hh FbTk/ImageControl.cc FbTk/I18n.hh FbTk/FbWindow.hh
      FbTk/XLayer.hh fluxbox.cc
*07/04/11:
   * updated asciidoc-docs, (Mathias, thanks Christian Loosli for fluxbox.de.txt)
*07/04/08:
   * Menu when clicking workspacename in toolbar wasn't getting focused (Mark)
     ToolFactory.cc
   * Buttons with different textures when pressed weren't getting reset
     properly (Mark)
     FbTk/Button.cc
   * Only replace numbers with zeros when calculating clock width (Simon)
     Otherwise width of things in proportional fonts can be way out.
     sf.net bug #1545066.
     ClockTool.cc
*07/04/05:
   * Adjusted detection of Caps Lock key (Mark)
     FbTk/KeyUtil.cc/hh
*07/04/01:
   * Fixed a problem with windows being created in iconic state (Mark)
     Window.cc Screen.cc fluxbox.cc
*07/03/31:
   * Fix window menu context when opened by clicking on tab (Simon)
     sf.net bug #1652185
     Window.hh/cc
   * Default value for $LAUNCHER, plus add util and util/fbrun to the 
     PATH when generating install menu so it can find fbrun (Simon)
     fluxbox-generate_menu.in Makefile.am data/Makefile.am
   * Make fluxbox-generate_menu emit [encoding] tags around all of its
     menus. Please check that it is the right encoding, I had to guess
     some as it wasn't recorded (Simon)
     util/fluxbox-generate_menu.in
*07/03/30:
   * Added fi_FI support (Thanks Pasi Juvonen, loudvr at yahoo ca)
    nls/fi_FI/*, util/fluxbox-generate_menu.in
*07/03/28:
   * Startup file wasn't being run properly when created the first time (Mark)
     util/startfluxbox.in
*07/03/24:
   * Updated French translations (thanks Ulrich Etile)
     nls/fr_FR/Translation.m
   * Fixed a little bug in fbsetbg (Mark)
     util/fbsetbg
   * Workspace Menu wasn't updating when windows changed titles (Mark)
     Workspace.cc
*07/03/21:
   * HideMenus didn't work on CustomMenus, and also fixed a memleak with
     CustomMenu (Mark + thanks Julien Trolet)
     FbCommands.cc/hh
--------------------------------	
Changes for 1.0rc3:
*07/03/20:
   * Updated doc/asciidoc/fluxbox.txt (Mathias)
*07/03/19:
   * Active menu item wasn't getting reset properly when menu closed (Mark)
     FbTk/Menu.cc
   * Fixed some problems with toolbar sizing (Mark + thanks Julien Trolet)
     Toolbar.cc
*07/03/18:
   * Changed position remembering so it only remembers position relative to the
     current head (Mark)
     Remember.cc
   * Fixed problem with new mouse binding code when using emacs keychains (Mark)
     Keys.hh
*07/03/17:
   * Iconified, stuck windows weren't being moved to different workspaces (Mark)
     Screen.cc
*07/03/16:
   * Maximizing a window with aspect ratio requirements was making windows too
     large (thanks Tomas Janousek)
     Window.cc/hh WinClient.cc/hh
   * Added key command to open a custom menu file (thanks Matteo Galiazzo)
     - :CustomMenu /path/to/file
     FbCommands.cc/hh FbCommandFactory.cc
*07/03/11:
   * Fixed display bug with ParentRelative menu highlight (thanks Julien Trolet)
     FbTk/Menu.cc
*07/03/10:
   * Autogrouped windows weren't getting added to the workspace menu (Mark)
     Screen.cc
   * Changed default toolbar layer to DOCK, as a large window could render
     fluxbox useless to a new user otherwise (Mark)
     Toolbar.cc doc/asciidoc/fluxbox.txt
   * Fixed changing iconbar text padding requiring a toolbar refresh (Mark)
     IconbarTool.cc
   * Fixed stealing focus from unmanaged windows (Mark)
     fluxbox.cc
*07/03/07:
   * Fixed a little bug with reverting focus after closing menu (Mark)
     FbTk/Menu.cc
*07/03/06:
   * Changed some handling of focusing/raising transient windows (Mark)
     Window.cc FocusControl.cc
   * session.screen<N>.defaultDeco now allows same strings as apps file (Mark)
     Screen.cc/hh Window.cc Remember.cc/hh
*07/03/03:
   * Added typeahead support to menus (patch by Philipp Goedl, modified by Mark
     and Matteo Galiazzo)
     - Added new style item menu.frame.underlineColor: <color> for displaying
       matching items
     FbTk/Menu.cc/hh MenuItem.cc/hh MenuTheme.cc/hh Makefile.am and added
     FbTk/ITypeAheadable.hh TypeAhead.hh SearchResult.cc/hh
*07/03/02:
   * Added support for keypad enter key in menu (Mark)
     FbTk/Menu.cc
*07/02/28:
   * Fixed some strange menu behaviors (Mark)
     FbTk/Menu.cc/hh
*07/02/27:
   * Respect external tabs in ArrangeWindows (thanks to Tomas Janousek <tomi
     at nomi dot cz>
     WorkspaceCmd.cc
*07/02/25:
   * Update systemtray alpha along with toolbar alpha (Mark)
     Systemtray.cc/hh
*07/02/23:
   * Update EWMH state atom when maximizing windows (Mark)
     Window.cc
   * Update titlebar buttons on reconfigure (Mark)
     Window.cc/hh
*07/02/22:
   * Make systemtray support XEMBED protocol (Mark)
     Systemtray.cc/hh
*07/02/21:
   * Buttons should only run a command if the mouse was clicked down on the
     same button, e.g. bug #1437864 (Mark)
     FbTk/Button.cc
*07/02/17:
   * Slit was creating a strut even when it wasn't visible (Mark)
     Slit.cc/hh
   * Update workspace names on reconfigure, and don't overwrite workspace names
     not being used (Mark)
     fluxbox.cc Screen.cc
   * Fixed some issues with transients of inactive tabs (Mark)
     Window.cc
*07/02/10:
   * MaxSize and MinSize hints weren't getting updated properly -- bug #1560803
     (Mark + thanks Jim Ramsay)
     Window.cc
   * Fixed a bug with `session.ignoreBorder: true' (Mark)
     Window.cc
   * Fixed a bug with resizing windows for clients when only the width is
     specified (Mark)
     Window.cc
*07/02/09:
   * Introduced support for mouse buttons in the keys file (Mark)
     - Mouse buttons are bound to new `keys' Mouse1, Mouse2, etc.
     - Also a new modifier `OnDesktop' to specify actions that should take place
       when you click on the desktop -- without this, mouse bindings are global
     - Obviously, more modifiers are planned, so don't ask
     - Introduced new command HideMenus
     - Added a utility to the project that automatically updates configuration
       files when we change the syntax -- your current mouse bindings on the
       desktop will be added to your keys file automatically
     FbCommands.cc/hh FbCommandFactory.cc Keys.cc/hh Screen.cc/hh fluxbox.cc
     FbTk/KeyUtil.cc/hh WorkspaceCmd.cc data/init.in data/keys util/Makefile.am
     Added util/fluxbox-update_configs.cc
*07/02/06:
   * Wrong window was being raised when attaching an unfocused window (Mark)
     Window.cc
   * Make selecting `close' from the workspace menu close the correct client,
     rather than the active tab in the window -- selecting `close' from right
     clicking on a tab is still wrong, as there are complications (Mark)
     WindowCmd.cc/hh Window.cc Workspace.cc
*07/02/05:
   * Made some changes to the way autogrouping in the apps file works (Mark)
     - Introduced new syntax [group] (workspace) to group new windows only with
       windows on the current workspace
     - Fixed an unreported bug with grouping windows on multiple screens
     - Groups are now associated with clients rather than windows, so they
       will be more robust when attaching or detaching tabs and when restarting
       fluxbox
     Remember.cc/hh
*07/02/04:
   * Layer wasn't set properly on remembered windows, and the layer menu
     wasn't getting updated properly, bugs #1535304, #1572683, #1646740
     (Mark)
     Window.cc/hh LayerMenu.cc/hh
   * Clicking on the edge of a button didn't work, bugs #1060891, #1517747
     (Mark)
     FbTk/Button.cc
*07/02/02:
   * Reverted patch from svn 4684, allowing transparency in window buttons,
     until we get it working with titlebar transparency, since the old buggy
     behavior at least didn't break settings already in use (Mark)
     FbWinFrame.cc WinButton.cc/hh
   * Update window transparency immediately when using pseudotransparency,
     also introduced new key command: SetAlpha [[+-]<int> [[+-]<int>]] (Mark)
     - with no arguments, returns the focused window to default settings
     - with one argument, changes both focused and unfocused settings the same
       way
     - with two arguments, the first changes the focused alpha, and the second
       changes the unfocused alpha
     E.g. SetAlpha 127 +5 will set the focused alpha to 127 and increment the
     unfocused alpha by 5 (until it reaches 255)
     FbWinFrame.cc FbCommandFactory.cc CurrentWindowCmd.cc/hh
*07/01/26:
   * Fix default workspace names, and don't show empty menus (Mark)
     Workspace.cc FbTk/Menu.cc
   * Opening a window on a different workspace with Focus New Windows enabled
     should focus the window when you get to that workspace -- as a free bonus,
     stacking order should be more stable on fluxbox restart (Mark)
     Screen.cc FocusControl.cc/hh
*07/01/25:
   * Don't raise any windows above OverrideRedirect windows, otherwise they
     eventually get pushed to the bottomm, bug #1447583 (Mark)
*07/01/24:
   * Detect user's shell from environment rather than assuming /bin/sh (Mark)
     FbCommands.cc
*07/01/21:
   * Little fix for closing tabs with non-default gravity (Mark)
     Window.cc
   * Several fixes for menu behavior (Mark)
     - always give focus to the menu with the highlighted item
     - revert focus to menu when no other windows will take it
     - don't reopen closed submenus when moving the menu
     FocusControl.cc FbTk/Menu.cc/hh
*07/01/20:
   * Make sure styles don't change the lastwallpaper in fbsetbg (Mark)
     RootTheme.cc
   * Let styles override rootCommand in init file -- for the old behavior, add
     `background: none' to the overlay file (Mark)
     RootTheme.cc/hh Screen.cc
   * Don't place windows over toolbar at the top of the screen (Mark)
     CascadePlacement.cc
*07/01/16:
   * Make right-clicking on iconbar button behave the same way as tabs (Mark)
     IconButton.cc
   * Don't force user to reconfigure manually in order to apply menu and
     default window transparency changes; instead, in order to conserve system
     resources, do it a half-second after the user stops changing them (Mark)
     Screen.cc
*07/01/15:
   * Prevent per-window alpha menu from scrolling past 0 or 255 (Mark)
     IntResMenuItem.hh
   * Fix rootmenu disappearing on reconfigure (Mark)
     Screen.cc
*07/01/14:
   * Stay on the same workspace after a restart (Mark)
     Screen.cc
   * Properly 'properly fix' shaded and stuck windows on restart -- i.e. allow
     windows to deiconify themselves the rest of the time (Mark)
     Window.cc
   * Several changes for background style option: (Mark)
     - now support `background: mod' to coincide with fbsetroot -mod --
       In addition to `background.color' and `background.colorTo', this option
       must also set `background.modX' and `background.modY' to integers
     - added `background: none' for styles that do not include a background
     - fixed bug with style backgrounds not getting set when changing styles
     - updated default styles to be valid wrt background options
     RootTheme.cc/hh Screen.cc FbTk/Theme.hh
   * Minor fix for window cycling on multiple screens (Mark)
     fluxbox.cc
*07/01/13:
   * Only change focus order when user specifically focuses a window (Mark)
     Screen.cc Window.cc FocusControl.cc/hh
*07/01/11:
   * Added option to :Minimize key command to lower all windows in the same
     layer as the focused window -- syntax is `:Minimize (layer)' (Mark)
     FbCommandFactory.cc WorkspaceCmd.cc/hh
*07/01/08:
   * Fix another 64-bit window property (Mark/Simon)
     FbTk/FbWindow.cc
*07/01/07:
   * Update Iconbar Mode menu when updating settings (Mark)
     IconbarTool.cc
   * Fixed workspace warping going crazy, bug #1467124 (Mark)
     Window.cc
   * Fix little bug with iconbar rendering, bug #1549209 (Mark)
     IconbarTool.cc
   * Fix RefCount crash and Slit deconstruction ordering (Simon)
     RefCount.hh Slit.hh/cc
   * Support per-window transparency settings.
      (Simon and thanks Julien Trolet, dmxen at sourceforge dot net)
       sf.net patch #1511042, feature #1108692
      - new "Transparency" menu in the window menu
      - new apps file attribute: 
         [alpha] {int int} (or just {int})
        Where numbers represent focused and unfocused transparency, 
        respectively. One number only will be used for both.
      - Also, show toggle status for shade and stick in window menu.
     fluxbox-nls.hh AlphaMenu.hh/cc BoolMenuItem.hh FbTk/Menu.hh 
     FbTk/MenuItem.hh FbTk/Resource.hh FbWinFrame.hh/cc IntResMenuItem.hh/cc
     MenuCreator.cc ObjectResource.hh Remember.hh/cc Screen.cc Slit.cc
     Window.hh/cc Toolbar.cc Makefile.am AlphaMenu.hh/cc ObjectResource.hh
*07/01/06:
   * Updated nb_NO translations (thanks emptydoor at users dot sf dot net)
     nls/nb_NO/Translation.m
   * Changing session.forcePseudotransparency no longer requires restart,
     also a little code cleanup in FbTk/Transparent.cc/hh (Mark)
     Slit.cc Menu.cc Toolbar.cc FbWinFrame.cc fluxbox.cc
   * Move triangle drawing into a generic function in FbDrawable (Simon)
     Make submenu triangles in MenuItems proportional to the icon size
     (alternate implementation of sf.net patch #1526813)
     FbTk/... FbDrawable.hh/cc MenuItem.cc
     ArrowButton.hh/cc WinButton.cc ToolFactory.cc
*07/01/05:
   * When a client in an unfocused tab creates a transient window, set that
     client to the active tab (Mark)
     Window.cc
   * Window wasn't staying focused when dragging across workspaces with
     outline window moving (Mark)
     Window.cc
   * Fix placement of window menu with toolbar at the top of the screen,
     and remove titlebar from window menu (Mark)
     Window.cc IconButton.cc
   * Don't change focus to a window that doesn't accept focus (Mark)
     FocusControl.cc
   * Only grab keybindings on screens managed by fluxbox (Mark)
     fluxbox.hh Keys.cc/hh FbTk/KeyUtil.cc/hh
   * Fix locale being applied to the clock. (Simon)
     - Also fixed a likely locale-killer for BSDs (without nl_langinfo)
     ClockTool.hh/cc FbTk/FbString.cc
   * Fix nls digit strings to prefix with zero "%4d" => "%04d" for proper 
     spacing (Simon)
     Screen.cc nls/fluxbox-nls.hh nls/*/*.m
   * Fix loading of rotated fonts on style change (Simon)
     FbTk/... FontImp.hh XftFontImp.hh/cc XmbFontImp.hh/cc XFontImp.hh/cc
   * Change default Xft font to "monospace" (was "fixed") (Simon)
     - The "fixed" font loads a bitmap Xfont
     - Note that bitmap fonts do not rotate properly, and especially the 
       baseline isn't adjusted for the lack of rotation. Thus we recommend
       that if you are using a bitmapped font (e.g. artwiz), then specify it
       using xfld style (-*-snap-*-*-* ...etc) so that fluxbox loads it with 
       traditional XFont/XmbFont calls, resulting in correct placement and 
       rotation.
     FbTk/... Font.hh/cc XftFontImp.cc ThemeItems.cc
     FbWinFrameTheme.cc
*07/01/04:
   * Added new resource for init file to control default window decorations:
     session.screenN.defaultDeco: <bitmask>, where the bitmask corresponds
     to the one used for [Deco] in the apps file (Mark)
     Screen.cc/hh Window.cc/hh doc/asciidoc/fluxbox.txt
   * Move minimized windows to the back of the focused list (Mark)
     Window.cc FocusControl.cc/hh
*07/01/03:
   * Don't run [startup] items in apps file on fluxbox restart (Mark)
     Remember.cc fluxbox.cc
*07/01/02:
   * Don't escape regular expression metacharacters in apps file, bug
     #1595497 (Mark)
     Remember.cc ClientPattern.cc
*07/01/01:
   * Happy New Year!
   * Don't draw style's menu icon pixmap underneath the program's icon (Mark)
     WinButton.cc
   * Don't run [startup] items in apps file if fluxbox fails to start (Mark)
     fluxbox.cc/hh
   * Don't run [startup] items in apps file on reconfigure (Mark)
     Remember.cc
   * Fix data type of data passed to set _NET_FRAME_EXTENTS (Simon)
     (sf.net #1621980)
     Similar fix for gnome current workspace... remember that XA_CARDINAL
     "32-bit" type is actually a "long array" argument (=64bit on 64 systems)
     Ewmh.cc Gnome.cc
*06/12/31:
   * Update window scroll action (and direction) on reconfigure (Mark)
     Window.cc
   * Update toolbar visibility on reconfigure (Mark)
     Toolbar.cc
*06/12/28:
   * Don't add 2 pixels to a specified toolbar height, bug #1528646 (Mark)
     Toolbar.cc
   * Allow focus to revert to stuck windows (Mark)
     FocusControl.cc
*06/12/27:
   * Don't assume "Jump" and "*Hidden" say "yes" in apps file (Mark)
   * Jump to autogrouped windows on another workspace if set to do so in
     apps file (Mark)
     Remember.cc
*06/12/20:
   * Fixed a few bugs with tabbed windows on restart (Mark)
     Window.cc FocusControl.hh
*06/12/19:
   * Little simplification of data structure for keybindings (Mark)
     Side effects:
     - "Mod4 a b" now behaves like "Mod4 a None b" -- in fact, "None" is now
       completely obsolete
     - You can press "Escape" to cancel any Emacs-style keychain in progress
       (unless it's bound to something else)
     - If there is a conflict between bindings, the first one in the file wins
     - Fixes handling of keychains like "Mod4 a Mod1 b"
     - Should fix some issues with "None" modifier
     Keys.cc/hh FbTk/KeyUtil.cc fluxbox.cc
*06/12/18:
   * Rotate items in toolbar the same way as tabs (Mark)
     Toolbar.cc
*06/12/17:
   * Stop cycling focus when any other command is run, e.g. bug #1595336 (Mark)
     fluxbox.cc WorkspaceCmd.cc
*06/12/16:
   * Remove useless stuff from code that reloads configuration (Mark)
     fluxbox.cc
*06/11/07:
   * Cosmetic patch from Slava Semushin
     tests/texturetest.cc WorkspaceCmd.cc ToolbarTheme.cc FbTk/Layer.hh
     FbTk/MultLayers.cc FbTk/Image.cc FbTk/TextBox.cc Shape.cc ClientPattern.cc
     FbWinFrame.cc
*06/10/30:
   * Cosmetic patch from Slava Semushin
     CommandDialog.cc Ewmh.cc FbCommands.cc FbAtoms.cc Xutil.cc Gnome.cc
     MenuTheme.cc Window.cc Resources.cc tests/testFont.cc FbWinFrameTheme.cc
     SystemTray.cc MenuCreator.cc FbTk/TextureRender.cc FbTk/XFontImp.cc
     FbTk/EventManager.cc FbTk/Menu.cc FbTk/FbPixmap.cc FbTk/ImageControl.cc
     FbTk/XmbFontImp.cc FbTk/Font.cc ScreenResources.cc fluxbox.cc
     Workspace.cc Toolbar.cc IconbarTool.cc util/fbsetroot.cc
     util/fbrun/FbRun.cc util/fbrun/main.cc
*06/10/27:
   * Changed mode for .fluxbox/startup to 644 (Mathias)
     some people on noexec-mounted partitions ran into problems
     util/startfluxbox.in
   * Small updates to the asciidoc-docs (Mathias)
   * Cosmetic patch from Slava Semushin
     Slit.cc Screen.cc Keys.cc main.cc ToolbarTheme.cc FbTk/MultLayers.cc
     FbTk/Transparent.cc FbTk/Resource.cc FbTk/Theme.cc FbTk/XLayer.cc
     FbTk/Image.cc FbTk/Color.cc FbTk/FbString.cc Remember.cc RegExp.cc
     WinClient.cc Shape.cc ClientPattern.cc FbWinFrame.cc
*06/10/16:
   * Added CachedPixmap (Henrik)
     FbTk/CachedPixmap.hh/cc
*06/09/20:
   * Fixed bug #1561482, (Henrik)
     Crash when clicking on the workspacename to get the tbarmenu.
     Fixed so it recreated toolbar menu if needed in  Toolbar::reconfigure.
     src/Toolbar.cc/hh
   * fixed little issue in fbsetbg (Mathias)
     if someone has no wpsetters installed at all but only wants to use
     fbsetroot thru fbsetbg then the warning would pop up, telling her
     to install a wpsetter .. which she doenst want
     util/fbsetbg
*06/08/27:
   * Translations and addons to fbgm (thanks to Antonio Gomes)
*06/08/14:
   * Fix minor menu separator highlight issue (Simon)
     FbTk/Menu.cc
*06/08/12:
   * Fix placement of restored fullscreen windows (Mark)
     Window.cc
*06/08/10:
   * Fix crash in ClientPattern when more than one pattern in [app] line (Simon)
     ClientPattern.cc
   * Implement _NET_WM_WINDOW_TYPE_MENU and _NET_WM_WINDOW_TYPE_TOOLBAR (Mark)
     Ewmh.cc/hh
   * Fix duplicated UTF-8 encoding in el_GR (thanks Slava Semushin)
     nls/el_GR/Makefile.am
*06/08/09:
   * Remove some old code that messed up placing submenus (Mark)
     FbTk/Menu.cc/hh
*06/08/07:
   * Documented background style option (Mark)
     doc/asciidoc/fluxstyle.txt
*06/08/06:
   * Distinguish between startup and restart (Mark)
     Screen.cc/hh Remember.cc
*06/08/05:
   * Don't call placement strategy on maximized or fullscreen windows (Mark)
     Window.cc
   * Updated man fluxstyle (thanks Guillermo Patterer)
     doc/asciidoc/fluxstyle.txt
*06/08/04:
   * Allow aspect/centered/tiled options with random background in fbsetbg
     (thanks Julien Trolet)
     util/fbsetbg
   * Don't re-apply remembered settings on restart if they are set as window
     properties (Mark)
     Remember.cc Screen.cc Window.cc
   * Updated spanish translations (thanks bobbens)
     nls/es_ES
   * Updated german translations (thanks tenner)
     nls/de_DE
   * Updated portuguese translations (thanks Fábio C. P. Navarro)
     nls/pt_BR
   * Updated spanish translations (thanks Guillermo Patterer)
     nls/es_ES nls/es_AR
*06/08/03:
   * Don't raise a window after cycling if it has been minimized (Mark)
     FocusControl.cc
   * Added support for negative arguments to the `Tab' key command to count
     backwards from the last tab in the group (Mark)
     CurrentWindowCmd.cc
   * Updated documentation (Mark)
     fluxbox.txt fluxstyle.txt
*06/08/02:
   * Rename session.screen*.iconbar.deiconifyMode to
     session.screen*.userFollowModel (Mark)
     This resource is used for:
     - clicking a window on a different workspace in the iconbar
     - _NET_ACTIVE_WINDOW messages where the source is a pager
     - clicking a client in the workspace menu (and the opposite is used for
       right clicks)
     Possible values are:
     - Follow: go to the workspace of the selected window
     - Current: bring the window to the current workspace
     - SemiFollow: act like Current for iconified windows, else Follow
     - Ignore: leave it alone
     Screen.cc/hh ScreenResources.cc/hh IconbarTool.cc/hh IconButton.cc Ewmh.cc
     Workspace.cc
   * Update _NET_WORKAREA on screen dimension change (Mark)
     Screen.cc
   * Fix ClickTabFocus and MouseTabFocus in nls (Thanks Antonio Gomes)
     Screen.cc
*06/07/30:
   * List windows in iconbar in creation order (Mark)
     IconbarTool.cc/hh
*06/07/29:
   * Don't jump to remembered apps on restart (Mark)
     Remember.cc
   * Make _NET_CLIENT_LIST report windows in creation order - still need to fix
     _NET_CLIENT_LIST_STACKING (Mark)
     FocusControl.hh Ewmh.cc
   * Set _NET_WM_DESKTOP appropriately on remembered windows (Mark)
     Window.cc Ewmh.cc
*06/07/27:
   * Don't change the order of creating windows with transients on restart.
     Rather, just move the transient to the end of the list. This preserves the
     focused order and also reduces the complexity to O(n). (Mark)
     Screen.cc
*06/07/26:
   * Fixed torn menus so they don't close on exec items (Mark)
     FbTk/Menu.cc
   * Updated pt_PT translations (Thanx Antonio Gomes)
     nls/pt_PT/Translation.m
   * Added resource and menu item for maximizing over external tabs (Mark)
     Screen.cc/hh Window.cc
*06/07/25:
   * Fix so that focus doesn't revert away from command dialogs (Mark)
     fluxbox.cc/hh CommandDialog.cc
   * Fix background style item so that it works when the previous style
     didn't have one set (Mark)
     Screen.cc RootTheme.hh
*06/07/23:
   * Use a timer to make sure focus always reverts if possible (Mark)
     fluxbox.cc/hh and reverse patch from 06/07/20
*06/07/22:
   * Ewmh compliance updates: (Mark)
     - implemented _NET_WM_MOVERESIZE_CANCEL (new in version 1.4.draft-1)
     - move windows to last remaining workspace when a workspace is removed
     - implemented _NET_REQUEST_FRAME_EXTENTS
     Ewmh.cc/hh Workspace.cc/hh Screen.cc
*06/07/21:
   * Stop using fixed values for num/caps/scroll lock, and ignore scroll lock
     as a modifier (Mark)
     FbTk/KeyUtil.cc/hh
*06/07/20:
   * Fix _NET_WM_MOVERESIZE, bug #1525404 (Mark)
     Ewmh.cc
   * Properly revert focus when two windows close simultaneously (Mark)
     WinClient.cc/hh FbTk/FbWindow.hh fluxbox.cc Window.cc
*06/07/19:
   * Preserve order of focused windows on restart (Mark)
     Workspace.cc Screen.cc FocusControl.cc/hh
*06/07/16:
   * Fix a bug in Transparent.cc, (Henrik)
    #1362913 Fluxbox core dumps on Solaris 
    FbTk/Transparent.cc
*06/07/14:
   * Fix a possible bug with window cycling on multiple screens (Mark)
     fluxbox.cc WorkspaceCmd.cc
   * Include minimized windows when "alt-tabbing", added 16 to the
     Next/PrevWindow bitmask to disable the behavior (Mark)
     FocusControl.cc/hh
*06/07/13:
   * Remove some redundant code for loading styles (Mark)
     fluxbox.cc Screen.cc RootTheme.cc/hh
   * Fix background: random (Mark)
     RootTheme.cc
*06/07/10:
   * Next/PrevWindow toolbar buttons break MouseFocus: bug #1519913 (Mark)
     WorkspaceCmd.cc FocusControl.cc
*06/07/08:
   * Fix implementation of _NET_MOVERESIZE_WINDOW (Mark)
     Ewmh.cc
*06/07/06:
   * Fixed bug #1069909, Incorrect window dimensions (Henrik)
     It created strut even if it didnt have any clients
     Slit.cc
   * Fixed bug #1491571, Round corners badly rendered (Henrik)
     Update shape in FbWinFrame after a shade()
     FbWinFrame.cc
   * Changing between internal and external tabs didn't affect iconified
     windows (Mark)
     Screen.cc
   * Still trying to get the focus right: bug #1517750 (Mark)
     FocusControl.cc Window.cc Screen.cc
*06/07/05:
   * Fix crash on startup on some platforms (Simon)
     FbTk/FbString.cc
*06/07/04:
   * Fix some sizing issues from gravity change patch (Simon)
     FbWinFrame.hh/cc Window.cc
   * Auto-grouped windows using groups file didn't raise (Thanks ac2dc, bug
     #1449608)
     Workspace.cc
   * New windows don't steal focus from fullscreen windows; instead, flash the
     titlebar and iconbar button (Mark)
     Window.cc
*06/07/03:
   * fix+improve handling of window gravity, was very broken (Simon)
     - caused (among others) windows with gravity set to get relocated 
       on close.
     - gravity is now taken into account on style change
     FbWinFrame.hh/cc Window.hh/cc Ewmh.cc
   * make our default locale, init, menu, and style paths properly
     expand PREFIX in the make install stage, so that make prefix=elsewhere
     works properly (Simon)
     configure.in
-----------------------------------------------------------
Changes for 1.0rc2:
*06/07/03:
   * call waitpid() on SIGCHLD until no more children (thanks Devin/dlab)
     sf.net #1514843, #1447782 - fluxbox leaves zombies
     fluxbox.cc
*06/07/02:
   * Updated documentation (Mark)
*06/06/29:
   * Make fbsetroot set one screen at a time (Mark)
     util/fbsetroot.cc/hh
   * Fix fbsetroot segfault when DISPLAY is unset (Mark)
     util/fbsetroot.cc
*06/06/28:
   * Linear cycling wasn't affecting normal cycling order (Mark)
     WorkspaceCmd.cc
   * Little cleanup of dead functions (Mark)
     Workspace.cc/hh
   * Fixed more focus issues with linear cycling and tabbed windows (Mark)
     Window.cc FocusControl.cc Screen.cc
   * Fixed some focus issues on detach and restart (Mark)
     Window.cc FocusControl.cc/hh Screen.cc
*06/06/27:
   * Some minor cleaning (thanks Slava Semushin + Mikhail Gusarov)
     FbTk/StringUtil.hh/cc Remember.cc
   * Fix slit menu so it closes when you press escape (Mark)
     Slit.cc
*06/06/26:
   * Fix _NET_FRAME_EXTENTS implementation (Simon)
     Ewmh.cc Window.cc Screen.cc FbWinFrame.hh
   * Fix FocusHidden (Mark)
     Window.cc/hh
*06/06/25:
   * Fix [ 1512046 ] "window.label.unfocus.pixmap" doesn't update (Simon)
     - FbPixmap::copy was keeping the same pixmap if they had same 
       dimensions. This effectively broke the image cache.
     FbPixmap.cc
   * Explicitly map NoSymbol to keycode 0 (thanks Julien Trolet)
     (seems to be assigned to several keycodes)
     FbTk/KeyUtil.cc
   * Menu aware of text encodings (Simon)
     - new menu file options: 
         [encoding] {CODESET}
           ...
         [endencoding]
     - All distributions are encouraged to use these inside any 
       auto-generated menu files, so that they are independent of user 
       encoding.
     - Encoding defaults to user's current encoding
     MenuCreator.hh/cc FbTk/FbString.hh/cc nls/fluxbox-nls.hh C/Translation.m
   * Fix crash when unable to convert between local and utf-8 encodings (Simon)
     FbTk/FbString.cc
   * Fix DetachClient key command so new window is visible (Mark)
     Window.cc
*06/06/24:
   * Make Urgency Hint flash the correct tab in a group (Mark)
     Ewmh.cc Window.cc/hh WinClient.cc/hh FbWinFrame.cc/hh IconbarTool.cc
     AttentionNoticeHandler.cc/hh
   * Fix some more X-errors (Simon)
     - window was resized, triggering background re-render, but 
       background is invalid sometimes (during reconfiguring)
     Container.hh/cc FbWinFrame.cc FbTk/FbWindow.hh/cc FbTk/TextButton.cc
   * Fix bug #1362463, menu selection pixmaps disappear (Simon)
     - pixmap from image cache was put into FbPixmap, which freed it.
     FbTk/...  FbPixmap.hh/cc MenuTheme.hh Menu.cc
*06/06/23:
   * Make startfluxbox aware of --program-prefix and --program-suffix (Mark)
     configure.in util/Makefile.am util/startfluxbox.in
*06/06/22:
   * new Resource: session.modKey: <modkey> (thanks Jim Ramsay i dot am at jimramsay dot com)
     new Command: SetModKey <modkey>
     eg: session.modKey: Mod4   allows to use the winkey to resize and move
     windows and have Mod1 (Alt) free for using blender or Maya.
     FbCommands.cc Window.cc fluxbox.hh FbCommandFactory.cc FbCommands.hh fluxbox.cc
     doc/fluxbox.1.in
*06/06/21:
   * Fix de_DE translation (thanks Michael Bueker)
   * Fix nls (Simon)
     - file location was wrong. nls wouldn't have worked, why did no-one say? 
     - Messages output on stdout/err now properly in local encoding
     - Check for existence of catalog file, if it doesn't exist, and we can
       convert from UTF-8, try loading that one instead.
     - bunch of files changed due to macro name change:
       + Use _FB_XTEXT if the text will go out to X (for X fonts)
       + Use _FB_CONSOLETEXT if the text will go to console (stdout/err)
     - add tab options and some other missing bits to C translation
     FbTk/I18n.hh/cc (+anything with _FB_TEXT)
*06/06/20:
   * Fix window placement when apps remembers size but not location (Simon)
     Window.cc
*06/06/19:
   * Add EUC-KR to ko_KR encodings (Simon)
     nls/ko_KR/ Makefile.am generated-EUC-KR.m
   * Try ignoring NotifyUngrab EnterNotify events for focus (Simon)
     - should fix incorrect focus reverts when menus etc closed with 
       mouse focus, but possibly have side effects, do tell...)
     Window.cc
   * Fix menu placement issue with (vertical) xinerama (Simon)
     - note, doesn't fix "submenus open on wrong screen" issue, that requires
       some more serious data movement.
     FbTk/Menu.cc
   * Fix bug #1507671, clock not updating on multiple screens (Simon)
     - time() and gettimeofday() are inconsistent, only use gettimeofday
     - clean up Timer stuff a bit, fixed some other bugs
     FbTk/Timer.hh/cc ClockTool.cc
*06/06/18:
   * Fixed bug #1507754 iconbar text was not updated to match titlebar (Henrik)
     WinClient.cc
   * Added support for _NET_WM_WINDOW_TYPE_DIALOG and
     _NET_FRAME_EXTENTS (Henrik)
     src/Ewmh.hh/cc, fluxbox.hh/cc, Window.cc
   * Updated german translation (Thanks Michael Bueker m.bueker at berlin de)
     nls/de_DE/Translation.m
*06/06/16:
   * Fix crash when closing a window while cycling (Mark)
     FocusControl.cc
-------------------------------------------------------------
Changes for 1.0rc:
*06/06/11:
   * Added support for _NET_WM_MOVERESIZE (Henrik)
     Ewmh.hh/cc, Window.hh/cc
   * Added support for urgency hint.
     This make apps, that support this hint, flash the titlebar and iconbar
     when they want attention.
     For example gaim.
     (Thanks Mark Tiefenbruck)
     fluxbox.hh, Ewmh.hh/cc, WinClient.cc
*06/06/10:
   * Added new command: ToggleCmd
     Works like a macro but executes the commands one at the time in order.
     Example:
     Mod1 T :ToggleCmd {Exec xterm} {NextWindow}
     When Mod1 T is press the first time it will start xterm, the second time
     it will do NextWindow. When it reaches end it will start at the beginning.
     (Thanks Mark Tiefenbruck)
     src/FbCommandFactory.cc, src/FbTk/MacroCommand.{hh,cc}
   * Fixed resize box bug.
     The text used to determine the size used space, which could have
     different width than characters on some fonts.
     (Thanks Thanks Scott Kuhl)
   * Pressing shift while pressing enter in menu item will fake a 
     right mouse button press. Usefull when inc/decrease alpha/size in menu. 
     (Thanks Mark Tiefenbruck)
     src/FbTk/Menu.cc 
   * Added docs for session.titlebar.left/right.
     Added docs about middle click on workspace menu.
     Improved danish translation.
     (Thanks Jonas Koelker)
     doc/asciidoc/fluxbox.txt
   * Fix building on machines without iconv [sf.net #1499402] (Simon)
     FbTk/FbString.cc
   * Fix some external tab alignment on shade (Simon)
     FbWinFrame.cc
   * Fix container size rounding for right alignment (Simon)
     Container.cc
*06/06/01:
   * Update of new manpage (thanx Guillermo Patterer)
*06/05/23:
   * Spanish Translation of the new manpage (thanx Guillermo Patterer)
     doc/asciidoc/fluxbox.es.txt
*06/05/22:
   * Fix handling of ParentRelative background (Simon)
     FbWindow.cc
*06/05/21:
   * Fix build on cygwin (iconv const error) (Simon)
     FbTk/FbString.cc
   * Fix background of external tabs when label background is 
     ParentRelative (Simon)
     FbWinFrame.cc
   * Improve native language support handling, especially relating
     to codesets (Simon)
     *** Please report any oddness (Esp regressions) in native text
     - Makefile.am can now specify several target codesets
     - generated-*.m files are automatically generated, but not on 
       every build, only on new additions.
     - I18N::getMessage now returns FbString's
     - Menu labels are passed as FbString&e s, not char *s.
     nls/*/Makefile.am nls/*/generated*.m
     src/ ... lots of files (most things menu or translation-related)
*06/05/17:
   * Fix transparency on multiple screens & possibly bad root bg atom
     reading (Simon)
     FbTk/FbPixmap.cc
*06/05/16:
   * Fix bug with horizontal maximisation when quadrant resizing (Mathias)
     Window.hh/cc
*06/05/13:
   * Fixed some title redraw issues (Thanks Mark Tiefenbruck)
     WinClient.cc, Window.cc
   * Added support for _NET_WM_STATE_DEMANDS_ATTENTION . (Henrik)
     When this state is set fluxbox will start flashing 
     the titlebar and button in the toolbar. It will stop when the window
     is focused.
     The blink rate can be configured with the following resource:
     session.screen0.demandsAttentionTimeout: <timeout in milliseconds>
     Default value is 500.
     If the value is zero this feature will be disabled.
     Ewmh.hh/cc, IconbarTool.cc, AttentionNoticeHandler.hh/cc, Window.hh/cc
*06/05/07:
   * Handle EMWH window and icon titles, plus localise workspace names (Simon)
     - FbTk::FbWindow::textProperty now handles utf8 type, and always 
       returns UTF-8 encoded strings (for internal use)
     Ewmh.hh/cc Screen.cc WinClient.hh/cc WinClientUtil.cc Workspace.cc 
     WorkspaceNameTool.cc fluxbox.cc FbTk/... FbString.hh/cc FbWindow.cc
   * Handle UTF-8 strings properly (Simon)
     - still need to integrate EWMH strings properly (they are utf8)
     - still need to fix up TextBox
     FbTk/... FbString.hh/cc App.cc FOnt.hh/cc FontImp.hh Makefile.am 
       XFontImp.hh/cc XmbFontImp.hh/cc XftFontImp.hh/cc TextButton.cc
     Window.cc Xutil.hh/cc tests/testFont.cc
*06/05/01:
   * Make apps file keywords case insensitive, plus reload it (if newer)
     before save on close and remember menu events (Simon)
     Remember.cc
*06/04/26:
   * Fix resizing of client window when autogroup from apps (Simon)
     Window.cc
*06/04/25:
   * Cleanup unneeded headers (thanks Semushin Slava)
     FbAtoms.cc Slit.cc Keys.cc FocusControl.cc FbTk/App.cc
     util/fbrun/FbRun.cc
   * Fix occasional highlighting of menu nops+separators, sf.net patch 
     #1475268 (thanks Scott Kuhl; skuhl AT cs utah edu)
     FbTk/MenuSeparator.hh/cc FbTk/Menu.cc MenuCreator.cc
   * fbrun: Move the cursor to the end when tab completing
     (Simon + thanks Jonas Koelker), sf.net rfe #1333003, patch #1475578
     util/fbrun/FbRun.hh/cc
   * Fix up comments for doxygen (Thanks Jonas Koelker)
     Screen.cc CommandParser.cc Container.hh fluxbox.hh Workspace.hh 
     ArrowButton.hh FbTk/Texture.cc FbTk/ThemeItems.cc FbTk/Texture.hh 
     FbTk/Theme.hh FbTk/EventHandler.hh fluxbox.cc Remember.cc
   * Output the error message on fallback restart execs (sf patch#1475213)
     (Thanks Jonas Kölker, jonaskoelker at users.sourceforge.net).
     main.cc     
*06/04/24:
   * Use -Wall when --enable-debug and some warning fixes 
     (Simon + thanks Jonas Koelker)
     configure.in ClockTool.cc main.cc Ewmh.cc Window.cc 
     PlacementStrategy.hh LayerMenu.hh FbTk/SignalHandler.hh 
     FbTk/FbWindow.hh
   * Fix memory leaks & other errors in Menu code (Simon)
     Screen.cc Slit.cc Toolbar.cc fluxbox.cc MenuCreator.cc FbTk/Menu.cc
   * Use external tabs by default (Simon)
     - they provide a unique look to fluxbox
     - backwards compatible with 0.1.14 ("stable")
     - new users will wonder what they are :)
     Screen.cc
*06/04/23:
   * Fixed typos in new docs (thanks Semushin Slava)
     docs/asciidoc/fluxbox.txt
   * Added support for _NET_WM_ALLOWED_ACTIONS and all the _NET_WM_ACTION_*,
     _NET_WM_STATE_MODAL, _NET_WM_WINDOW_TYPE_SPLASH,
     _NET_RESTACK_WINDOW  (Henrik)
     Ewmh.hh/cc, Window.hh, WinClient.hh, WinClientUtil.hh/cc
   * Reload the apps file on fluxbox reload (Simon)
     Remember.hh/cc fluxbox.cc AtomHandler.hh ClientPattern.hh/cc
   * Update documentation for Next/PrevWindow (Simon / thanks Jonas 
     Koelker), sf.net patch #1474825
     doc/asciidoc/fluxbox.txt
   * Focus singular windows on a workspace (Simon / thanks Jonas Koelker)
     sf.net patch #1474722
     Window.cc
   * Tidy up window cycling, and make linear mode work in order of 
     creation (Thanks Mark Tiefenbruck, mark at tiefenbruck dot org)
     FocusControl.hh/cc
*06/04/22:
   * Fix workspace menu corruption when window title changes (Simon)
     sf.net bug #1113668
     Menu.cc MenuItem.cc
   * Fix crash when toolbar disabled (Simon)
     Slit.hh/cc Screen.cc
   * Couple of memory-based fixes from valgrind (Simon)
     Keys.cc Screen.cc MenuCreator.cc
   * Applied #1467926 and #1458069, minor other changes (Mathias)
     docs/asciidoc/fluxbox.txt
   * static CommandParser could be used after destruction (Simon)
     Fixes sf.net #1474444, segfault when DISPLAY not set
     CommmandParser.hh/cc
   * Minor cosmetic changes, thanks Semushin Slava (php-coder AT ngs ru)
     main.cc Screen.cc util/startfluxbox.in
   * First draft of new docs in docs/asciidoc (Mathias)
   * Cosmetics to Workspace.hh CurrentWindowCmd.cc
*06/04/21:
   * Minor fixes to slit transparency (esp if autohidden) (Simon)
     Slit.cc
   * php_coder tells me that the nb_NO patch was somewhat broken
     Revert it for now, pending another update ... (Simon)
     nls/nb_NO/Translation.m
   * Update all transparent things when bg changes (Simon)
     (fixes sf.net #1446516 - slit transparency on start)
     FbTk/... FbPixmap.cc FbWindow.hh/cc
   * Make border between tabs same width/color as window border (Simon)
     (sf.net #1473870)
     FbWinFrame.cc
*06/04/19:
   * Add a bunch of apps to fluxbox-generate_menu, plus a new System 
     Tools menu (thanks Ku8aZ at users.sourceforge.net)
     fluxbox-generate_menu.in
   * Update Norwegian Bokml translation, nb_NO, sf.net patch #1393780
     (Thanks Alexander N. Sornes, emptydoor at users.sourceforge.net)
     nls/nb_NO/Translation.m
   * Update Danish translation, da_DK, sf.net patch #1455023
     (Thanks Jonas Kölker, jonaskoelker at users.sourceforge.net).
     nls/da_DK/Translation.m
   * Fixes to Mouse Focus (thanks Scott Kuhl; skuhl AT cs utah edu)
     Window.cc
   * Allow ~ in "background" pixmap options (Simon + thanks Mark Tiefenbruck)
     RootTheme.cc
   * Windows keep relative position in ArrangeWindows (Mathias)
     WorkspaceCmd.cc
   * Made fbgm more pure bourne-compatibel (Mathias)
     fluxbox-generate_menu.in
*06/04/18:
   * Add new timer ability - interval - to reduce clock update checks (Simon)
     ClockTool.cc FbTk/Timer.hh/cc
   * Fix system tray resize looping/livelock, sf.net bug #1359442 (Simon)
     SystemTray.cc
   * Fix iconbar updates (icon and title)
     (Thanks Mark Tiefenbruck, mark at tiefenbruck dot org)
     WinClient.hh/cc Window.hh/cc IconButton.cc IconbarTool.cc WinButton.cc
*06/04/17:
   * Fix toolbar transparency when autohide enabled (Simon)
     Toolbar.cc Container.hh/cc ToolbarItem.hh/cc *Tool.hh/cc
   * Fix toolbar transparency (frame and empty iconbar) (Simon)
     Container.cc Toolbar.cc
   * Fix display of label for dialog-type boxes (Simon)
     (only when external tabs are enabled, but not for particular window)
     FbWinFrame.cc
   * Fix fbrun position setting (-pos and -nearmouse args) (Simon)
     util/fbrun/... FbRun.hh/cc main.cc
   * Resize the clock if the text gets too big, sf.net patch #1436406
     (thanks Geoff Lywood - glywood at users.sourceforge.net)
     ClockTool.cc
   * Fix some rotated toolbar+textbutton issues (Simon)
     Toolbar.cc IconbarTool.cc FbTk/TextButton.cc
   * Fix /bin/sh portability for fbsetbg and startfluxbox (Simon)
     (fluxbox-generate_menu is seriously broken wrt portability 
     atm though :-/)
     fbsetbg startfluxbox.in
   * Make autogen.sh properly /bin/sh portable (Simon)
     Fixes #1445464
     autogen.sh
   * patchset missed my fbrun -Wall fixes (Simon)
     util/fbrun/FbRun.cc
*06/04/16:
   * Add option to reverse desktop wheeling, patch #1034287
       session.screen0.reversewheeling: true|false
     (thanks Kalle - ice_jkpg at users.sourceforge.net)
     Screen.hh/cc fluxbox.cc Toolbar.cc IconButton.cc
   * Missing space in translation (thanks... anonymous, sf.net #1455024)
     nls/C/Translation.m
   * Set (take|send)to(next|prev)workspace offset default value to 1
     instead of the current 0 (which makes them look non-functional).
     Similarly for tab and (|next|prev|left|right)workspace.
     - Thanks Jonas Koelker (sf.net 1467926)
     FbCommandFactory.cc
   * Add "CloseAllWindows" key binding 
     (thanks Adriano Dal Bosco - adbosco at users.sourceforge.net)
     - Useful to trigger all "close" actions before flux exit (or other)
       to catch any pending file saves etc...
     WorkspaceCmd.hh/cc FbCommandFactory.cc
   * Fix all warnings with (gcc 3.4.6) -Wall, mainly sign comparisons (Simon)
     ClientPattern.cc Container.cc FbWinFrame.cc IconButton.cc IconbarTool.cc
     ScreenPlacement.hh ScreenResources.cc ToolFactory.cc Toolbar.cc
     Window.cc  FbTk/... FbPixmap.hh/cc Menu.hh Text.hh TextBox.hh/cc
   * signedness fix in Container moveItem (thanks Mark Tiefenbruck)
     Container.cc
   * Vertical toolbar (Simon)
     Toolbar.cc ToolbarItem.hh/cc IconbarTool.hh/cc IconButton.hh/cc
     ClockTool.hh/cc ButtonTool.cc WorkspaceNameTool.hh/cc Container.cc
     SystemTray.cc FbTk/TextButton.cc
*06/04/14:
   * Fix type of last_release_time, affected double click functions
     on 64-bit platforms (sf.net #1467871, thanks davidhi) (Simon)
     FbWinFrame.cc
   * Fix updating of button state (esp stick/shade)  (Simon)
     (sf.net #1281724, #1213257)
     FbTk/Button.hh/cc WinButton.cc Window.cc
*06/04/13:
   * Provide "Key Modes" (Thanks Mark Tiefenbruck, mark at tiefenbruck dot org)
     - New action in keys file:
         Modifier Key :Keymode <Name> <End Modifier> <End Key>
       Will define a keybinding namespace activated by the given mod/key 
       combination. The End Modifier and key are optional. They define 
       the key combination that quits the given key mode. They default 
       to just 'Escape'.
     - New keys file optional prefix:
         <Name>: Modifier Key :Command
       will only work when the <Name> keymode is activated.
     - <Name> is  "default" if not specified - so:
        **default commands will not be activated inside another keymode**
     - Handy Example:
        Mod1 X :KeyMode XNest
        XNest: Mod1 X :KeyMode default
       Will switch to XNest keymode when you press Alt-X. Then the 
       default bindings will not be caught by normal fluxbox, and will 
       pass through to an Xnested one! Groovy... Alt-X will switch back 
       to normal.
     Keys.hh/cc FbCommands.hh/cc fluxbox.cc FbCommandFactory.cc 
     FbTk/KeyUtil.cc
*06/04/11:
   * Ensure applying of size hints while maximizing (Mathias)
     Window.cc
   * Fix calculation of prevWorkspace (Mathias)
     Screen.cc
   * Cosmetic, close #1467926 (thanx Jonas Koelker)
     Keys.hh/cc
*06/04/09:
   * Fix label background update with external tabs (Simon)
     FbWinFrame.cc
*06/04/06:
   * Fix build on amd64 - some more size_t propagation and includes 
    (Simon)
    FbTk/... Text.hh/cc Font.cc
*06/04/05:
   * Fix gcc 2.95.4 build error in ScreenPlacement.hh (Simon)
     ScreenPlacement.hh
   * Fix tabs on other workspaces being shown on placement change (Simon)
     + Fix XmbFonts for multiple screens. Still need to fix XFontImp, 
       it's quite a bit more convoluted.
     FbWinFrame.cc FbTk/XmbFontImp.cc
*06/04/04:
   * Rotated Xmb Fonts (Simon)
     - rotated when drawn. Probably not very efficient for 
       parentrelative backgrounds. If it proves an issue, we should 
       probably cache recently-drawn strings so we can just re-stipple.
     XmbFontImp.hh/cc Text.hh
   * Rotated X Fonts again, plus minor external tab alignment fixes (Simon)
     - Still need to do XmbFonts. Most people probably load those 
       instead of XFont these days. Will need yet another approach...
     FbTk/XFontImp.hh/cc FbTk/Text.hh FbWinFrame.cc Container.cc 
*06/04/02:
   * size_t fixes. (Thanks Semushin Slava aka php-coder)
*06/03/27:
   * Fix crash when deiconifying stuck windows with Follow mode (Simon)
     IconButton.cc
   * Don't Follow stuck windows on deiconify, since they're stuck 
     (thanks Mark Tiefenbruck)
     IconButton.cc
*06/03/26:
   * Related to external (Simon)
     - Fix title alignment
     - Fix "jumpy" vertical tabs on tab size change & other change-related
     - Fix alignment error for left-hand vertical tabs
     FbWinFrame.cc Container.cc
   * More external tabs work AND rotated Xft text (Simon)
     - new tab positions (LeftTop, LeftBottom, etc)
     - TextButtons and Containers can have orientation set on them
     - XftFonts store all rotated versions (if used), 
       so the theme doesn't need to know about it. Pixmaps are also auto-rotated.
     - TODO: Update XFontImp rotation code
     - Note: many files touched because constness removed from many fonts
     FbTk/  Button.hh FbPixmap.hh/cc Font.hh/cc FontImp.hh ImageControl.hh/cc
            Text.hh/cc TextButton.hh/cc TextureRender.hh/cc XFontImp.hh/cc
            XftFontImp.hh/cc XmbFontImp.hh/cc
     Container.hh/cc FbWinFrame.hh/cc FbWinFrameTheme.hh IconButton.hh/cc
     IconbarTheme.hh IconbarTool.hh Screen.cc ToolFactory.hh/cc
     WinButtonTheme.hh/cc
     tests/testFont.cc
*06/03/24:
   * Fix compile error in Theme.cc (sf.net bug #1454204)
     FbTk/Theme.cc
   * Fixed apps filename on save (Thanks mal at komcept com)
     Remember.cc
*06/03/23:
   * Fixed duplicate ClickToFocus menu item (Thanks Mark Tiefenbruck)
   * Fix some tab stacking alignment and rendering on tab resize (Simon)
     (and very minor tidying)
     FbWinFrame.cc FbTk/XLayer.cc FbTk/XLayerItem.hh/cc
*06/03/22:
   * More external tabs work (Simon)
     - Can now be placed TopLeft/TopRight/BottomLeft/BottomRight
     - New "Tab Options" config menu, with (efficient) runtime updating
     - New tab.width config option to control external tab width
     - edge snapping includes tabs
     - decoration fixes where some missed the tab option
     - label text color was not updated
     Screen.hh/cc Window.hh/cc FbWinFrame.hh/cc Container.cc 
     fluxbox-nls.hh
*06/03/20:
   * Fixed some minor typos (Thanks Semushin Slava)
   * Fix placement config (some compilers resulted in ignoring of 
     placement policy setting), and a minor ext. tabs placement bug
     ScreenPlacement.cc Row/ColSmartPlacement.cc
   * External tabs (Simon)
     - option in Configure menu to enable
       - restart require at present when toggling this option
     - New apps pnemonic for "Deco" option: TAB, which is like NONE, 
       but with an external tab
     Notes:
     - tab width currently hardcoded
     - only alignment is topleft
     fluxbox.cc Screen.hh/cc Window.hh/cc FbWinFrame.hh/cc Remember.cc
     Container.hh/cc FbTk/XLayer.hh/cc XLayerItem.cc fluxbox-nls.hh
     RowSmart/ColSmart/UnderMousePlacement.cc WinButton.cc

-------------------------------------------------------------
Changes for 0.9.15:
*06/03/19:
   * Fixed some wrong fbsetroot nls (Thanks  Semushin Slava )
     nls/da_DK/Translation.m, nls/ko_KR/Translation.m
   * Cleaned up some nls and help text in ./fluxbox -h (Thanks Semushin Slava [php-coder at ngs ru] )
     nls/*/Translation.m, Screen.cc, main.cc
   * Titlebar button configuration changed from session.titlbar.left/right
     to screen specific:  session.screen<num>.titlbar.left/right
     (Henrik)
     Screen.hh/cc, Window.hh/cc, fluxbox.hh/cc
*06/03/14:
   * Fixed memory leak when XCreateImage failes in XFontImp 
     (Thanks Semushin Slava [php-coder] )
   * Fixes for nls/da_DK and nls/ko_KR  (Thanks php-coder)
*06/03/09:
   * Enhanced :NextWindow and :PrevWindow to accept a <delta>,see 
     :RightWindow and :LeftWindow
     (Thanks Marcus Obst, marcus dot obst at s2003 dot tu minus chemnitz dot de)
     FbCommandFactory.cc WorkspaceCmd.hh WorkspaceCmd.cc
   * Bugfix for _net_wm_state_hidden (Thanks Mark)
     Ewmh.cc
   * Updated ko_KR translations (Thanks Jo Hyunseok)
   * Added zh_CN translationas (Thanks Andyliu, liudeyan at gmail dot com)
*06/03/07:
   * Bugfix for stuck icons (Thanks Mark Tiefenbruck, mark at tiefenbruck dot org)
     IconbarTool.cc
*06/03/05:
   * Update da_DK (danish) translation.
     (Thanks Jonas Kölker, jonaskoelker at users.sourceforge.net).
     nls/da_DK/Translation.m
*06/03/02:
   * closed bug #1409775, gcc4.1 problems (thanx to Andreas Bierfert)
     Slit.cc MenuTheme.cc Resources.cc ClockTool.cc FocusControl.cc
     ScreenPlacement.cc ScreenResources.cc Toolbar.cc IconbarTool.cc
*06/03/01:
   * corrections for translation files (thanx php-coder)
*06/02/27:
   * minor cosmetic issues (thanx php-coder)
     Slit.cc WindowCmd.cc PlacementStrategy.hh stringstream.hh
     Select2nd.hh Parser.cc LayerMenu.cc Toolbar.cc 
     WindowCmd.hh
*06/02/20:
   * Moved resource helper class Layer out from 
     class Fluxbox. Reduced some dependencies.
     (Henrik)
*06/02/19:
   * Added new resize mode: Center
     This mode will move all corners at the same time with 
     equal distance.
     Set resource:  session.screen0.resizeMode: Center
     (Henrik)
     Window.hh Window.cc Screen.hh ScreenResources.cc 
   * Moved Window placement code from Workspace to different 
     PlacementStrategy classes. The main class is ScreenPlacement which
     selects the right placement class to use.     (Henrik)
     CascadePlacement.{hh,cc} UnderMousePlacement.{hh,cc}
     ColSmartPlacement.{hh,cc} RowSmartPlacement.{hh,cc}
     ScreenPlacement.{cc,hh} ScreenResources.cc Workspace.{hh,cc}
     PlacementStrategy.hh Screen.{hh,cc}
     Makefile.am 
*06/02/18:
   * Moved focus handling code to class FocusControl (Henrik)
     fluxbox.hh/cc, Screen.hh/cc, Window.cc, Workspace.cc....
*06/02/15:
   * updated copyright info (Mathias)
*06/02/14:
   * Fix nls compilation (Mathias)
     RootTheme.cc fbsetbg
*06/02/12:
   * Fixed #bug #1417688, remember apps keeps 
     incrementing vertical dimension  (Henrik)
     Remember.cc
   * Fixed root pixmap problem. 
     Using fbsetroot to set background.  (Henrik)
     RootTheme.cc, FbPixmap.hh/cc, FbCommands.hh/cc
*06/02/01:
   * fbsetroot copyright/help fixes (Thanks php-coder)
     fbsetroot.cc, nls/*
*06/01/29:
   * Changed bsetroot to fbsetroot in documentation (Thanks OpenBSD)
     fbsetbg.1 fluxstyle.1.in fluxbox.1.in
*06/01/25:
   * Added norwegian bokmal, nb_NO (Thanks Alexander Sornes)
     nls/nb_NO, util/fluxbox-generate_menu.in
*06/01/23:
   * minor fix for fbsetbg (thanx Mark Tiefenbruck)
*06/01/16:
   * minor changes to fix some warnings (Thanks php-coder)
     Screen.cc Window.cc MenuCreator.cc MenuTheme.hh
*06/01/07:
   * minor addons to fbgm, close Gentoo #74523 and #110677 (Mathias)
*06/01/03:
   * Improved style loading
     (Henrik)
     Theme.hh/cc
*05/12/28:
   * Fix url in fbsetbg.1.
*05/12/23:
   * Fixed some compiler warnings (Thanks php-coder)
*05/12/03:
   * Added 'random' and 'aspect' options to background theme
     (Thanks Shashkin Konstantin)
     RootTheme.cc
*05/11/22:
   * New theme item:
      background: <texture option>
      background.pixmap: <image filename>
      background.color: <color>
      background.colorTo: <color>
     The background.pixmap filename will be sent to "fbsetbg"
     which in turn sets the background.
     The following options will be available for the background.pixmap:
       - tiled 
       - centered
     For example:
       background: tiled
       background.pixmap: someimage.png
     and it can also generate a normal texture:
       background: gradient
       background.color: blue
       background.colorTo: green
     The rootCommand in the style is now obsolete and
     if the "background" item is not found in the style then the default
     background will be black and with a warning text.
     (Henrik)
     RootTheme.hh/cc, Screen.cc
*05/11/16:
   * Added styleOverlay resource to init-file (Mathias)
       session.styleOverlay: ~/.fluxbox/overlay
     Style settings in this file override any settings from a
     regular style
     fluxbox.hh/cc Screen.cc FbCommands.cc FbTk/Theme.hh/cc
*05/11/13:
   * Fixed #1307877 fbsetbg did not create ~/.fluxbox/lastwallpaper 
     (Henrik)
     fbsetbg
*05/10/23:
   * Fixed #1335255 (Gentoo #110197) fbgm had some globbing related probs (thanx t35t0r)
     fluxbox-generate_menu.in
*05/10/21:
   * Fixed #1223878, Style reloading on USR2 (thanx Zan)
     Screen.cc
*05/10/20:
   * Fixed bug #1327878. (Henrik)
     Appending backslash to () and [] characters in the apps file
     ClientPattern.cc, FbTk/StringUtil.hh/cc
*05/10/19:
   * Fixed reordering of tabs (thanx Rob Stevens)
     Window.cc FbWinFrame.hh FbWinFrame.cc
*05/10/12:
   * Small changes, coming from fbsd-ports (thanx Jeremy Messenger <mezz at FreeBSD dot org>)
     util/fluxbox-generate_menu.in util/startfluxbox.in
*05/10/04:
   * Avoid drawing the resize outline if not really resizing (Mathias)
     Window.cc
*05/09/25:
   * added nls for "-screen" argument (Thanks php-coder)
     nls/*/Translation.m, nls/fluxbox-nls.hh
*05/09/13:
   * Fixes #1267076, cygwin link problems (Mathias)
     src/ScreenResources.cc
   * Use fbsetroot in Default-Styles (Mathias)
     data/styles/*

-------------------------------------------------------------
Changes for 0.9.14:
*05/09/12:
   * Fixes #1281708, MenuIcon doesnt scale properly (thanx Erik-Jan)
     src/WinButtonTheme.cc
*05/09/08:
   * Fixed bug in client menu. Window menu did not open. (Henrik)
      FbTk/Menu.cc
   * Add titlebar scrolling options (thanks Krzysiek Pawlik <krzysiek.pawlik__AT__people.pl>)
     New init options:
       session.screenN.windowScrollAction: Shade|NextTab
       - set the action that happens when scrolling on the titlebar
       session.screenN.windowScrollReverse: true|false
       - reverse the action direction
     Screen.hh/cc Window.hh/cc
*05/09/04:
   * Added Feature Request #1084510 (Mathias)
     When Mod1 + LeftMouse are clicked on a Window and the mouse is not
     moved, the window is raised at LeftMouseRelease
     src/Window.cc
*05/09/03:
   * Exchanged the hardcoded 3200 pixel limit for texture size to
     a calculated value based on screen dimensions (Mathias)
     FbTk/TextureRender.cc
*05/08/31:
   * Added SVN Revision number output in info output (Thanks php-coder)
     nls/*/Translation.m, nls/fluxbox-nls.hh src/main.cc
*05/08/30:
   * Added el_GR (greek) Translation (thanx to Theofilos Intzoglou)
     nls/el_GR/*
*05/08/23:
   * Fixed unresolved symbols when configure --disable-regexp (Mathias)
     src/Makefile.am
*05/08/17:
   * Added the 'Education' submenu to fbgm (thanx Lam)
     fluxbox-generate_menu.in
*05/08/15
   * Added uk_UA locales (Thanks Anatoli Sakhnik and php-coder)
     nls/uk_UA/*, configure.in, nls/Makefile.ams
*05/07/25:
    Fix for #1240248, Segfaults for :MoveTabLeft/Right (Mathias)
    Container.cc FbWinFrame.cc Window.cc
*05/07/20:
    Changed some *Focus options (Mathias)
    removed SloppyFocus, SemiSloppyFocus and ClickToFocus options
    added MouseFocus, ClickFocus, MouseTabFocus, ClickTabFocus
    - MouseFocus - change the focus to the window under the mouse
      (almost similar to the 'old' SloppyFocus)
    - ClickFocus - change the focus to the window the user clicks
    - MouseTabFocus - change active tabclient to the one under the
      mouse in titlebar, does NOT change the focus
    - ClickTabFocus - change active tabclient when clicked onto a
      tabbutton
    to achieve former SemiSloppyFocus behavior one needs MouseFocus and
    ClickTabFocus
    Window.cc Screen.cc/hh ScreenResource.cc FocusModelMenuItem.hh fluxbox.cc
    nls/fluxbox-nls.hh and some nls/*/Translation.m
*05/07/13:
    Dragging a tab button from current titlebar onto current client area will
    detach that client (Mathias)
    Window.cc
*05/07/12:
    Renaming of 'bsetroot' to 'fbsetroot' (Mathias)
    blackbox's 'bsetroot' and fluxbox's 'bsetroot' have different syntax
    nowadays and collide when you install fluxbox and blackbox. hence
    the renaming
    updated manpage, helper utils (fbgm, startfluxbox, fbsetbg), nls etc
*05/07/06:
    Added even more applications to fbgm (Mathias)
    fluxbox-generate_menu.in
  * Added info about locale path in -info argument (Thanks php-coder)
    src/main.cc, nls/*
*05/07/05:
  * Respect border size in the MoveTo action (Mathias)
    CurrentWindowCmd.cc
  * Added kcommander, Valknut, dcgui-qt, quickdc, asami, amsn to fbgm (Mathias)
    fluxbox-generate_menu.in
*05/06/30:
  * Fix #1223780, fbgm updated (Mathias)
    - added gnome-alsamixer
    - use "kfmclient openProfile filemanagement" for konqueror as filebrowser
    fluxbox-generate_menu.in
  * Fix for clock displaying %S too late sometimes (Mathias)
    ClockTool.cc
*05/06/28:
  * Fix for toggling the toolbar doesnt update strut (thanx C. Monti)
  * Little reordering of ToolbarMenu items (Mathias)
    Toolbar.cc
*05/06/23:
  * Moved window menu from FluxboxWindow to BScreen, so
    we now use one window menu per screen instead of one menu per window,
    thus saving memory and increasing speed.      (Henrik)
   Makefile.am, WindowCmd.hh/cc, LayerMenu.hh/cc,
   Window.hh/cc, Screen.hh/cc, SendToMenu.hh/cc, Workspace.cc,
   Toolbar.hh/cc, Slit.hh/cc, Remember.hh/cc, ToggleMenu.hh,
   MenuCreator.hh/cc
   FbTk/MenuItem.hh/cc, FbTk/Menu.cc
*05/06/19:
  * Fix shaded + iconic windows + restart (Simon)
    - use ATTRIB_HIDDEN, can't use IconicState
    Window.cc
  * Revert shaded window fix. Wrong approach and caused crashes (Simon)
    Window.cc
  * Change FbWinFrame to use a Container (Simon)
    FbWinFrame.hh/cc Container.hh/cc
*05/06/18:
  * Fixes #1206821, unportable usage of grep in fbgm (thanx Dung)
    util/fluxbox-generate_menu.in
  * Fixes #1116965, #1047529, shaded windows on restart (Mathias)
    Window.cc
  * little Fix for font effects (Mathias)
    FbTk/ThemeItems.cc
*05/06/15:
  * Enhanced MoveTo, fixes #1074568 (Mathias)
      MoveTo <int|*> <int|*> <Reference Corner>
       - * means "use current value"
       - Reference Corner is one of:
         - UpperLeft, Upper, UpperRight
         - Left, Right
         - LowerLeft, Lower, Right
       examples:
         MoveTo 0 * Left       -> snap to left workspace edge
         MoveTo * 0 Lower      -> snap to lower workspace edge
         MoveTo 0 0 UpperRight -> snap to upper right workspace corner
    FbCommandFactory.cc CurrentWindowCmd.cc/hh
  * Fixes #1198192, vlc to fbgm (Mathias)
    fluxbox-generate_menu.in
  * Fixes #1213003, SendToWorkspace shouldnt follow (Mathias)
      - SendToWorkspace silently changes the workspace of the window
      - TakeToWorkspace takes the window and puts it onto the ws
    FbCommandFactory.cc CurrentWindowCmd.cc/hh
  * Fixes #1216020, *.font.effect wont get cleared if not defined in style (Mathias)
    FbTk/Font.cc
*05/06/09:
  * Reordering of the WorkspaceMenu (Mathias)
    Icon submenu ontop, workspaces below, new|edit|remove on bottom
    WorkspaceMenu.cc
*05/06/07:
  * Fixed justification in WorkspaceNameTool #1213262 (Mathias)
    WorkspaceNameTool.cc
*05/06/03:
  * Massive change of font handling (Mathias)
    - Usage of xft-fonts is prefered, except a font-description starts with '-'
    - Removed "antialias"-option completly, to enable/disable "antialias"
      use either  <fontname>:antialias=<bool> in the style or use
      Xft.antialias: <bool> in your .Xdefaults
    - Added new styleresources:
        *.font.effect: <halo|shadow>
        *.font.shadow.x : <int>       - shadow x offset
        *.font.shadow.y : <int>       - shadow y offset
        *.font.shadow.color : <color> - color of shadow
        *.font.halo.color : <color>   - color of halo
    - Removed 'shadow' and 'halo' options from fontdefinitions:
        !! Style authors have to update their styles !!
    - Simplified XmbFontImp to not try all possible fonts to match locale
    - Style authors may specify multiple fonts:
        <font1>|<font2>|<font3>
      if loading of font1 fails, fluxbox probes <font2>, etc. The last font is
      "fixed". Hints for style authors:
        - if xft tries to load a font it will _ALWAYS_ return a valid font,
          it doesnt have to look like the one you want to have, read more
          about it: http://fontconfig.org/fontconfig-user.html
        - export XFT_DEBUG=1  before running fluxbox helps to see
          which fonts are picked.
      eg:
          *.font: Verdana,Arial-12:antialias=true|-artwiz-snap-*-
          if fluxbox is compiled with xft this will NEVER try to
          load "-artwiz-snap-*-" since xft gives for sure a font,
          most likely Verdana or Arial but noone knows. So, if
          fluxbox has no xft support the first fontpattern fails
          and fluxbox tries the next one, which might be successful.
          if everything fails, it will use "fixed"
    - Added caching of fonts, fonts are only loaded once.
    - Fixed #1090902
    ToolFactory.cc TextTheme.hh/cc IconbarTheme.cc Screen.hh/cc
    FbTk/Font.hh/cc FbTk/XftFontImp.cc FbTk/XmbFontImp.cc
    FbTk/MenuTheme.cc FbTk/Texture.cc FbTk/ThemeItems.cc
    fbrun/main.cc fbrun/FbRun.cc
*05/06/02:
  * Fixed _BLACKBOX_NOTIFY_WINDOW_ADD issue (thanx Vadim)
    _BLACKBOX_NOTIFY_WINDOW_ADD was emited before _NET_CLIENT_LIST
    and _NET_CLIENT_LIST_STACKING lists updates.
    Screen.cc
  * Fixed iconified windows disappear from _NET_CLIENT_LIST (thanx Vadim)
    fluxbox.cc
  * Fixes for _NET* hints (Mathias + thanx Vadim)
    - _NET_WM_STATE_HIDDEN now correctly used
    - _NET_WM_STATE_SKIP_PAGER not longer deleted from state
    - _NET_WM_STATE_SKIP_TASKBAR not longer mixed with _HIDDEN
    Ewmh.cc/hh
*05/05/27:
  * Bugfix, install directory for keys, menu, init (Thanks php-coder)
    data/Makefile.am
  * Belarusian language translation
   (Thanks Kirill A. Shutemov, k.shutemov at sam-solutions d0t net)
   configure.in, nls/Makefile.am, be_BY/*
*05/05/21:
  * Keycodes can now be used in the keys file.
    Example:
    None 10 :NextWorkspace
    (10 - keycode for '1')
    Usefull for keys that has no symbol.
    (Thanks Matus Telgarsky, catachresis at cmu [d0t] edu)
    Keys.cc
*05/05/18:
  * Added new configure option --with-locale=path
    redirects location of nls directories.
    (Thanks php-coder at altlinux dot ru)
    configure.in, nls/*/Makefile.am,
*05/05/17:
  * Fix systemtray overlap (Simon + Thanks Vadim)
    SystemTray.cc
*05/05/14:
  * Fix some Ewmh/Gnome issues (Mathias + thanx Vadim)
    +  _NET_CLIENT_LIST and _NET_CLIENT_LIST_STACKING not updated
       when sending _BLACKBOX_NOTIFY_WINDOW_DEL
    + _NET_WM_DESKTOP and _WIN_WORKSPACE had wrong initial values (-1), which
      lead to probems with (eg) fbpager
    Ewmh.cc/hh Gnome.cc
-------------------------------------------------------------
Changes for 0.9.13
*05/05/13:
  * Fix a segfault crash, and a similar potential one (Simon)
    Remember.cc Gnome.cc
*05/05/12:
  * Fixed configure.in for iconv for different platforms (Mathias)
  * Fixed setenv/putenv issues on platforms which dont support setenv (Mathias)
    we now use only putenv() and manage the used values on our own
    FbCommands.cc
  * Fixed compile issues on Darwin/MacOSX (Mathias)
    FbTk/I18n.hh
  * Fixed problem when app changes the app-pixmap (Mathias)
    WinButton.cc
  * Fixed missing header (Mathias)
    ClockTool.cc
  * Fixed some FbTk_istringstream issues for gcc295* (Mathias)
    Remember.cc FbCommandFactory.cc FbTk/Font.cc
*05/05/10:
  * Cache root pixmap, watch for property changes (Simon)
    (previously was checked EVERY time = lots)
    FbTk/FbPixmap.hh/cc fluxbox.cc
  * minor tweak to configure.in (thanx php-coder)
*05/05/09:
  * Fix for fbrun and completion (thanx Vadim)
    TextBox.hh fbrun.cc
  * Fix for gentoo-bug #91955 (thanx Julien Trolet)
    Remembering the position of a window didnt store the reference
    corner
    Remember.cc
*05/05/07:
  * Fix isses in patch from Vadim (thanx Vadim)
    FbTk/TextBox.cc
  * Remove default "gray" background (Simon)
    FbTk/FbWindow.cc
  * Fix titlebar transparency in some (tabbed) cases (Simon)
    FbWinFrame.cc
*05/05/06:
  * Added new Buttons for the Titlebar of a Window (Mathias)
    - Shade - just like the "Stick"-button
      Styleresources:
        window.shade.pixmap, window.shade.unfocus.pixmap, window.shade.pressed.pixmap
        window.unshade.pixmap, window.unshade.unfocus.pixmap, window.unshade.pressed.pixmap
        etc.
    - MenuIcon - click on it provides the windowmenu, if the app
      contains a pixmap (gvim, konqueror etc etc) the pixmap is displayed, a
      little menu otherwise.
      Styleresources:
        window.menuicon.pixmap, window.menuicon.unfocus.pixmap window.menuicon.pressed.pixmap
        etc.
    Example ~/.fluxbox/init - entry:
      session.titlebar.left: MenuIcon Stick
      session.titlebar.right: Shade Minimize Maximize Close
    Window.cc Resources.cc fluxbox.hh WinButton.cc/hh WinButtonTheme.cc/hh
  * xrestop should now display "Fluxbox" (Simon)
    Ewmh.hh/cc
  * Fix potential segfault menu bug, thanks chenfeng (Simon)
    Menu.cc
  * Added more KeyActions to TextBox (thanx to Vadim <suhanov_vadim at mail dot ru>
      Control + LeftArrow  -> Moves cursor to the left direction, up to next word.
      Control + RightArrow -> to the right direction.
      Control + BackSpace  -> Removes everything from the cursor left side, up to next left word.
      Control + Delete     -> like above but removes to the right direction.
    FbTk/TextBox.cc/hh
*05/05/05:
  * Fix #1160244, #1099704, #1094107 Mutiple keyboard layout (Mathias + thanx
    to Vadim)
    Switching to a secondary/third keyboard layout via the xkb-extensions
    leads to broken NextWindow/PrevWindow and broken fbrun/CommandDialog:
    - be aware of what xkb is doing to the event.state
    - minor cleaning
    CommandDialog.cc WorkspaceCmd.cc Keys.cc FbTk/KeyUtil.cc/hh
    FbTk/TextBox.cc fluxbox.cc FbRun.cc
*05/05/03:
  * Fix drawing of no-title menus, plus updating of int menu items (Simon)
    IntResMenuItem.hh/cc MenuItem.hh Menu.cc Screen.cc ToggleMenu.hh
    Toolbar.cc Slit.cc
  * Code cleaning. (Henrik)
    Fluxbox::associateClient; creates tab and
    maps WinClient to label button.
    FbWinFrame.cc, Window.cc/hh
*05/05/02:
  * Added FbTk::Select2nd + more code cleaning (Henrik)
    This returns .second from operator ()(Someclass &a)
    Usefull for std::map loops.
    FbTk/Select2nd.hh, Window.cc, Screen.cc, fluxbox.cc/hh
  * Cleaning,  (Henrik)
    Create/delete tabs with FbWinFrame::createTab/removeTab
    FbWinFrame.hh/cc, Window.cc
*05/04/30:
  * Fix #1086673 ArrangeWindows on shaded aterms causes inconsistency (Mathias)
    we now place shaded Windows above the normal windows. ArrangeWindows
    touches only windows on the current (xinerama)-head.
    src/WorkspaceCmd.cc
*05/04/29:
  * Added new IconbarModes:  (Mathias)
       NoIcons          - all but iconified windows
       WorkspaceNoIcons - all but iconified windows on the current ws
    IconbarTool.cc/hh nls/fluxbox_nls.hh C/Translation.m
  * Fixed transient bug.  (Henrik)
    #1157361 inconsistent behavior of Java dialogs.
    Transients that are created before the transient_for window
    gets copied to a transient_for waiting list and when the
    transient_for window is created the transients are updated,
    When raising a transient window the window gets placed last
    in the transient list so it gets raised last and thus gets
    places above.
    WinClient.hh/cc, Window.cc
*05/04/28:
  * Revert Mathias's little change to my patch, and fix it properly :) (Simon)
    FbTk/FbWindow.cc/hh FbWinFrame.cc
*05/04/27:
  * Fix some initialisation, plus setting background too much (Simon + Mathias)
    FbTk/FbWindow.cc/hh FbWinFrame.cc
  * Add some extremely basic handling for icon pixmaps that aren't
    the same depth as the screen (treat all as 1-bit, easy to handle)
    (Simon)
    FbTk/FbPixmap.hh/cc FbTk/ImageImlib2.cc IconButton.cc
  * Fix a bunch more issues with recent patches (Simon)
    - Clock text colour on start
    - Resizing not updating in some cases
    - menu separators not being drawn
    FbTk/... FbWindow.hh MenuSeparator.hh/cc TextButton.cc
    ClockTool.cc IconbarTool.cc TextTheme.cc ToolFactory.cc
  * Close #1107216, minor fbgm-issue, cosmetic startfluxbox (from the OpenBSD patches)
    nls/Makefile.am util/fluxbox-generate_menu.in util/startfluxbox.in
  * Fix #1182770 (Mathias)
    session.screen*.workspaces: <int> and the number of
    workspaces in the running fluxbox were out of sync and lead to
    segfault on a "reloadconfig"-Command.
    fluxbox.cc Screen.cc Workspace.cc WorkspaceNameTool.cc
  * Fix drawing when transparency off (Simon)
    FbWindow.cc
*05/04/26:
  * Fix systray icon sizing (send a configurenotify on resize) (Simon)
    SystemTray.cc WinClient.hh/cc FbTk/FbWindow.hh/cc Window.cc
  * Extension of previous patch, pushing various bits of menu items and
    text buttons onto the background, and fixing various issues (Simon)
    + Incidentally, adds some new theme items (due to backwards
      compatibility fix):
      - menu.hilite.submenu.pixmap:    <Pixmap>
      - menu.hilite.selected.pixmap:   <Pixmap>
      - menu.hilite.unselected.pixmap: <Pixmap>
    These are equivalent to the no-.hilite ones, except are shown
    when the item is highlighted...
    FbTk/...
      Menu.hh/cc MenuItem.hh/cc MenuTheme.hh/cc TextButton.hh/cc
      FbWindow.hh/cc MenuIcon.hh/cc
    FbWinFrame.hh/cc IconButton.hh/cc ToggleMenu.hh Window.cc
*05/04/25:
  * Fixed #1188690, fbrun segfault (Mathias)
    FbTk/App.cc
*05/04/23:
  * Close of #956325 (Mathias)
       WorkspaceMenu -> left click on a item will jump TO that
                        workspace
                     -> middle click will fetch it to the current
                        workspac
       SendToMenu    -> left click send it quietly
                     -> middle click send it and follows to that
                        workspace
    This should now match whats written in the manpage.
    Workspace.cc SendToMenu.cc
  * Fixed #960535 aka Deiconify with apps set 'sticky' (Mathias)
    FbCommands.cc
  * Fixed #1020399 aka broken ShowDesktop - command (Mathias)
    WorkspaceCmd.cc
*05/04/22:
  * clear maximized-Flags of a resized/moved Window (Mathias)
    Window.cc
  * fixed Iconified+Sticky Windows not shown in Iconbar (Mathias)
    (when in WorkspaceIcons-Mode
    IconbarTool.cc
*05/04/21:
  * Fixed iconv-issues on *BSD/MacOSX (Mathias)
    configure.in
  * Fixed #1133809, ArrangeWindows covers Toolbar/Slit (Mathias)
    WorkspaceCmd.cc
*05/04/20:
  * Fixed problem with _NET_WM_STRUT (Mathias)
    WinClient.cc
*05/04/18:
  * Fixed problem with WindowSnapping (Mathias)
    Window.cc Slit.cc
*05/04/15:
  * Fixed #1170056, Moving tab beyong last right tab causes malfunction (Mathias)
    Window.cc
  * Fixed a few drawing bugs created by last patch (Simon)
    (titlebar no clear on resize, menu opening offscreen...)
    Menu.cc FbWinFrame.cc
*05/04/11:
  * Rework lots of stuff relating to transparency, esp menus+frame (Simon)
    + Massively reduce pixmap memory usage (view with xrestop)
    + Should also improve startup+style change times, esp for large menus
    + This introduces a few rendering bugs, but I'd like stuff tested
    + Transparency is done differently now. People shouldn't need to
      call updateTransparent.
    + Do not use persistent pixmap buffers unless you're sure!
      XSetWindowBackground already copies/buffers the set pixmap, so
      things need to be rendered to a temp pixmap once, then can be
      freed.
    Known bugs (please report others to Rathnor on #fluxbox):
     - different focus/unfocus transparency doesn't update labelbuttons
       properly. Workaround: use same transparency for both.
     - Text sometimes gets overdrawn a lot. Probably should render it to
       background using a virtual hook in FbWindow::updateBackground
     - Changing style resizes things, not all pixmaps updated properly
       Workaround: restart fluxbox after changing style
     - Probably breaks Composite support. Let me know how.
    TODO:
     + FbPixmap::getRootPixmap called very often. It should cache the
       result and watch the relevant properties.
    Changed:
    FbTk/  FbWindow.hh/cc Button.hh/cc Menu.hh/cc TextButton.hh/cc
           Transparent.hh/cc FbPixmap.cc
    Window.hh/cc FbWinFrame.hh/cc fluxbox.hh/cc ArrowButton.cc
    ButtonTool.cc Container.cc GenericTool.cc Slit.cc ToggleMenu.hh
    Toolbar.cc WinButton.hh/cc WinClient.cc
*05/04/09:
  * minor fix to startfluxbox (Mathias)
*05/04/07:
  * Minor tweak for the buildsystem so it doesnt compile
    defaults.cc every time (Mathias)
    src/Makefile.am
*05/04/03:
  * Tidy up some redundant pixmap allocations (Simon)
    Menu.cc TextButton.cc FbPixmap.hh
*05/03/23:
  * added "Fullscreen" as a command (Mathias)
    CurrentWindow.cc/hh FbCommandFactory.cc
*05/03/17:
  * some additions to fbgm, mostly cosmetic (Mathias)
*05/03/16:
  * added -c <startupfile> to 'startfluxbox' (Mathias)
  * fix for gravity field on _NET_MOVERESIZE_WINDOW (thanx to Rob Stevens)
    Ewmh.cc, Window.(cc,hh), FbWinFrame.(cc,hh)
  * added new option to specify, on which screen fluxbox should handle
    the windows. default behavior is to handle each available screen.
    closes #1159809. (Mathias)

       -screen <"all"|int[,int]>

    eg:

       $> fluxbox -screen 0,2      will run fluxbox on 0.0 and 0.2 so
                                   one can run any other wm on 0.1.
       $> fluxbox -screen all      default, fluxbox manages all screens

    fluxbox.cc fluxbox.hh
  * Fix for #1152450 (Mathias)
    when having multiple screens the rootCommand's were called
    too often
    Screen.cc FbTk/Theme.cc
  * added --with-init, --with-keys, --with-style, --with-menu
    configure options (Thanks php-coder at ngs dot ru)
    configure.in, src/Makefile.am
*05/03/11:
  * Remove trailing whitespaces from any command (Mathias)
    CommandParser.cc
  * Fix usage of 'which' - test behaviour of which to choose usage
    method, rather than guessing based on system (Simon)
    fbsetbg fluxbox-generate_menu.in
*05/02/13:
  * Romanian translation update for fluxbox-generate_menu
   (Thanks Costin Stroie)
  * Added stringstream.hh to FbTk (Henrik)
    using FbTk_istringstream from this one.
    FbCommandFactory.cc, Remember.cc, ClientPattern.cc
*05/02/09:
  * Fixed portability issues with fbgm (thanx to Dung)
    fluxbox-generate_menu.in
*05/02/04:
  * Fixed possible bug for invalid tools (Mathias)
    ToolFactory.cc
*05/02/03:
  * Added 'revision-number' to  fluxbox -info (Mathias)
    the revision-number only occurs in build based on svn, builds
    based on normal tarballs dont display it
    src/main.cc src/Makefile.am
*05/02/01:
  * Added apps to fbgm, minor other changes (thanx to Dung)
    closes #1107234, #1105034
    util/fluxbox-generate_menu.in
  * Change of SIGNAL-behavior (Mathias)
       SIGHUP  - restart of fluxbox
       SIGUSR1 - load configuration
       SIGUSR2 - reload configuration
    fluxbox.cc
  * Fix a problem with configure (Mathias)
    imlib2 is now really default-off
    configure.in
  * Minor changes to ru_RU (thanx php-coder)
*05/01/31:
  * Close #1107213, 64bit issues (thanx to  Matthieu Herrb <matthieu.herrb@laas.fr>)
    Window.hh Ewmh.cc Gnome.cc FbTk/FbPixmap.cc
  * Close #1111378, -S (smooth) to wmsetbg's aspect-setting
  * Added cs_CZ (thanx to Radek Kubicek)
*05/01/29:
  * Added icon-support for fbgm (thanx to Dung N. Lam)
    new options:
      -d  path(s) to search for *.desktop files
      -ds wider search for *.desktop files (takes more time)
      -i  path(s) to search for icons
      -is wider search for icons (worth the extra time)
    util/fluxbox-generate_menu.in
*05/01/24:
  * Fix a compileproblem for FreeBSD4.x (Mathias)
    FbTk/Timer.hh
  * Updated a lot of Copyright dates and mail-info (Mathias)
  * Close #1107227, #1107222
    data/Makefile.am util/fluxbox-generate_menu.in
*05/01/21:
  * Fix tab detaching - the window wasn't shown (Simon)
    Window.cc
*05/01/20:
  * Close #1105048 (thanx to the openbsd-folks)
    minor issues with fluxbox-generate_menu
  * Close #1105041 (thanx to the openbsd-folks)
    execl needs NULL termination, on 64-bit-systems '0' would expand
    expand to a 32bit integer, not a 64bit pointer.
    src/FbCommands.cc util/fbrun/FbRun.cc
-------------------------------------------------------------
Changes for 0.9.12
*05/01/15:
  * Added menutest.cc to src/tests (Henrik)
    testing menu parser and theme
*05/01/14:
  * Fix for #1091710 (SystemTray is not covered by StyleStuff) (Mathias)
    SystemTray is now configurable via styles thru the
    toolbar.systray.* - resource, it falls back to the look of the clock
    SystemTray.cc/hh ToolFactory.cc/hh
*05/01/12:
  * Fix for #1099278, #1099950 (Warnings on amd64) (thanx Barry Schwartz)
    Resources.cc FbTk/FbWindow.cc FbTk/TextureRender.cc
  * Updated ko_KR - (thanx Jo Hyunseok)
    nls/ko_KR/Translation.m
*05/01/10:
  * Fix for #1087220 (WithdrawnState handling) (Mathias)
    fluxbox.cc
  * Fix position initialisation from apps file (Simon)
    Window.cc
*05/01/05:
  * Tidy up initialisation a bit better. Handlers can still use "action"
    functions (e.g. stick()), but those functions should now check if
    isInitialised and only set the state variables (not send signals
    etc) if not.
    Window.hh/cc Ewmh.cc
  * Fix for BScreen::reassociateWindow (Mathias)
    Simon's last changes made fluxbox crash when "Sticky" or "Workspace"
	options in the apps-file where used. This fix also solves <Current> and
	<SemiFollow>-Deiconifymode for Iconbar, when Iconbar is in
	<Icons-only>-mode
   Screen.cc IconButton.cc
*05/01/04:
  * Added apps to fluxbox-generate_menu (thanx to Uwe Weissenbacher <UweWeissenbacher@gmx.net>)
  * Added ko_KR (thanx Jo Hyunseok <ttrand at gmail dot com>)
  * Added --with-style=/path/to/default/style (thanx php-coder)
  * Updated ru_RU (thanx php-coder)
    ru_RU/Translation.m
  * Fix some initialisation states, especially window placement with no
    decorations through apps (e.g. aterm) (Simon)
    Window.hh/cc Screen.cc Ewmh.cc
*05/01/02:
  * Fix for #996298, Windows dont respect toolbar.border.width (Mathias)
    Toolbar.cc
  * Snapping to Screenedges, even when "maxover" is disabled (Mathias)
    Window.cc
*05/01/02:
  * Updated pl_PL (thanx to Meltir <meltir at wp.pl> and Cheester <czester at gmail.com>)
  * Fixed restart/memory problems with Imlib2 (Mathias)
    FbTk/Image.cc FbTk/ImageImlib2.cc
*04/12/30:
  * Fixed "remove last workspace" bug (Henrik)
    Screen.cc
*04/12/28:
  * Fixed minor shape bug (Henrik)
    Window.cc
*04/12/21:
  * Added Imlib2 support to fluxbox (Mathias)
    allows us to load other image-formats than just xpm, but we need
    the help of an external (popular) library for that:

       http://www.enlightenment.org/pages/imlib2.html

     to have imlib2 support, you have to ./configure --enable-imlib2

    FbTk/Image.cc/hh configure.in Makefile.am FbTk/Makefile.am
    xft.m4 -> acinclude.m4 + ac_path_generic.m4

    Added FbTk/ImageImlib2.cc/hh

  * Cleaner code for global Font- and Imagestuff (Mathias)
    fluxbox.cc FbTk/Font.cc/hh FbTk/Image.cc/hh FbTk/App.cc
  * Fixed problems with gtk2-fullscreen-mode (gimp2, galeon etc) (Mathias)
    - synchronize _NET_WM_STATE in Ewmh-Handler
    - disable shape (aka round corners) in fullscreen-mode
    Window.cc/hh Ewmh.cc/hh
  * Added new command, which sets the current window onto head<int> (Mathias)
    SetHead <int>
    Remember.cc/hh FbCommandFactory.cc CurrentWindowCmd.cc/hh
*04/12/18:
  * Fix possible segfault when new text in TextBox is
    smaller than the old one (Mathias)
    FbTk/TextBox.cc
  * Some reordering/renaming of functions/files (Mathias)
    FbTk/Directory.cc/hh -> FbTk/FileUtil.cc/hh
    FbTk/Makefile.am FbTk/Theme.cc MenuCreator.cc fluxbox.cc
    util/fbrun/FbRun.cc
  * Some updates to ru_RU (thanx to <php-coder at ngs dot ru>)
    nls/ru_RU/Translation.m
*04/12/13:
  * Some updates to the man page (Gruber)
  * Fixed a minor issue with icc (intel compiler) (Mathias)
    Slit.cc Xinerama.hh Screen.cc Container.hh LayerMenu.hh
    FbMenu.cc/hh IconMenu.cc WorkspaceMenu.cc MenuCreator.cc
    IconButton.cc Remember.cc Workspace.cc Toolbar.cc IconbarTool.cc
    SendToMenu.cc FbTK/Menu.cc/hh FbTk/Theme.hh
  * Added nls/vi_VN (thanx Phan Vinh Thinh)
  * Fixed DragNDrop - Sorting of tabs (thanx Rob Stevens)
    Window.cc/hh FbWinFrame.cc
*04/12/10:
  * Added Tab command, which goes to a specific tab number
    action:
    Tab <number>
    ex:
    Mod1 1 :Tab 1
    Mod2 3 :Tab 3
    (Thanks Steeve Lennmark <steeve dot lennmark at mediasvar dot se>)
    CurrentWindowCmd.hh/cc, FbCommandFactory.cc
  * Close #1080323, missing header (Mathias)
    FbTk/FbPixmap.cc
  * Fix issue with maximizing shaded windows, #1082671 (Mathias)
    Window.cc
  * Added some apps and items to fluxbox-generate_menu (Mathias)
    fluxbox-generate_menu.in
  * Added support for hsetroot to fbsetbg (Mathias)
    fbsetbg
  * Update ClockTool when timeformat changed, close #1026096 (Mathias)
    ClockTool.cc
  * SlitClientMenu had with wheelup/down sometimes (Mathias)
    Slit.cc
-------------------------------------------------------------
Changes for 0.9.11
*04/12/02:
  * New features for the Slit (Mathias)
    - left click on Slitclient-menu enables/disables item
    - wheel or middle/right-click on the items move them up / down in
      the slit
    - minor visual change of the menu, added a "Save SlitList" - entry
    Slit.cc/hh
*04/11/30:
  * Fix for notworking bsetroot (thanx Rob Stevens)
    bsetroot.cc
  * Fix to avoid gentoo bug #72703 (Mathias, thanx Rob Stevens)
    also reported at http://www.securityfocus.com/archive/1/382398/2004-11-24/2004-11-30/2
    WinClient.cc
  * Fix for a java-bug (wrong opened subwindows) (thanx Scott Moser)
    surprisingly this also fixes the grab-of-death-bug as it seems
    src/Screen.cc
  * Update of the fluxstyle-manpage (thanx Curt Micol)
    fluxstyle.1
  * Added "kill" to the windowmenu-commands (Mathias)
    closes #1075142
	Window.cc/hh MenuCreator.cc FbCommandFactory.cc
*04/11/28:
  * Fix for possible segfaults in *.iconbar.deiconifyMode (Mathias)
    IconButton.cc
*04/11/25:
  * Applied patch #1072818 (thanx Glyn Kennington)
    Toolbar.cc
  * (Re)added dragNdrop ordering of tabs (thanx Rob Stevens)
    FbWinFrame.cc/hh Window.cc/hh
*04/11/24:
  * Fix for hiding menu when menufile changed (Mathias)
    fluxbox.cc/hh FbCommands.cc
  * Fix for segfault at startup (Mathias)
    main.cc
*04/11/22:
  * fbrun doesnt overlap screenborders anymore (Mathias)
    util/fbrun/main.cc
  * Ensure sane values for ResizeCmd (Mathias)
    CurrentWindow.cc
  * Fixed Wine + Paradise Poker Client problem.
    Do not handle Configure Request event while iconified.
    (Henrik)
    Window.cc
  * Fix UnderMousePlacement, patch #1052534, close #1048000 (thanx Mike)
    src/Workspace.cc
*04/11/20:
  * Fix for (possible) segfaults at Restart/Exit
    and fix start of former iconic windows (Mathias)
    should close  #1067582, #1067580, #1060912
    fluxbox.cc Screen.cc
  * Fix for adding/removing Workspaces via Menu (thanx Øyvind Albrigtsen)
    WorkspaceMenu.cc
*04/11/19:
  * Some changes to avoid invisible fonts (Mathias)
    FbTk/Font.cc FbTk/FontImp.hh FbTk/XftFontImp.cc/hh
    FbTk/XmbFontImp.cc/hh
*04/11/17:
  * Fix memleaks (thanx to Thomas Weidner)
    FbTk/Font.cc
  * Fix for possible segfault at exit/restart (Mathias)
    Screen.cc
*04/11/15:
  * Moved CVS-Repository from sourceforge.net over to Subversion on berlios.de
  * Updated swedish locales and a few new menu-entries
    from Jonas Ericsson (jmaster at telia.com)
    fluxbox-generate_menu.in
*04/11/09:
  * Better visualisation of the RememberState in RememberMenu, #1024498 (Mathias)
    src/FbTk/Remember.cc
*04/11/07:
  * Fix a problem with snapping windows (Mathias)
    decorationless windows have a borderWidth of 0 -> problems at
    the right and bottom border.
    src/Window.cc
*04/11/01:
  * Fix for #1057499 and #1046472 (Mathias)
    FbTk/Font.cc
*04/10/28:
  * Fix for #1052095 (Mathias)
    the windowmenu didnt close, when the current tab changed somehow
    (was closed, become detached, another window attached etc)
    Window.cc
  * Fix for #1034522 (Mathias)
    doc/fluxbox.1.in
  * Fix for #1036982 aka defaults.hh wasnt distcleaned (Mathias)
    src/Makefile.am
*04/10/22:
  * Fix for #1039658 (Mathias)
    FbWinFrame.cc
  * Added new resources: (Mathias + SemiFollow from Erik Postma,thanx)
    - session.*.iconbar.wheelMode: <mode>
        On     - enable mousewheeling on the iconbuttons
        Off    - disables mousewheeling on the iconbuttons
        Screen - uses the settings of desktopWheeling

    session.*.iconbar.deiconifyMode: <mode>

      Current    - deiconifies the window on current workspace
      Follow     - deiconifies the window on the workspace it
                   was iconified from and jumps to that workspace
      SemiFollow - acts as 'Current' for windows that were actually
                   iconified, and as 'follow' for the others
    IconButton.cc/hh IconbarTool.cc/hh
*04/10/21:
  * A few fixes to compile fluxbox with icc and mipspro(irix) (Mathias)
    still some open issues with mipspro but to solve them i need
    a mipspro 7.4, but closes #1045785
    FbTk/TextureRender.cc fluxbox.hh/cc CommandDialog.cc/hh FbCommands.cc/hh
    FbMenuParser.cc HeadArea.cc Ewmh.cc ArrowButton.cc WorkspaceNameTool.hh
    FbTk/ThemeItems.hh IntResMenuItem.cc SlitTheme.hh FbRootWindow.cc
*04/10/18:
  * Added session.appsFile to the resources (Mathias)
    fluxbox.cc/hh Remember.cc
  * Fixed a problem when system-date is set back (Mathias)
    FbTk/Timer.cc
*04/10/17:
  * Disabled resizing for shaded/iconic windows (Mathias)
    Window.cc
  * Rewrote the restart-procedure of fluxbox so it calls the
    destructors correctly (Mathias)
    fluxbox.cc/hh main.cc
  * cosmetic changes (Mathias)
    Screen.cc/hh Window.cc ScreenResource.cc
*04/10/16:
  * Added option to specify what to do with windows, that got activated on
    a different workspaces than the current one (thru NET_ACTIVE_WINDOW
    for example, guinotification-plugin from gaim) (Mathias)
       session.screen0.followModel: <value>
    with <value> one of :

      Ignore  - ignore the activated window
      Follow  - go to the workspace of the window
      Current | CurrentWorkspace | Fetch - get the window onto the
                                           current workspace
    Screen.hh/cc ScreenResource.cc Ewmh.cc

*04/10/11:
  * Fix a bad nls string name - it ended with Set, but was a string (Simon)
    main.cc
*04/10/10:
  * Fix for a minor fbrun - problem (Mathias)
    FbRun.cc
  * Added session.screen0.iconbar.iconTextPadding and
    session.tabPadding (Mathias)
    - defines the space between the text and the border of the buttons
    fluxbox.hh/cc IconbarTool.hh/cc FbWinFrame.cc FbTk/TextBox.hh/cc
  * Added session.focusTabMinWidth (Thanx Ciaran McCreesh)
    - defines the guaranteed minimize size of the focuessed tab
	  in % of the whole window (1-90)
    fluxbox.hh/cc FbWinFrame.cc
  * Update de_DE Translation and add some missing NLS values
    (Thanks Christian Storm)
    - also a tiny cleanup of weird nls set
    de_DE/Translation.m nls/fluxbox-nls.hh IconbarTool.cc ClockTool.cc
    */Translation.m
*04/10/08:
  * Fix some TextBox issues with some "untypeable" keys (Mathias)
    FbTk/TextBox.hh/cc FbTk/Keyutil.hh/cc
*04/10/07:
  * Fixed bug #1033903 (Thanks to Christian Storm)
    FbTk/I18n.cc
*04/10/06:
  * Memory allocation improvements in TextureRender. (Henrik)
    The texture render doesn't need to allocate red, green and blue
    buffers if it doesn't render gradients
    TextureRender.hh/cc
  * Fixed gradient bug in bsetroot (Henrik)
    bsetroot.cc
  * Fixed multiple TextButton issues (Mathias):
    - fixed some keymovement issues inside TextButtons
    - a ButtonPress into a TextButton places the Cursor to the
      right place now
    - cleaned the CommandDialog a bit
    CommandDialog.(hh|cc) FbTk/TextButton.(cc|hh)
  * New command: export | setenv (Mathias)
    sets the environment of fluxbox to a given value:
      export NAME=VALUE
      setenv NAME VALUE
    FbCommands.(hh|cc) FbCommandFactory.cc
*04/10/04:
  * Don't require [begin] tag for included menu files (Simon)
    MenuCreator.hh/cc Screen.cc Window.cc
  * Fix handling of setlocale return (Thanks Victor Yegorov)
    FbTk/XmbFontImp.cc
*04/09/30:
  * Fix to show title of current tabbed-window as the label of the
    iconbar-button-group (Mathias)
    Window.cc
  * Fixed typo nls/pl_PL/Translation.m (Mathias)
*04/09/29:
  * Fix to make menuseparators not selectable (Mathias)
    FbTk/Menu.cc
  * Fix bug #1026929 (Mathias)
    util/fbrun/FbRun.cc
*04/09/19:
  * Fix a tiny bug that leads to high cpuload under some circumstances (Mathias)
    FbTk/Timer.cc
*04/09/16:
  * Fix restart command not reading its args (Simon)
    MenuCreator.cc
*04/09/12:
  * Preliminary support for Composite extension (Simon)
    - Relies on external compositing manager using _NET_WM_WINDOW_OPACITY
    - NOTE: Also make alpha resource setting more consistent.
      Alpha values are no longer in theme, but are in init file. Possible
      values are (all beginning with session.screenN.), * means changed/new:
        -  menu.alpha (*)
        -  slit.alpha
        -  window.focus.alpha (*)
        -  window.unfocus.alpha (*)
        -  toolbar.alpha (*)
    - Changed menu around a bit. If you don't have/want a compositing
      manager, but Composite is enabled, you can override it by setting
        session.forcePseudoTransparency: true
    - Fix a couple of bugs with transparency in toolbar/buttons
   fluxbox.hh/cc Screen.hh/cc FbWinFrame.hh/cc FbWinFrameTheme.hh/cc
    Slit.hh/cc Toolbar.hh/cc ToolbarTheme.hh/cc ToolbarItem.hh
    ToolFactory.cc *Tool.hh/cc ArrowButton.cc FbTk/FbWindow.hh/cc
    FbTk/Transparent.hh/cc FbTk/Menu.cc
  * Minor cleaning, moved Resource<> from fluxbox.cc to Resources.cc (Henrik)
*04/09/11:
  * The include directive in menu can now take
    a director as argument [include] (path)
    It will include each file in the path into the menu
    (Thanks Ciaran McCreesh)
    MenuCreator.cc
  * Fix for backup of empty or non existing menu
    (Thanks php-coder <php-coder at ngs.ru>)
    fluxbox-generate_menu.in
  * Font::drawText now takes a referens to FbTk::FbDrawable as first argument
    instead of X Drawable (Henrik)
  * Code cleaning (Henrik)
    fluxbox.cc, Slit.cc/hh, FbCommands.cc
  * display() access function for FbDrawable (Henrik)
  * Fix some more X errors from XRender calls (Simon)
    - also fixes some menu background update issues
    FbTk/Menu.cc FbTk/Transparent.cc FbTk/FbWindow.cc
  * Ignore 32-bit visuals for now when selecting (Simon)
    - should fix problems with Composite being enabled in X.org
    FbRootWindow.cc
  * Fixed issues with Strut and multiple heads (Thanks Mathieu De Zutter)
    Screen.hh/cc, HeadArea.hh/cc, Slit.cc, Toolbar.cc, Ewmh.cc
    Strut.hh/cc, ToolFactory.cc, fluxbox.cc, FbTk/Menu.hh/cc
  * Fix issues that caused unnecessary X errors (Simon)
    fluxbox.cc Window.cc FbTk/Menu.cc FbTk/FbPixmap.cc FbTk/FbWindow.hh/cc
*04/09/10:
  * Cosmetic and cleanup changes to FbTk/* (Mathias)
      - tabs -> spaces, wrong indention etc in all mentioned
        files and
        FbTk/EventHandler.cc FbTk/StringUtil.(cc|hh) Ewmh.cc
      - using FbDrawable::s_display now instead of
        FbTk::App::instance()->display()
        FbTk/FbPixmap.(cc|hh) FbTk/FbWindow.(cc|hh)
        FbTk/FbPixmap.cc FbTk/XftFontImp.cc
      - added warning about "wrong" wallpapersetter
        FbTk/FbPixmap.cc
      - removed old codefragment from XmbFontImp
        FbTk/XmbFontImp.cc
  * Clean up some unused variables (thanks Ryan O'Hara)
    FbTk/XLayer.cc
*04/09/09:
  * tidy+replace qiv with display in screenshot, add jpg option (Han)
    fluxbox-generate_menu.in
  * Added forgotten [macrocmd] to menuitems (Mathias)
    MenuCreator.cc
  * Cleanup of code (Mathias)
    - removed codeduplicates of ::getRootPixmap, added FbPixmap::getRootPixmap instead
    Screen.(cc|hh) FbTk/Menu.cc FbTk/FbWindow.cc FbTk/FbPixmap.cc
*04/09/04:
  * Fix duplicate icons in icon list with amsn (Henrik)
    - Check Fluxbox::update(FluxboxWindow::stateSig),
      the win.screen().addIcon
    Screen.cc
  * Fix crash on shutdown (Henrik)
    - workspacemenu must be destroyed before
      clientlists
    Screen.cc
*04/09/03:
  * Fix crash on startup on amd64 (Simon)
    - We may need to review usages of 0 as opposed to NULL
    - Thanks to Jason Johnston (xoritor) for assistance debugging
    XmbFontImp.cc
  * Added -nearmouse to FbRun (Mathias)
    main.cc
*04/09/02:
  * Fix crash when in windowmenu->submenu and closing the app (Mathias)
    Remember.cc
-------------------------------------------------------
Changes for 0.9.10:
*04/09/01:
  * Fix width of a menuentry (Mathias)
    FbTk/MenuItem.cc
*04/08/31:
  * Fixed restart issue with system tray (Henrik)
    SystemTray.cc
  * Fixed multiple screen issues with system tray (Henrik)
    SystemTray.cc
  * Check for iconv function (Henrik)
    configure.in, Font.hh/cc
  * Fix for gcc 2.95.4 issues with "typeid" and "make_pair",
    Fix for a MIPSPro 7.30 issue (Mathias)
    Slit.cc Toolbar.cc FbTk/KeyUtil.cc
  * Check for C++ std headers, some older machines dont have them (Simon)
    configure.in  src/<MANY>.hh/cc
*04/08/30:
  * Changed session.screen<num>.iconbar.clientWidth to
    session.screen<num>.iconbar.iconWidth
    (Henrik)
    IconbarTool.cc
  * Added RaiseLayer and LowerLayer to the commands (Mathias)
    FbCommandFactory.cc
  * Close bug #1013735, #1012314, #977054 (Mathias)
    Screen.cc Slit.cc FbCommands.cc
  * Fix bug in menu-closing with keys (Mathias)
    FbTk/Menu.cc
*04/08/29:
  * Added [wallpapers|wallpapermenu|rootcommands] to possible
    menuitems (Mathias)
       [wallpapers] (directory) {rootcommand}
    creates a submenu in the menu to click on the wallpaper one
    wants. default rootcommand is fbsetbg
    MenuCreator.cc RootCmdMenuItem.cc RootCmdMenuItem.hh
  * Fix cycling using keys in menus (didn't wrap upwards) (Simon)
    FbTk/Menu.cc
  * Fix rendering bug when revisiting >1 column menus (Simon)
    FbTk/Menu.cc
  * Fix crash when extramenus not attached to windowmenu (Simon)
    - and add checking that windowmenu file exists and sorta parses
    Window.cc FbTk/Menu.hh MenuCreator.hh/cc
  * Tweak toolbar size/position (esp when 100% width)  (Simon)
    - and fix menu size bug when initialising with no style
    Toolbar.cc FbTk/MenuTheme.cc
  * Add back Workspace<n> actions with deprecated message (Simon)
    - need transition time, remove when 1.0 has been widely used for a while
    FbCommandFactory.cc
  * More random render fixes (Simon)
    (font alignment in menu, menu optimisation, toolbar font/render)
    FbTk/Menu.cc FbTk/MenuItem.cc FbTk/XftFontImp.cc
    TextTheme.cc Toolbar.cc ToolbarItem.hh <ToolbarTools>.hh/cc
*04/08/28:
  * Some more menu rendering fixes (Simon)
    Thanks Florian Pigorsch for nice bug reports + debugging
    FbTk/Menu.cc
  * Fix some blank fonts problem for i18n (I think)  (Simon)
    FbTk/Font.cc FbTk/XmbFontImp.cc
  * Fix menu render bug with previously highlighted items (Simon)
    FbTk/Menu.cc
*04/08/27:
  * Protect Fluxbox::shutdown better from being double-called (Simon)
    fluxbox.cc
  * Improve fallback if toolbar button style item missing (Simon)
    ButtonTheme.hh/cc ToolFactory.cc
*04/08/26:
  * Tiny unification (Mathias)
    - theme.cfg and style.cfg allowed
    - in menufiles:
        [stylesdir] and [themesdir] allowed
        [stylesmenu] and [themesmenu] allowed
    MenuCreator.cc
  * Fix bevel on solid colour textures (Simon)
    FbTk/Texture.hh/cc FbTk/ThemeItems.hh
  * Make arrow in toolbar buttons scalable size (Simon)
    - new theme item: toolbar.button.scale:  <number>
      The number is a scale factor, which is divided into 100 to give
      the size relative to the button. 100 gives a arrow the same size
      as button, 200 gives half the size, 300 a third, etc.
    - default is now 300, not 200
    - also fix size balance with left/right arrows
    ArrowButton.hh/cc ButtonTheme.hh/cc ButtonTool.cc FbTk/Button.hh
  * Fixed 2 possible Memleaks (Mathias)
    Ewmh.cc
  * Re-implement bevels in toolbar, plus numerous toolbar-related theme
    fixes => old styles now look like they used to! (Simon)
    Toolbar.cc ToolbarItem.h ToolTheme.cc ToolbarTheme.cc ToolFactory.cc
    ArrowButton.cc ButtonTheme.cc ClockTool.cc IconbarTheme.cc
    IconbarTool.cc SystemTray.hh WorkspaceNameTool.cc
*04/08/25:
  * Fix to draw Cursors in Textboxes correctly again (Mathias)
    Font.cc
*04/08/22:
  * Preliminary basic support for icons in fluxbox-generate_menu (Han)
    - put a <progname>.xpm into ~/.fluxbox/icons. e.g. Eterm.xpm
    fluxbox-generate_menu.in
*04/08/19:
  * Fixes to make nroff not report errors for fbsetbg.1 (Han)
    fbsetbg.1
*04/08/18:
  * Fix handling of font encodings, and related bugs (Simon)
    FbTk/Font.hh/cc fluxbox.cc
*04/08/17:
  * New manpage for startfluxbox (Han)
    startfluxbox.1
*04/08/13:
  * Fixed slow resize of windows like xmms playlist.
    We called setupWindow() in XA_WM_NORMAL_HINTS even if
    nothing was changed -> slow!.
    (Henrik)
    Window.cc
*04/08/12:
  * Moved fluxstyle.1 to fluxstyle.1.in and using regexp to
    replace pkgdatadir
    (Thanks php-coder at ngs dot ru)
    doc/fluxstyle.1.in, doc/Makefile.am
*04/08/11:
  * Updated Cthulhain style for toolbar.workspace.*
    and fixed a minor error in fluxbox.1.in
   (Thanks php-coder (php-coder at ngs dot ru)
  * Fixed bug: fbrun segfaults when history item is
    bigger than entry box
    patch: [ 1005182 ] fix for Bug with RequestID #877004
    bug: [ 877004 ] fbrun segfaults when history item is bigger than entry box
    (Thanks Mangala)
    TextBox.cc
*04/08/10:
  * Fixed minor bug when generating buttons for titlebar,
    it didn't call setupWindow unless we had a special option
    like remember enabled
    (Henrik)
    Window.cc/hh
  * Fixed so one can use to use this in the apps-file:
    [Layer] {number | literal}
    ex:
	[Layer] {BOTTOM}
    while literal is one of
    DESKTOP BOTTOM NORMAL TOP DOCK ABOVEDOCK MENU
    (Thanks Mathias Gumz)
    Remember.cc
  * Added some new options font loading:
     *.font:  fontname-size:option,specoption1:key=val;key2=val2 etc
     eg:
      *.font: Verdana-10:bold,shadow:offsetx=2;offsety=4;color=green
      *.font: Verdana-10:halo:color=blue
    possible specoptions atm:
    halo:
      color=colorname
    shadow:
      color=colorname
      offsetx=number  (negative allowed)
      offsety=number  (negative allowed)
    (Thanks Mathiaz Gumz and C. Mccreesh)
    FbTk/Font.hh/cc
  * Fixed utf-8 problems, needs testing.
    (Patch from Sergey Kuleshov)
    FbTk/*Font.cc/hh
*04/08/05:
  * Enable dutch menu for flemish people as well.
    (Thanks Mathieu De Zutter <mathieu at dezutter dot org>)
    fluxbox-generate_menu.in
  * Check if init is consistent with menufile location (Han)
    fluxbox-generate_menu.in
  * Russion translation updates (thanks Roman Yepishev)
    fluxbox-generate_menu.in
*04/08/03:
  * Fixed pixmap filename expansion for menu pixmaps (Thanks Mathias Gumz)
    FbTk/MenuItem.cc
  * Fixed so menu separators are unclickable (Thanks Mathias Gumz)
    FbTk/Menu.hh/cc
  * Fixed menu move bug (Thanks Mathias Gumz)
    FbTk/Menu.cc
*04/07/19:
  * Some EMX fixes (Thanks dave_yeo at paralynx com)
    FbCommands.cc, FbTk/I18n.hh
*04/07/18:
  * Fixed fallback for toolbar.button.pressed (Henrik)
    ButtonTheme.cc
*04/07/15:
  * Click on handle bar raises window even if
    "click raises" = false,
    Consistent with the title bar.
    (Henrik)
    Window.cc
  * Mouse scroll on icons in toolbar changes workspace (Henrik)
    IconButton.cc
  * Minor fix for Resource<bool> (Thanks David Júlio)
    fluxbox.cc
  * Fixed so the delete key is working for fbrun (Henrik)
    FbTk/TextBox.cc
  * Fixed minor bug when time_t is long long  (Henrik)
    fluxbox.cc
  * Removed ugly toolbar at startup (Henrik)
    it'll show up once all the windows are created.
    Toolbar.cc, fluxbox.cc
*04/07/14:
  * Fixed menu draw bug while doing keyboard navigation (Henrik)
    FbTk/Menu.cc
  * Fixed transient window bug at startup (Henrik)
    Screen.cc
*04/07/06:
  * Applied tiled texture fix patch (Thanks  dhx (xyx@gm...))
    FbPixmap.hh/cc, TextureRender.cc
*04/07/05:
  * Fixed minor bug: (Thanks Mathias Gumz)
    - menutitle and menulables drawn to close to screen-bottom
    Menu.cc, MenuItem.cc
  * Fixed minor bug: (Thanks Mathias Gumz)
    - menu reload if filename changed
    MenuCreator.cc
*04/06/29:
  * manpage updates (thanks Curt Micol)
    fluxstyle.1 bsetroot.1
  * Fix rectangle cleaning on attaching tabs (Simon)
    Window.cc
*04/06/27:
  * Fixed bug in systray (Henrik)
    (this fixes the problem with "sim" in systray)
    - It didn't force client position on configure request
    SystemTray.cc
  * Added toggle menu (Henrik)
    - redraws each time a toggle menu item changes
    ToggleMenu.hh, FbMenu.hh, LayerMenu.hh, FbTk/Menu.cc
  * Fixed bug in Iconbar mode menu (Henrik)
    IconbarTool.cc
  * Some cleaning in the menu code (Henrik)
    Menu.hh/cc
*04/06/21:
  * Fix and tidy KDE dockapps on [re]start (Simon)
    - and don't listen to screen reconfigure sig anymore in toolbar
    Screen.hh/cc Toolbar.cc fluxbox.cc
  * Fix autogrouping issue where windows wouldn't show (Simon)
    Workspace.cc
*04/06/20:
  * Clean out old nls stuff. Move in those strings that
    are still in the new names, new Makefiles, etc (Simon)
    - need to get script to help people translate
    nls/*/Makefile.am nls/*/Translation.m  -nls/*/*.m
  * Fix various systray issues (Simon)
    SystemTray.cc Toolbar.cc ToolbarItem.hh
  * Support _NET_WM_WINDOW_TYPE_DESKTOP (Simon)
    - eg nautilus desktop windows are on the bottom, not tabable, etc
    Ewmh.hh/cc Window.hh/cc
  * Fix honouring of initial state on window open (Simon)
    Window.hh/cc Screen.cc
*04/06/18:
  * background xmessage in fbsetbg so it doesn't block anything
    also set the "okay" button to default so you can just press enter
    (Simon)
    fbsetbg
*04/06/17:
  * Improve rendering speed of toolbar (Simon)
    - remove many redundant renders (esp. startup)
    - only update clock if the text has changed
    - fix transparency and border on most items
    IconbarTool.hh/cc IconButton.cc Toolbar.cc Container.cc
    ClockTool.cc WorkspaceNameTool.cc
*04/06/14:
  * More menu transparency improvements (Henrik)
    Menu.cc
*04/06/13:
  * More menu transparency improvements (Henrik)
    Menu.hh/cc, MenuTheme.hh
*04/06/12:
  * Updated japanese locales from Yasuhiro Takabayashi
    <kourin at momonga-linux dot org>
    fluxbox-generate_menu.in
*04/06/10:
  * Fixed icon in menu and improved menu loading speed (Henrik)
    New option for menu file:
    [key] (label) {argument to key} <the icon filename>
    example:
    [exec] (aterm) {aterm} <terminal.xpm>
    MenuItem.cc/hh, FbMenuParser.hh/cc, MenuCreator.cc
*04/06/08:
  * Fix up bsetroot nls, and couple of other tweaks (Simon)
    util/Makefile.am bsetroot.cc nls/Makefile.am fluxbox-nls.hh nlsinfo
    MenuCreator.cc WorkspaceMenu.cc
  * Some man page license updates c/- Han
    fluxbox.1.in bsetroot.1 startfluxbox.1
*04/06/07:
  * New menu theme items:
    menu.titleHeight: integer
    menu.itemHeight: integer
    The height of the item/title will be the biggest of
    font height + bevel and the specified height, so the
    text will always fit.
    MenuTheme.hh/cc
    (Henrik)
  * Improved menu transparent rendering speed and
    the text is not transparent anymore so you are able
    to see the text even if you have 100% transparency
    Menu.hh/cc  (Henrik)
  * Moved drawing of menu items to MenuItem class
    MenuItem.hh/cc, MenuSeparator.hh/cc (Henrik)
  * Initial NLS update (Simon)
    - use _FBTEXT, or _FBTKTEXT for all strings that go to the user
    - regenerate fluxbox-nls.hh when adding new strings
    - This patch doesn't convert old translations, so for the mo,
      translations are broken, sorry. Thats next.
    {nls,src,FbTk}/Makefile.am fluxbox-nls.hh nls/nlsinfo -src/I18n.hh/cc
    +FbTk/I18n.hh/cc Color.cc EventManager.cc Font.cc ImageControl.cc
    Menu.cc Resource.cc TextureRender.cc Theme.cc Transparent.cc
    XFontImp.cc Gnome.cc Ewmh.cc FbCommandFactory.cc IconMenu.cc
    IconbarTool.cc Keys.cc MenuCreator.cc RegExp.cc Remember.cc Screen.cc
    Slit.hh/cc Toolbar.cc WinClient.cc Window.cc Workspace.cc
    WorkspaceMenu.cc Xutil.cc fluxbox.cc main.cc
*04/05/24:
  * Fix handling alpha value of zero (Simon)
    - also fix up defaulting of missing alpha theme items to 255
    FbWindow.cc ToolbarTheme.hh/cc IconbarTheme.cc ToolTheme.cc
    FbWinFrameTheme.cc
*04/05/21:
  * fluxbox-generate_menu:
    Updated polish locales from: £ukasz Wrzosek (unl at poczta dot fm)
*04/05/18:
  * Make the size of arrows in buttons half the button size (grubert).
  * Add UP and DOWN buttons.
*04/05/17:
  * Fix rendering of transparency on menu exposes (Simon)
    - also enable save unders for menu windows
      This is kind of experimental. Backing store is off by default
      in XF86-4. If you want to play, add: Option "BackingStore"  "yes"
      to the Screen section in your XF86Config file. And let me know
      how it goes :) It basically means we don't have to refresh
      menus as much, but uses more memory. Shouldn't break anything new.
      Menu.cc FbWindow.hh/cc
  * Fix slit transparency too (finally) while we're at it (Simon)
    Slit.hh/cc
*04/05/13:
  * Fix a crash when a window closes while [opaque] moving (Simon)
    - also tidy up several related things when a window hides
    - don't call frame().hide() explicitly, use FBW.hide(bool)
    Window.hh/cc Workspace.hh/cc Screen.cc
*04/05/04:
  * Fix EventManager bug/memory leak (possibly caused crash) (Simon)
    EventManager.hh/cc
*04/05/02:
  * Added new nls item for windowmenu: Layer
    nls/C/Windowmenu.m
  * New command: exit
    (Henrik)
    FbCommandFactory.cc
  * Fixed loading of a windowmenu file. (Henrik)
    New resource:
     * session.screen<num>.windowMenu: <filename>
    The menu file format is the same as the normal ~/.fluxbox/menu
    but with some special menu items:
    [iconify], [maximize], [shade], [close], [extramenus]
    [layer], [sendto]
    + the all the other menu items that you can use in the normal
      root menu (i.e [exec] (aterm) {aterm})
    The [extramenus] will add  "remember" menu
    example: session.screen0.windowMenu: ~/.fluxbox/windowmenu
        [begin]
        [exec] (aterm) {aterm}
        [maximize]
        [shade]
        [stick]
        [submenu] (advanced)
           [layer]
           [sendto]
           [extramenus]
        [end]
        [separator]
        [close]
        [end]
  * Moved out some simple classes from Screen.cc (Henrik)
    new files:
    StyleMenuItem.hh/cc
  * Fixed new menu parsing  (Henrik)
    everything goes through MenuCreator now.
    Window.cc, Screen.hh/cc, fluxbox.cc/hh
    new files:
    MenuCreator.cc/hh, Parser.hh/cc, FbMenuParser.hh/cc,
    IconMenu.hh/cc, WorkspaceMenu.hh/cc
*04/04/30:
  * fix up reparent issue that affects java menus (thanks Scott Moser)
    Window.cc
*04/04/28:
  * Fix key bindings for directional focus movement (Simon)
    - reminder, key actions are: FocusUp, FocusDown, FocusLeft, FocusRight
    WorkspaceCmd.hh/cc Screen.hh/cc WinClient.hh/cc FbCommandFactory.cc
  * Add apps file matching on WM_WINDOW_ROLE (Simon)
    - use "role=string". Particularly useful for gaim+gimp windows
      [app] (role=buddy_list) ...
    ClientPattern.hh/cc FbWindow.hh/cc
*04/04/27:
  * Fix up several toolbar theme items and alignments (Simon)
    - big improvement in look/compatibility of older styles
    Toolbar.cc Theme.hh/cc ThemeItems.hh ToolbarTheme.cc MenuTheme.cc Text.cc
    IconbarTheme.cc SlitTheme.cc WorkspaceNameTheme.hh IconbarTool.cc
*04/04/26:
  * Fixed some small compile errors with gcc 3.4
    (Henrik)
--------------------------------------------------------------------
Changes for 0.9.9:
*04/04/22:
  * New Command: Deiconify <mode> <dest>
    * Where mode is:
      * last
         - deiconify last iconified window
      * lastworkspace (default)
         - deiconify last iconified window
           from current workspace
      * all
         - deiconify all iconified windows
      * allworkspace
         - deiconify all iconfiied windows
           from current workspace
    * and dest is:
      * current (default)
        - deiconify them on current windows
      * origin
        - deiconify them where they were
      * originquiet
        - deiconify to old workspace but dont follow
   (Thanks Mathias Gumz)
   FbCommands.cc/hh, FbCommandFactory.cc
  * Attach area for tabs:
    new resource:
    * session.tabsAttachArea: <mode>
    where mode is:
    Window   - dropping tabs to any part of the destination-window
               leads to attaching to that frame (default)
    Titlebar - dropping tabs only to the titlebar of the destination-
               window leads to attaching to that frame
    (Thanks Mathias Gumz)
  * FbRun:
    path completion and fixed so it loads apps on first tab-press
    (Thanks Mathias Gumz)
    FbRun.cc
*04/04/19:
  * Moved kde dockapps from slit into the systray in toolbar (Henrik
    Screen.hh/cc, Systray.hh/cc, fluxbox.hh/cc, Slit.cc/hh
  * Minor fix for fbrun using FbTk::Directory (Thanks Mathias Gumz)
    Directory.hh/cc, FbRun.cc
*04/04/18:
  * Fixed decoration bug with mwm hint + remember (Thanks Mathias Gumz)
    fluxbox.hh/cc, Window.hh/cc
  * Fixed round courners bug in menu (Henrik)
    FbMenu.hh/cc, FbTk/Menu.hh
  * Minor fix for decor/position remember state (Thanks Mathias Gumz)
    Remember.cc
  * Fixed drawing issue with big menus (Thanks Mathias Gumz)
    FbTk/Menu.cc
  * fbrun: Tab complete on all apps in $PATH
    (To tab complete on history Ctrl+Tab)
    (Thanks Mathias Gumz)
    FbRun.hh/cc
*04/04/17:
  * KDE as default now, not a big overhead anyways (Henrik)
    configure.in
*04/04/14:
  * Revert to sync. Async stops it from replaying (Simon)
    Window.cc
  * Half revert a bit of the below, since it broke click-to-focus (Simon)
    -> adds back the grab, but as an async one
    Window.cc
  * Hopefully fix the "stange" hang on restart (Simon)
    - remove big sync-ed grab on all Button1 events
    - Also tidy and fix tab moving
    Window.cc
  * Fixed a menu title bug (Thanks Mathias Gumz)
    Menu.cc
*04/04/12:
  * Hide window menu when clicking on another window (Thanks Mathias Gumz)
    Screen.hh/cc, Window.hh/cc
  * Possibly fixed the "strange" hang on restart and at creation of
    new windows. Needs more testing though.
    Making sure there's not more than one GrabPointer at once in FluxboxWindow.
    (Henrik)
    Window.hh/cc
*04/04/10:
  * Some cleaning in Makefile.am's (Thanks  Frédéric L. W. Meunier (1 at pervalidus dot net))
*04/04/03:
  * French nls for fluxbox-generate_menu (Thanks LaLu <mathieu dot buffenoir at ece dot fr>
    fluxbox-generate_menu.in
*04/04/01:
  * Support aspect ratio hints (Simon)
    WinClient.cc
*04/03/31:
  * Fixed _MOTIF_WM_HINTS decoration toggle bug (Henrik)
    Window.cc
*04/03/30:
  * Fixed optional decoration on transient windows
    (Thanks Scott Moser <ssmoser at us dot ibm dot com>)
    Screen.hh/cc, Window.cc, nls/C/Configmenu.m
*04/03/28:
  * Fixed window snaping to screen objects (Henrik)
    Window.cc
*04/03/22:
  * Added screen resources to define line style for resize/move (Thanks Mathias Gumz)
    session.screen<num>.overlay.lineWidth: <integer>
    session.screen<num>.overlay.lineStyle: <valid arguments:
                                            LineSolid, LineOnOffDash
                                            LineDoubleDash
                                            >
    session.screen<num>.overlay.joinStyle: <valid arguments:
                                            JoinRound, JoindMiter,
                                            JoinBevel
                                            >
    session.screen<num>.overlay.capStyle: <valid arguments:
                                           CapNotLast, CapRound,
                                           CapButt, CapProjecting>

  * Fixed no-text-in-iconbar-bug on restart (Thanks Mathias Gumz)
    IconbarTool.cc
*04/03/21:
  * A number of small fixes (Simon)
    - Fix up focus+highlights on tab close
    - Centralise focus fallbacks (fluxbox::unfocusWindow)
      - we now prefer the last focused window in the current tabgroup to
        the actual last focused window on the whole screen.
    fluxbox.hh/cc Screen.hh/cc Window.hh/cc Workspace.hh/cc FbWinFrame.cc
*04/03/19:
  * fluxbox-generate_menu:  (Han)
    removes the reload-menu code which is obsolete
    since Mathias's latest patch
    fluxbox-generate_menu.in
*04/03/18:
  * Fixed menu time stamp for root menu (Thanks Mathias Gumz)
    the root menu now reloads if you edit the menu file
    Screen.cc
  * Added Control-c to the TextBox.cc so the (Thanks Mathias Gumz)
    TextBox gets cleared if one presses Control-c
    TextBox.cc
  * Fixed so @ and | works in text box (Thanks Mathias Gumz)
    TextBox.cc
*04/03/16:
  * Minor fix for ${INSTALL} and reload fluxbox menu  (Han)
    with fluxbox-generate_menu
  * Fix the fix, and a bit more for placeWindow (Simon)
    Workspace.cc
*04/03/15:
  * bug in placeWindow caused spinning with screens higher than width
    e.g. vertical xinerama   (Simon)
    Workspace.cc
*04/03/13:
  * Fixed so it compiles in cygwin (Henrik)
    I18n.hh
*04/03/11:
  * fbsetbg updates: (Han)
    * Check if Esetroot was linked with Imlib
    * Add support for gxmessage (looks much nicer)
    * Send all messages to xmessage/gxmessage because test -t is also true
      when startx is used.
    * Add compat note for $UID
  * fbsetbg: special Esetroot check and message improvements (Han)
*04/03/08:
  * Fix focus passing when grouping (Simon)
    Window.cc
  * Fix receipt of _NET_WM_DESKTOP client messages (Simon)
    - fixes xmms "show on all desktops" not working
    Ewmh.cc
*04/03/03:
  * Fix update of keys on keymap change (Simon)
    fluxbox.cc
  * Fix outline moving dropping on source workspace made window
    disappear [we now explicitly don't unfocus a moving window] (Simon)
    Window.cc fluxbox.cc
  * Updated finnish locales for fluxbox-generate_menu (Thanks Lauri Hakkarainen)
*04/03/02:
  * fluxbox-generate_menu changes: (Han)
    * Updated German locales from Mathias Gumz
    * More firefox support.
    * Updated compat-notes.
*04/02/28:
  * Improved rendering speed when changing workspace or creating new window (Henrik)
    FbWinFrame.cc
  * Fixed bug in StringUtil::removeTrailingWhitespace (Thanks Mathias Gumz)
    StringUtil.cc
  * Fixed infinite loop in fbrun (Thanks Mathias Gumz)
    FbRun.cc
  * Added improved checking for compiler and compiler version (Henrik)
    version.h.in, main.cc
*04/02/26:
  * Improved transparent rendering speed in titlebar (Henrik)
    FbWinFrame.cc
  * Improved transparent rendering speed in Menu (Henrik)
    Menu.cc
  * Added CompareEqual class template that helps comparing
    accessor functions with PODs for containers
    CompareEqual.hh
*04/02/25:
  * Fixed cycling in tab completion for fbrun (Thanks Mathias Gumz)
    FbRun.cc
*04/02/20:
  * Added SendToNextWorkspace and SendToPrevWorkspace actions (Thanks Mathias Gumz)
    CurrentWindowCmd.hh/cc, FbCommandFactory.cc
  * Minor filename expansion fix (Thanks Mathias Gumz)
    and added '!' as a comment character in keys file
    fluxbox.cc, Workspace.cc, Slit.cc, Keys.cc
  * fixed focus issues with remember hidden (Thanks Mathias Gumz)
    Ewmh.cc, Gnome.cc, Screen.cc, Window.hh/cc, Remember.hh/cc
*04/02/18:
  * Change workspace when clicking on a window in iconbar that's on (Henrik)
    another workspace
    IconButton.cc
*04/02/16:
  * Added remember hidden state for apps (Thanks Mathias Gumz)
    You mark apps in the apps-file with
    [Hidden] {yes}
    With this you can configure any app to be hidden from the toolbar
    Remember.cc/hh, IconbarTool.cc
  * Fixed window size bug in no-decor windows on start/restart (Henrik)
    Window.cc
*04/02/14:
  * Fixed bug in _NET_MOVERESIZE_WINDOW (Henrik)
    Ewmh.cc
*04/02/10:
  * Minor fixes (Thanks Mathias Gumz)
    fluxbox.hh/cc, Slit.cc, Xinerama.hh, Screen.cc
  * fbgm updates (Thanks Han and Nero Wolfe [mrwolfe<at>linuxmail.org])
    - portability fixes, improve menu reloading, and new menu entries
    fluxbox-generate_menu.in
*04/01/30:
  * Tidy up a few slitlist things (Simon)
    - expand ~, trim spaces, allow comments, use WM_CLASS instead of NAME
    - should make it use regexp like remember sometime
    Slit.cc Xutil.hh/cc
*04/01/23:
  * Fix a few window frame issues when changing styles (Simon)
    - particularly a "void" area of the window
    Window.hh/cc FbWinFrame.cc
*04/01/22:
  * Fix missing sanitycheck in fbsetbg (Thanks Tom Ryan)
    fbsetbg
*04/01/21:
  * Added more international keywords and     (Thanks Antonio Gomes)
    Portuguese locales for fluxbox-generate_menu.in
  * Added automatic reload of the new menu in   (Han)
    fluxbox-generate_menu
  * Fixed window size bug (Henrik)
    FbWinFrame::hideHandle and hideTitlebar could've
    caused window to have negative size
    FbWinFrame.cc
  * Fixed cursor bug in fbrun (Thanks Mathias Gumz (gumz<at>cs.uni-magdeburg.de))
    TextBox.cc
  * Added support for:             (Henrik)
    _NET_WM_WINDOW_TYPE
    _NET_WM_WINDOW_TYPE_DOCK
    Ewmh.hh/cc
  * Fixed so one can navigate in menu even if     (Henrik)
    numlock, capslock or scrollock are on
    Menu.cc
*04/01/19:
  * Fixed minor bug in ResourceManager (Henrik)
    Resource.cc
  * Support for:                   (Henrik)
    _NET_WM_STATE_ABOVE
    _NET_WM_STATE_BELOW
    _NET_WM_CLIENT_LIST_STACKING
    _NET_WM_DESKTOP_VIEWPORT
    _NET_WM_DESKTOP_GEOMETRY
    _NET_WORKAREA
    _NET_ACTIVE_WINDOW
    Ewmh.cc
  * Fixed minor bugs in Ewmh,   (Henrik)
    The gnome-panel should now be working with window list and workspaces
    Ewmh.cc
*04/01/18:
  * Fixed snap to max screen area instead of real screen area (Henrik)
    Window.cc
  * Support for _NET_WM_STATE_HIDDEN and _NET_WM_STATE_SKIP_TASKBAR (Henrik)
    Window.cc/hh, Ewmh.hh/cc
  * Fixed mplayer xvid vo bug (Henrik)
    It now finds correct screen to create window on
    fluxbox.cc
*04/01/17:
  * Enter nls/pl_PL into configure.in and add a Makefile.am to pl_PL.
  * Add nls/sl_SI (thanks Ale¨ Jagodnik)
*04/01/16:
  * Updated nl_NL locales (Han)
  * Different window for window position  (Thanks Junichiro Kita (kita<at>kitaj.no-ip.com)
    Screen.cc/hh, Window.cc,
  * New Command:      (Thanks Junichiro Kita (kita<at>kitaj.no-ip.com)
    WindowMenu  - this will show the window menu on the focused window
  * Revert to old focused window after menu keyboard navigation (Henrik)
    fluxbox.cc
  * Menu keyboard navigation bug fixes (Thanks Junichiro Kita (kita<at>kitaj.no-ip.com)
    also fixes so submenus dont open unless you press Right
    Menu.cc
  * Using strut area for ArrangeWindows (Thanks Carlos (mindsuck<(at)>gfxnstuff .com.ar))
  * New behavior for icon button   (Thanks Dmitriy Nikitinskiy)
    On click: if focused then iconify else raise and focus.
    IconButton.cc
*04/01/15:


--------------------------------------------------------------------------
Changes for 0.9.8:
*04/01/14:
  * Fixed some border issues with left/right alignment in Iconbar (Henrik)
    IconbarTool.cc, Container.cc
  * Implement transparency for toolbar (Simon)
    - can use toolbar.alpha, as well as toolbar.<tool>.alpha
    ToolTheme.hh/cc IconbarTheme.hh/cc *Tool.cc Container.cc Toolbar.cc
*04/01/12:
  * Limit loop in menu cleaning (Han)
    fluxbox-generate_menu.in
*04/01/11:
  * Fixed ImageControl cache problem (Henrik)
    ImageControl.hh/cc
  * Hide menus when click on iconbar (Henrik)
    Screen.hh/cc, fluxbox.hh/cc, IconButton.cc, Toolbar.cc
*04/01/10:
  * Fixed a memory leak  (Henrik)
    We forgot to destroy screens on shutdown
    fluxbox.cc, Screen.cc
  * Fix a number of transparency issues for window frames (Simon)
    FbWinFrame.cc WinButton.hh/cc
*04/01/09:
  * Fixed color parse bug (Henrik)
    removing whitespaces
    Color.cc
  * Fixed an iconify bug in "All Windows" mode in IconbarTool (Henrik)
    IconbarTool.cc
*04/01/08:
  * Fixed some uninitialized variables (Henrik)
  * Minor fixes for signed/unsigned warnings in FbTk (Henrik)
    FbTk/*

------------------------------------------------------------------------
Changes for 0.9.7:
*04/01/02:
  * Added new styles Emerge (from Nuno Alexandre) and
    BlueFlux (from Lauri Hakkarainen)
  * Removed styles: Clean (CleanColor renamed to Clean), Rancor and Blue  (Henrik)
  * fbsetbg trivial: (Thanks Han)
    Add support for random_number, provided by:
    http://www.xs4all.nl/~hanb/software/arc4random.tar.bz2
    for the fans :)
    fbsetbg
  * Added menu item [separator] (Henrik)
    Screen.cc
  * Fixed bug in ThemeItem<int>::setFromString   (Henrik)
    It didn't check if sscanf returned error
    ThemeItems.hh
  * Fixed image cache bug (Henrik)
    ImageControl.hh
  * Fixed active/unfocus fallback bug (Henrik)
    FbWinFrame.cc
  * Tab completion in command dialog (Henrik)
    CommandDialog.hh
*03/12/30:
  * Added resource session.useMod1 <boolean> to disable/enable mod1   (Henrik)
    for Resize/Move window with mod1 + button
    Window.cc, fluxbox.hh/cc
  * Fixed so it checks for caps, num and scrollock (Henrik)
    KeyUtil.hh/cc, fluxbox.cc, TextBox.cc, WorkspaceCmd.cc, Window.cc
  * Focus issue (Henrik)
    Window.cc/hh, fluxbox.hh/cc
*03/12/29:
  * Removed dublicate call to load theme in startup (Henrik)
    Screen.cc
  * Random wallpaper for fbsetbg (Thanks Han)
    fbsetbg, fluxbox-generate_menu
*03/12/22:
  * Fix rendering of icon buttons when larger from rounding (Simon)
    Container.hh IconbarTool.hh/cc
*03/12/22:
  * Added Lock Screen to fluxbox-generate_menu (Thanks Han)
*03/12/21:
  * Fix rounding on Iconbar (Simon)
    Container.cc
  * And another attempt at sloppy focus issues (Simon)
    WinClient.cc Window.cc fluxbox.cc
  * Minor fix   (Henrik)
    We must assume Passive when no input hint is set
    WinClient.cc
*03/12/20:
  * Fixed toolbar and slit autohide bug (Henrik)
    Toolbar.cc, Slit.cc
  * Added new action: BindKey <key line>  (Henrik)
    This will allow you to add key bindings while you're running fluxbox
    in the Fluxbox Command dialog.
    example:
    BindKey Mod1 R :RootMenu
    The key will add itself to the keys file, to remove keys you still
    have to manualy edit the keys file until there's a better save
    in the code.
    FbCommandFactory.cc, FbCommands.hh/cc, Keys.hh/cc
*03/12/19:
  * Added Edit Clock Format menu item  (Henrik)
    This allow the user to edit the clock format without open
    and edit the init file manualy
    ClockTool.cc
  * Added new commands:                      (Henrik)
    SetResourceValueCmd <resourcename> <resource value>
    SetResourceValueDialog
    These will help the user to set some resources that doesn't have
    a configure menu item or that's painfull to change in small steps
    (like Menu Alpha)
    FbCommands.hh/cc, FbCommandFactory.cc
  * Added setResourceValue, resourceValue and findResource to ResourceManager (Henrik)
    Resource.hh/cc
  * Removed flicker in iconbar while changing active client  (Henrik)
    in Window.
    IconbarTool.hh/cc
  * Fixed bug in key/mouse screen updates in fluxbox.cc (Henrik)
  * Old/New action:
    SetWorkspaceName doesn't pop up dialog to edit workspace name  (Henrik)
    it now sets the current workspace name direct
    example: SetWorkspaceName somespace
    this will set current workspace name to somespace
    The new action for editing workspace name is:
    WorkspaceNameDialog
    FbCommands.hh/cc, FbCommandFactory.cc
  * New Action: CommandDialog - with this action you'll get a dialog much like  (Henrik)
    fbrun but in this you can issue fluxbox actions like NextWorkspace and so on.
  * Replaces WorkspaceNameEditing with a more generic dialog  (Henrik)
    CommandDialog.
    CommandDialog.hh/cc, FbCommandFactory.cc
  * Code cleaning (Henrik)
    ...
  * changed session.opaqueMove to session.screen<num>.opaqueMove (Henrik)
    Screen.cc
*03/12/18:
  * Patch from Ciaran that fixes so style files that    (Thanks Ciaran McCreesh)
    starts with "." or ends with "~" (backup files)
    doesn't gett added to style menu
  * Some cleaning (Henrik)
    ...
  * nl_NL locales (Thanks Han Boetes)
  configure.in, nls/Makefile.am, nls/nl_NL/*, util/fluxbox-generate_menu.in
*03/12/17:
  * Fixed some icc warnings (Henrik)
    ...
  * Changed menu delay resource values to milliseconds instead of microsec (Henrik)
    Max value for each delay is 5000 msec (5 seconds)
    A good set of values are:
    session.screen0.menuDelay: 400
    session.screen0.menuDelayClose: 300
    MenuTheme.hh, Menu.cc, Screen.cc
*03/12/15:
  * Fix mozilla focus issue (Simon)
    - When input focus hint not present assume false rather than true
    WinClient.cc
*03/12/13:
  * Moving client to drop zone when drag'n'drop to root window (Henrik)
    Window.cc
*03/12/12:
  * Added menu delay/click to open or close submenus (Henrik)
    In menuMode: Click you need to click on the menu item to open it.
    The menuDelay is the delay to open an submenu.
    The menuDelayClose is so you don't need to aim that much when
    you're moving the cursor to the submenu, over the item below
    or above, so it stays visible.
    new resource items:
    session.screen0.menuMode:  can be either Click or Delay (default: Delay)
    session.screen0.menuDelay:  in msec  (default: 0 )
    session.screen0.menuDelayClose: in msec (default: 0 )
    example:
    session.screen0.menuMode: Delay
    session.screen0.menuDelay: 400
    session.screen0.menuDelayClose: 300
    Notice how the menuDelay is a bit larger than menuCloseDelay
    this is so the previous menu can close before you open the next

  * Fixed bug when adding alot of new workspaces (Henrik)
    Ewmh.cc
  * Removed Next/Prev client from window menu (Henrik)
    Window.cc
  * Added aligment for buttons in iconbar (Henrik)
    Change Left, Relative or Right via the Iconbar mode menu
    New resource item:
    session.screen0.iconbar.clientWidth: integer
    session.screen0.iconbar.alignment:  LEFT, RELATIVE or RIGHT
    IconbarTool.hh/cc, Container.hh/cc
  * Support for bsetroot in fbsetbg (Han)
*03/12/11:
  * Added remember position (Thanks Mathias Gumz)
    Usage:  [app] (fbrun)
            [Position]    (WINCENTER) {0 0}
            [end]
    and inside the { } is the relative position
    possible values for () are:
    UPPERLEFT, UPPERRIGHT, LOWERLEFT, LOWERRIGHT, CENTER, WINCENTER
    Remember.cc/hh
*03/12/10:
  * Added temporarly nice separator line (Thanks Ciaran McCreesh)
    use [nop] (---) to get a nice separator line in the menu
    Window.cc, Menu.cc
  * Fixed geometry window bug when resizing (Henrik)
    Window.cc, Screen.cc
  * Cleaning in menu code (Henrik)
    ...
*03/12/09:
  * Ignore NotifyInferior focus changes (Simon)
    - trying to pin down various focus issues... does this help/hinder?
    fluxbox.cc
  * New theme items: (Simon)
    window.label.active:   <texture>
    window.label.active.textColor:  <color>
    For highlighting the active (visible) tab when not in focus.
    - fixes bug with unfocused windows not getting unfocus.textColor
    FbWinFrame.hh/cc FbWinFrameTheme.hh/cc
*03/12/08:
  * fbsetbg now remembers -u option  and it also has   (Han)
    a new -U option which does the same	thing without remembering
    fbsetbg
  * Added "visible" menu item to Toolbar (Henrik)
    When this item is off the toolbar vill be completely
    hidden. (You can still access the toolbar menu via main
    configure menu)
    New resource item:
    session.<screename>.toolbar.visible: <boolean>
    Toolbar.hh/cc
  * Removed data/startup.in (Henrik)
    data/Makefile.am, data/startup.in
*03/12/07:
  * Fixed bug window title change bug for iconbar (Henrik)
    IconbarTool.cc, Workspace.cc, Window.hh/cc
  * Fixed bug in extra drawing in the iconbar (Henrik)
    TODO: check this out more
	Container.cc
  * Fixed bug with color/colorTo and .pixmap in styles (Henrik)
    Toolbar.cc, Slit.cc, Screen.cc, WorkspaceNameTool.cc,
	IconbarTool.cc, Texture.cc, ButtonTool.cc, ClockTool.cc, FbWinFrame.cc
  * Added Toolbar to main config menu again (Henrik)
    Toolbar.cc
*03/12/06:
  * Updates for startfluxbox.in (Han)
*03/12/04:
  * Added new clock format menu item (Henrik)
    It'll toggle the clock in 24/12 format
    ClockTool.cc/hh, ToolFactory.cc
  * Changed XSync to FbTk::App::sync (Henrik)
    fluxbox.cc, Keys.cc, App.hh/cc, Window.cc, Screen.cc
*03/12/03:
  * window menu inside clientmenu inside workspacemenu (Henrik)
    Workspace.cc
  * Added new command "reloadstyle" (Henrik)
    FbCommands.hh/cc, FbCommandFactory.cc
  * Fixed so toolbar menu hides when you click on root window/desktop (Henrik)
    fluxbox.cc
  * Removed ToolbarHandler (Henrik)
    ToolbarHandler.cc/hh, Toolbar.hh/cc, IconbarTool.cc, fluxbox.cc/hh
*03/12/02:
  * Missing include of math.h for sqrt (Simon)
    WorkspaceCmd.cc
*03/12/01:
  * Fixed shadow bug with other options (Henrik)
    Font.cc
  * Fixed antialias bug in fbrun   (Henrik)
    Antialias is enabled by default for FbRun
	Changed switch -a to -na (disable antialias)
	FbRun/main.cc
*03/11/29:
  * Added shadow text (Henrik)
    To use shadow in text you need to add option to your font style item.
    The theme item will continue to work in old fluxbox and it'll just
    ignore the "shadow" option
    Example:
    menu.title.font: Verdana-10:bold,shadow
    menu.frame.font: Verdana-8:shadow
    window.font: sans-8:shadow
    *.font: sans-12:shadow
*03/11/27:
  * The "Send To..."-menu is back (Henrik)
    SendToMenu.hh/cc, Window.cc
  * Added new option on Iconbar mode menu: "Use Pixmap" (Henrik)
    Toggle this to show/hide pixmap of windows
    new resource item:
    session.screen<num>.iconbar.usePixmap: <boolean>
  * Changed Maximize menu item in Window menu to a multi button item (Henrik)
    Button1: Maximize Normal
    Button2: Maximize Vertical
    Button3: Maximize Horizontal
    MultiButtonMenuItem.hh/cc, Window.cc
*03/11/23:
  * Some util/ updates from Han
    .cvsignore fbsetbg fluxbox_generate_menu.in
*03/11/19:
  * Fix menu draw bug for empty submenus (Simon)
    Menu.cc
  * Fix menu placement for iconbar and titlebar activation, including
    xinerama awareness (Simon)
    Window.cc IconButton.cc
  * Fix win menu hide straight after show when right click icon (Simon)
    Menu.cc

-------------------------------------------------------------------------
Changes for 0.9.6:
*03/11/16:
  * Fixed sstream and strstream header check (Henrik)
    configure.in, Remember.cc, FbCommandFactory.cc, ClientPattern.cc
  * Add image search paths when loading a style (Simon)
    - now looks for pixmaps in <stylebase> and <stylebase>/pixmaps
    - now looks for styles in <stylesdir>/<stylename>/theme.cfg
      => for this, stylebase is the style directory
    - pixmap styles should use the new format for portability
    Theme.hh/cc Image.hh/cc Screen.cc
*03/11/15:
  * Moved fluxbox-generate_menu to fluxbox-generate_menu.in  (Thanks Han)
    fixed empty submenu problem
    fluxbox-generate_menu.in, util/Makefile.am, data/Makefile.am
*03/10/31:
  * Fix slit client map on restart and surplus menu redraw (Simon)
    SlitClient.hh Slit.cc Menu.cc
  * Fix textbutton text alignment (out by one) (Simon)
    TextButton.cc
  * Tweak some positioning for winbutton drawn icons (Simon)
    WinButton.cc
  * Fix iconbar button alignment and squash inactive tools (Simon)
    - also fix a bunch of rounding issues
    -> keep in mind that titlebar/iconbar width may not be exactly
       divisible by the number of clients/labels in it
    Container.cc FbWinFrame.cc SystemTray.hh Screen.cc ToolbarItem.hh
    Toolbar.cc
*03/10/30:
  * Fix handling of theme's with a zero handleWidth (Simon)
    FbWinFrame.cc
*03/10/28:
  * Fix building with --disable-slit (Simon)
    Screen.cc
*03/10/27:
  * Change FbWinFrame to NOT reparent client windows into clientarea (Simon)
    - fixes (I think) java bug with missing drawing bits of window
    - allows us to remove some dodgy "and for parent" hacks (not done in
      this patch, but will be in new action system which depends on this)
    - clientarea still exists for future implementation of improved
      sizing, particularly to provide a backing to clients that don't
      take up the whole area.
      FbWinFrame.hh/cc Window.hh/cc fluxbox.cc
*03/10/26:
  * Fixed bug in FbWindow::setNew  (Henrik)
    It didn't update member variables
    FbWindow.cc
*03/10/25:
  * Fixed whitespace in filenames for pixmaps (Henrik)
    StringUtil.hh/cc, ThemeItems.hh
  * Added MoveTo/ResizeTo commands (Thanks sylvinus)
    Moves/Resize the window absolute coordinates
    * usage: MoveTo 100 100
             ResizeTo 100 100
*03/10/20:
  * fbgm updates from Han
    - allow options in ~/.fluxbox/menuconfig
    - update dutch locales a bit.
    - fbrun options added in menuconfig
    - added /usr/X11R6 to searchpath
    - some other random fixes/updates
    fluxbox-generate_menu
*03/10/17:
  * fbsetbg update from Han - new option to explicitly say
    which wallpaper setting to use, plus minor changes
    fbsetbg
*03/10/15:
  * Fix event manager target window (Simon)
    -> Some events don't have the main window as xany.window
       (e.g. XConfigureRequestEvent has the parent there)
    -> Fixes missing configurerequest events for e.g. galeon
    EventManager.hh/cc fluxbox.cc
*03/10/14:
  * Bug fix in NextWindow/PrevWindow Command  (Henrik)
    it was only executed when last event = keyevent
    WorkspaceCmd.cc
  * New theme items:
    * toolbar.button.size for fixed buttons in the toolbar
    * toolbar.button.borderWidth
    * toolbar.button.borderColor
    * toolbar.button
    * toolbar.button.color
    * toolbar.button.colorTo
    * toolbar.button.pixmap
    * toolbar.button.picColor
    * toolbar.button.pressed.color
    * toolbar.button.pressed.colorTo
    * toolbar.button.pressed
  * Added pressed color for buttons (Henrik)
    FbTk/ Button.hh/cc
  * Added new tools for the toolbar (Henrik)
   - nextworkspace/prevworkspace creates left/right arrows that changes workspace
   - nextwindow/prevwindow creates left/right arrows that changes focused window
   ToolFactory.hh/cc
  * Added new files  (Henrik)
   - GenericTool.hh/cc  helper class for simple tools like buttons
   - ButtonTool.hh/cc Tool class for buttons in toolbar
   - ToolFactory.hh/cc Creates tools
   - ButtonTheme.hh/cc holds theme for simple buttons,
     extends tooltheme with pressed texture and picColor
*03/10/10:
  * Various drawing-related optimisations and bug fixes (Simon)
    - fixes toolbar random colour flicker on workspace change
    - speeds up pixmap rendering a little (inlining and friends!)
    - pixmap cache now a set rather than list (faster search)
    FbWinFrame.cc GContext.hh/cc Color.hh ImageControl.hh/cc
    IconbarTool.cc fluxbox.cc Container.cc
*03/10/08:
  * fluxbox-generate_menu update from Han
    - replace getopts with portable workaround
    fluxbox-generate_menu
  * fbsetbg updates from Han, and some tweaking (Simon)
    fbsetbg
*03/10/06:
  * Fix rendering of offscreen windows (remove if !visible tests) (Simon)
    FbWinFrame.cc
  * Fix shaped windows+menus (Simon)
    - make sure all existing menus use shape
    - fix Shape itself, particularly to work properly with borders
    Shape.cc IconBarTool.hh/cc Toolbar.hh/cc ToolbarHandler.hh/cc
    Window.hh/cc Workspace.hh/cc WinClient.cc
*03/10/05:
  * Fix frame size when changing titlebar size (Simon)
    - also send configure notify when toggling decorations
    FbWinFrame.hh/cc Window.cc
  * Move a bunch of functionality from Keys into FbTk::KeyUtil (Simon)
    - also fix issue where Capslock mod was taken to be whatever caps
      key was mapped to (why??). Now uses LockMask (ditto num,scroll).
    Keys.hh/cc KeyUtil.hh/cc TextBox.cc fluxbox.cc
  * Fix reading of auto raise delay (Simon)
    fluxbox.hh/cc Screen.cc Timer.hh/cc
  * Make focusLast work for sloppy focus when changing workspace or
    closing a window (Simon)
    - also generalises event redirects (e.g. for window moving)
    fluxbox.hh/cc Window.hh/cc Screen.cc
*03/10/04:
  * Fix NLS bad message errors by adding explicit codeset entries (Simon)
    - thanks to Matt Hope for pointing us to the recent workaround from
      blackbox (and thanks to Matt Kraai who contrib-d to Blackbox)
    - also clean up the Makefiles so they are more generalised
    nls/*/Makefile.am nls/convert.awk
*03/10/02:
  * Fix couple of memory leaks and uninitialised uses shown up with
    valgrind (Simon)
    EventManager.cc TextureRender.cc Gnome.cc Screen.cc Window.cc
    WinClient.cc Xutil.cc main.cc
  * Make grips children of handle (Simon)
    - Fixes parentrelative grip texture
    FbWinFrame.hh/cc
  * Fix updating of window on focus change (Simon)
    FbWinFrame.cc
*03/09/29:
  * Fix aterm not updating on opaque move (Thanks Mathias Gumz)
    Window.cc
  * Fix resize calculations, particularly wrt base_width/height (Simon)
    - fixes abiword resize issues
    Window.hh/cc WinClient.hh/cc
  * Nearest-quadrant resizing (Thanks Uwe Maurer and Mathias Gumz)
    Window.hh/cc Screen.hh/cc FbWinFrameTheme.hh/cc
  * Update from Han
   - make startup executable to save one process
   - make pixmaps-dir
   - use -a which falls back to -f for wallpapers(testing)
   - some code cleanups.
   fluxbox-generate_menu, fbsetbg, startfluxbox.in
*03/09/24:
  * Fix crash when closing active window while cycling focus (Simon)
    Screen.cc
  * Fix updates to mwm_hints, and make configure request
    move and resize atomic (Simon)
    - fixes mplayer fullscreen window being moveable
    - fixes focus loss when toggling mplayer fullscreen
    FbWinFrame.hh/cc Window.hh/cc FbAtoms.hh/cc WinClient.cc
  * Fixed the "aterm"-bug  (Henrik)
    Window.cc
*03/09/23:
  * Add support for _NET_WM_STATE_FULLSCREEN (Simon)
    - fixes mozilla/firebird fullscreen
    Ewmh.hh/cc Window.hh/cc
*03/09/22:
  * Fix invisible minimize button for non-pixmap themes (Simon)
    WinButton.cc
*03/09/21:
  * Fix disappearing close button (Simon)
    WinClient.hh/cc
*03/09/20:
  * Add nls/pl_PL (Thanks Offtza).
  * Add nls/translators.txt saying that offtza contributed the pl_PL.
  * Fixed WorkspaceCmd.cc ArrangeWindows for greater odd numbers (5,7,..).
*03/09/19:
  * fbsetbg update (Thanks Han)
    - fixes fbsetbg -l after a changing the wallpapersetter.
    - fixes xli debug message
    - cleanups
    - adds feh (thanks teemu)
*03/09/16:
   * Apply gravity when changing decorations (Simon)
     - also fix gravity when decorations not present
     Window.cc FbWinFrame.cc
*03/09/15:
   * Fixed bug in IconbarTool mode = NONE (Henrik)
     IconbarTool.cc
*03/09/14:
   * Fixed minor bug in stick pressed button (Henrik)
     Button.cc
   * Focus fixes (Simon)
     Hopefully fixes mysterious instances of focus not being set right.
     Window.cc fluxbox.cc
   * More optimization to reduce flicker in titlebar
     Screen.cc, FbWinFrame.cc/hh, TextButton.hh/cc, FbWindow.hh/cc
*03/09/13:
   * Fixed minor compilation problem for Solaris (Thanks NivenHuH)
     Resource.hh
   * Added new theme items (Henrik)
     * menu.borderWidth
     * menu.borderColor
     * menu.bevelWidth
     * window.handleWidth
     * window.bevelWidth
     MenuTheme.cc, FbWinFrameTheme.cc/hh, RootTheme.hh/cc,
     Window.cc, Screen.cc
   * Optimized rendering for windows (Henrik)
     Reduced flicker
     FbWinFrame.hh/cc, Window.cc
   * Changed fallback options for window button pixmaps (Henrik)
     *.focus/unfocus will fallback to old style if no pixmap is detected
     WinButton.cc
   * Added anjuta, blender -w, wings, rox filer, vmware, xlock
     to fluxbox-generate_menu  (Thanks Pol)
*03/09/12:
   * Fix a couple of issues related to windows reparenting themselves
     to escape the WM. Hopefully fixes mplayer/vncviewer fullscreen
     problems.  (Simon)
     fluxbox.cc Window.cc
   * Fix window gravity handling (Simon)
     - should fix some offset fullscreen issues
     FbWinFrame.hh/cc WinClient.hh/cc Window.cc
*03/09/10:
   * Fixed buffer for TextButton (Henrik)
     Reduces flicker
     TextButton.hh/cc, Button.cc/hh
   * Added Move action (Thanks Mathias Gumz)
     Usage: Move x y
     FbCommandFactory.cc, FbCommandFactory.hh
   * Fixed minor bug in IconbarTool (Henrik)
     IconbarTool.hh/cc
   * Added update timer for transparency in FbWinFrame (Henrik)
     Updates the transparency 1 usec after each move,
     this speeds up moving in opaque mode
     * new resource item
        session.updateDelayTime: <micro sec>
     This delay decides when the transparency should update when you're moving
     FbWinFrame.hh/cc
*03/09/08:
   * Fixed numlock and scrlock bug in FbTk TextBox (Henrik)
     This will fix workspace edit window input when having
     num- or scrolllock on.
     TextBox.cc
   * Added iconbar mode menu (Henrik)
     * new resource item:
       session.screen<num>.iconbar.mode: <mode>
     Toolbar.cc, IconbarTool.cc/hh
   * Added icon list sig to Screen (Henrik)
     This will notify when the icon list changed.
     Useful for IconbarTool
     Screen.hh/cc
   * Fixed minor bug in FbTk::Subject (Henrik)
     If one removes an observer while notify() it'll put that observer
     in a dead_observer list which will be cleand after notify()
     Subject.cc
   * Fixed minor bug in FbTk::Button (Henrik)
     It did a execute() and then a updateTransparent (in buttonRelease),
     which could be dangerous if the execute() killed the object
     Button.cc
   * Fix when selecting + unneeded submenu redraw on enter+motion (Simon)
     Menu.cc
*03/09/07:
   * Added startup script to be used with startfluxbox, to get a
     consistent frontend for both *dm and startx and your fluxbox-session  (Thanks Han)
     startfluxbox.in, startup.in
   * Minor cleaning in some Makefile.am (Thanks Han)
*03/09/06:
   * Added Resize x y as command (Thanks Mathias Gumz)
     FbCommands.cc/hh, FbCommandFactory.cc
   * Added "!" as a comment line for keys file (Thanks Mathias Gumz)
     Keys.cc
   * Fixed so root menu and workspace menu shows up under the mouse (Thanks Mathias Gumz)
     FbCommands.cc/hh
   * Moved detection of lock modifiers from Keys to FbTk::KeyUtil  (Henrik)
     Keys.cc/hh, KeyUtil.hh/cc, WorkspaceCmd.cc
*03/08/30:
   * Added new action: workspacemenu  (Thanks Mathias Gumz)
     FbCommandFactory.hh/cc, FbCommands.hh/cc
   * Improved menu speed (Henrik)
     Menu.cc
   * Fixed old borderColor theme option fallback for Slit (Henrik)
     SlitTheme.cc
*03/08/29:
   * Fixed iconbar, workspace theme and slit for old themes (Henrik)
     IconbarTheme.hh/cc, ToolTheme.hh/ToolTheme.cc, WorkspaceNameTheme.hh,
     SlitTheme.hh/cc
   * Added -verbose argument to fluxbox (Henrik)
     This will enable theme warnings
     main.cc, Theme.hh/cc
*03/08/28:
   * Fixed so ThemeManager::load expands ~  (Henrik)
     Theme.cc
   * Fixed pixmap bug when changing between non-pixmap themes
     and pixmap themes (Henrik)
     Theme.cc
   * Fixed so Theme items calls setDefaultValue in constructor (Henrik)
     This should fix init values.
     Theme.hh
   * Fixed empty window bug in SystemTray (Henrik)
     SystemTray.cc
   * Fixed configurable tools in toolbar (Henrik)
     * New resource item:
       * session.screen<num>.toolbar.tools: <toolname>, <toolname2>
       example: session.screen0.toolbar.tools: clock, iconbar, workspacename
       Valid toolnames are:
       * workspacename
       * clock
       * iconbar
       * systemtray
     Toolbar.hh/cc
   * Fixed toolbar height bug crash (Henrik)
     ToolbarTheme.cc

---------------------------------------------------------------------------
Changes for 0.9.5:
*03/08/27:
   * Added support for _NET_WM_STATE_MAXIMIZE_{HORZ/VERT} (Thanks stephan wezel <s.wezel<at>web <dot> de>)
     Ewmh.hh/cc
   * Added new theme item for toolbar: (Henrik)
      * toolbar.height
   * Added new theme items for menu:  (Henrik)
      * menu.selected.pixmap
      * menu.unselected.pixmap
      * menu.submenu.pixmap
      One can now specify pixmap to use for toggle items and
      what "arrow" to show on submenu items
   * Changed FbRun to use FbPixmap and GContext (Henrik)
     FbRun.hh/cc
   * Added FbTk::GContext a wrapper for X GC (Henrik)
red   * Changed FbRun to use FbTk::TextBox
     FbRun.hh/cc
   * Added a workspace name setting tool (Henrik)
     new action name: SetWorkspaceName
     SetWorkspaceName.hh/cc, FbCommands.hh/cc, FbCommandFactory.cc
   * Added TextBox for input window (Henrik)
     TextBox.hh/cc
*03/08/25:
   * Fix some style initialisation issues (Simon)
     Screen.hh/cc FbWinFrame.cc
   * Added window icon for FbRun (Henrik)
     fbrun.xpm, FbRun.hh/cc
*03/08/24:
   * Fixed transparent bug in Menus (submenu) (Henrik)
     Menu.cc
   * Fixed so shaped windows like xmms wont get theme  (Henrik)
     specified shape (round corners)
   * Added file Compose.hh (Henrik)
   * Fixed randr support in toolbar (Henrik)
     Toolbar.cc, Screen.hh/cc
*03/08/23:
   * Fixed autohide and menu in Toolbar (Henrik)
     Toolbar.cc, EventManager.hh/cc, WorkspaceNameTool.hh
*03/08/22:
   * Added search path resource for images (Henrik)
     * session.screen<num>.imageSearchPath
     This is a list separated by , or space
     example: session.screen0.imageSearchPath: ~/.fluxbox/pixmaps, /usr/share/fluxbox/pixmaps
   * Added new files for image loading (Henrik)
     The new way to load pixmap is to call FbTk::Image::load(thefile, screen_num);
     and to add more image file support you just have to extend FbTk::ImageBase
     and register it to FbTk::Image
     Image.hh/cc, ImageXPM.hh/cc, PixmapWithMask.hh, Theme.cc, WinButtonTheme.hh/cc,
     WinButton.cc/hh, fluxbox.cc
   * Fixed scaling in WinButtonTheme (Henrik)
     WinButton.cc, Screen.cc WinButtonTheme.hh/cc
   * Added new theme item window.title.height, Window.Title.Height (Henrik)
     FbWinFrameTheme.hh/cc
*03/08/19:
   * Added ResizeVertical and ResizeHorizontal  (Thanks Mathias Gumz)
     CurrentWindowCmd.hh/cc, FbCommandFactory.cc
   * Fixed fallback option for theme items (Henrik)
     So the toolbar should look better in old themes
     ToolTheme.cc/hh, IconbarTheme.hh/cc, Theme.hh/cc,
   * Fixed bug in Subject.cc that cause observers to be added more than once (Henrik)
     Subject.cc
*03/08/17:
   * Update fbsetbg and fluxbox-generate_menu (Han)
*03/08/16:
   * Fixed iconified windows in toolbar  (Henrik)
     IconbarTool.cc
   * Fixed default values on startup for some themes  (Henrik)
     MenuTheme.cc, ToolbarTheme.cc, IconbarTheme.cc, FbWinFrameTheme.cc
*03/08/15:
   * Fixed new height resource for toolbar (Henrik)
     This will override the styles font height
     session.screen0.toolbar.height
   * Added support for system tray (_NET_SYSTEM_TRAY)  (Henrik)
     SystemTray.hh/cc, Toolbar.cc
*03/08/13:
   * Fixed shape bug when switching between shaped themes and non shaped (Henrik)
     Shape.cc
   * Fixed default values for FbTk::Texture theme items (Henrik)
     Theme.cc
   * Added border theme items to ToolbarItems (Henrik)
     ToolTheme.hh/cc, BorderTheme.hh/cc, ClockTool.hh/cc,
     WorkspaceNameTool.hh/cc, IconbarTool.hh/cc
     * New theme items
       toolbar.clock.borderWidth: <integer>
       toolbar.clock.borderColor: <color>

       toolbar.iconbar.borderWidth: <integer>
       toolbar.iconbar.borderColor: <color>

       toolbar.workspace.borderWidth: <integer>
       toolbar.workspace.borderColor: <color>

   * Removed IconBar.hh/cc (Henrik)
   * Changed FbTk::Button to a FbWindow (Henrik)
     WinButton.cc, ArrowButton.cc, Button.hh/cc, FbWinFrame.cc, Window.cc,
     TextButton.cc
*03/08/12:
   * Added new texture type: Tiled  (Henrik)
     This will just affect pixmap loaded from file, and it will not scale them.
     Texture.hh/cc, TextureRender.cc
*03/08/11:
   * Fixed a minor focus bug, the m_focused_window was out of sync after revertFocus (Henrik)
     fluxbox.cc
   * Changed so FbTk::Timer executes a FbTk::Command instead of calling TimoutHandler (Henrik)
     Timer.hh/cc, fluxbox.cc, Slit.hh/cc, ImageControl.hh/cc
   * Added new files for Toolbar (Henrik)
     WorkspaceNameTool.hh/cc, ClockTool.hh/cc, ToolbarItem.hh/cc, ToolTheme.hh/cc
     TextTheme.hh/cc
     * toolbar theme items now:
       The clock:
       toolbar.clock: <texture>
       toolbar.clock.pixmap: <filename>
       toolbar.clock.color: <color>
       toolbar.clock.colorTo: <color>
       toolbar.clock.textColor: <color>
       toolbar.clock.font: <font>

       Workspace name:
       toolbar.workspace: <texture>
       toolbar.workspace.pixmap: <filename>
       toolbar.workspace.color: <color>
       toolbar.workspace.colorTo: <color>
       toolbar.workspace.textColor: <color>
       toolbar.workspace.font: <font>

       This is for an empty iconbar:
       toolbar.iconbar.empty: <texture>
       toolbar.iconbar.empty.pixmap: <filename>
       toolbar.iconbar.empty.color: <color>
       toolbar.iconbar.empty.colorTo: <color>

       Focused window in iconbar:
       toolbar.iconbar.focused: <texture>
       toolbar.iconbar.focused.pixmap: <filename>
       toolbar.iconbar.focused.color: <color>
       toolbar.iconbar.focused.colorTo: <color>
       toolbar.iconbar.focused.textColor: <color>
       toolbar.iconbar.focused.font: <font>
       And the same for .unfocused:
       toolbar.iconbar.unfocused: <texture>
       etc.

*03/08/10:
   * Fix session.menuFile to work with ~ properly (Simon)
     fluxbox.hh/cc Screen.cc
*03/08/07:
   * Updated fluxbox-generate_menu (Thanks Han)
     Test before warning, browser details, minor indent issues
*03/08/04:
   * Added transparent window (Henrik)
     FbWindow.hh/cc, Button.cc, FbWinFrame.hh/cc, FbWinFrameTheme.hh/cc
*03/08/03:
   * Improve inclusion of GNOME and KDE menus (Simon and Han)
     fluxbox-generate_menu data/Makefile.am
*03/07/29:
   * Minor fixes in fluxbox-generate_menu, fbsetbg and styles (Thanks Han)
   * Fixed kde dockapp bug (Henrik)
     Screen.cc, fluxbox.cc
   * Added icon menu to workspace menu (Henrik)
     Screen.cc/hh, IconMenuItem.hh,
   * Change:    (Simon)
     - Fluxbox::window search
     - Fluxbox::m_focused_window
     - strut saving
     - Some event handling
     - and more
     to use WinClient, not FluxboxWindow.
     This should fix some bugs where things weren't consistent and
     hopefully sets the stage to fix various other things that get out of
     whack.
     fluxbox.hh/cc Screen.hh/cc Window.hh/cc Workspace.cc WinClient.hh/cc
     CurrentWindowCmd.hh/cc AtomHandler.hh Ewmh.hh/cc Gnome.hh/cc
     Remember.hh ToolbarHandler.hh Toolbar.cc CurrentWindowCmd.hh/cc
*03/07/28:
   * Added MoveTabLeft and MoveTabRight commands (Henrik)
     Window.hh/cc, FbWinFrame.hh/cc, FbCommandFactory.cc
*03/07/26:
   * Fix window size when changing borderWidth [borderless wins] (Simon)
     Window.hh/cc FbWinFrame.hh/cc
   * Fix some keybinding issues with ShadeWindow, StickWindow,
     SendToWorkspace, NextGroup, PrevGroup (Simon)
     CurrentWindowCmd.cc FbCommandFactory.cc
*03/07/25:
   * Make fbrun work properly on multiple screens (Simon)
     FbRun.hh/cc
   * Make sure all the menus have titles, make -version go to stdout (Simon)
     Screen.cc Slit.cc Toolbar.cc ToolbarHandler.cc Xinerama.hh
     Workspace.cc main.cc
   * Fix pesky crash and phantom icons (diesig wasn't getting through) (Simon)
     ToolbarHandler.cc
*03/07/24:
   * Fix some maximisation issues (Simon)
     Window.hh/cc FbCommandFactory.cc
*03/07/23:
   * Fixed KDE dockapp bug (Henrik)
     Slit.cc, fluxbox.hh/cc
*03/07/21:
   * Really fix focus stuff. Should be properly standards compliant now (I
     hope). This also fixes a crash introduced yesterday.   (Simon)
     WinClient.hh/cc Window.cc fluxbox.cc
*03/07/20:
   * Fix aspects of focus and raising, including transients (Simon)
     - fixes focus toggling with transients and sloppy focus
     WinClient.hh/cc Window.cc fluxbox.cc MultLayers.hh/cc XLayer.hh/cc Menu.hh
   * Fix menu [re]drawing, particularly when selecting options (Simon)
     Menu.hh/cc
   * Fix disappearing Remember menu, plus titles of sub-window menus
     -> can now use addExtraMenus for windows in extensions (Simon)
     Menu.hh/cc Window.hh/cc Screen.hh/cc Remember.cc
   * Fix crash with toolbarmode = OFF, and put toolbar menu back into
     screen's configure menu (Simon)
     Screen.hh/cc ToolbarHandler.cc
*03/07/19:
   * Make most Commands execute on mouse screen rather than screen
     of focused window (Simon)
     FbCommands.cc WorkspaceCmd.cc
   * Fix xinerama options (again) for Slit and Toolbar (Simon)
     Xinerama.hh Slit.hh/cc Toolbar.hh/cc
   * Move menu alpha setting into MenuTheme (Simon)
     - fixes alpha init on multi-screened machines
     MenuTheme.hh/cc Menu.hh/cc Screen.cc
   * Add compiled-in defaults to fluxbox -info (thanks Matt Hope)
     main.cc
   * Redo ResourceManager so that it loads resources on registration, and
     only opens the database in blocks of requests    (Simon)
     - fixes initial loading of init resources (e.g. toolbar.layer)
     Resource.hh/cc XrmDatabaseHelper.hh Screen.cc fluxbox.hh/cc Slit.cc
     Toolbar.cc ToolbarHandler.cc
*03/07/18:
   * Fix java bug. Wasn't sending ConfigureNotify's to client (Simon)
     - also fix missing border on transient windows
     - also set some gnome hints initially
     Window.hh/cc Gnome.cc
*03/07/12:
   * Fixed 8 bpp crash (Henrik)
     ImageControl.cc
*03/07/11:
   * Added TOOLBAR to -info (Henrik)
     main.cc
-------------------------------------------------------------------------
Changes for 0.9.4:
*03/07/10:
   * Added new toolbar theme item (Henrik)
     * toolbar.button.borderWidth: <integer>
   * Add [startup] to Remember (Simon)
       Can now add entries to apps file like:
         [startup] {xterm}
       Then "xterm" will be launched on fluxbox startup.
       Can also give a screen option:
         [startup] (screen=1) {xterm}
       will start it on screen 1 rather than the default 0.
   * Added new rounded theme items (Henrik)
      * toolbar.shaped: <bool> this will make the toolbar shape the corners that are towards center
        of the screen
      * menu.roundCorners: <shape items>
      * window.roundCorners: <shape items>
      Where shape items can be TopLeft TopRight BottomLeft and BottomRight
      example: menu.roundCorners: TopRight BottomLeft
     ToolbarTheme.hh/cc, Toolbar.cc/hh, FbTk/Menu.hh, FbMenu.hh/cc, Screen.hh/cc,
     MenuTheme.hh/cc, FbWinFrameTheme.hh/cc, FbWinFrame.cc/hh
   * Applied patch that keeps the fbrun_history clean by not allowing
     duplicates to get placed in the history. (Thanks David J Burger <dburger<(a|T)>hawaii.edu>)
     FbRun.cc
   * fbsetbg updates (Han)
*03/07/05:
   * Fix winclient death signalling - fixes remember issues with applying
     attributes to wrong windows (Simon)
     Remember.hh/cc AtomHandler.hh fluxbox.cc ToolbarHandler.hh/cc Ewmh.hh Gnome.hh
*03/07/04:
   * Add support in remember for grouping apps (Simon)
     Achieved by using [group], e.g.
     [group]
       [app] (title=groupme)
       [Deco] {NONE}
     [end]
     will group anything with the title "groupme" and will give that group
     no decorations. You can have multiple [app] lines in a [group].
     Recall that app lines can also use regular expressions.
     - also includes split AtomHandler::setupWindow(fbw) into
       setupFrame(fbw) and setupClient(winclient).
     Remember.hh/cc Window.cc Screen.cc fluxbox.hh/cc
     AtomHandler.hh Gnome.hh/cc Ewmh.hh/cc ToolbarHandler.hh/cc
*03/07/03:
   * Added selected dot for style menu so one can see which style is selected (Henrik)
     Screen.cc
   * Fixed Slit autohide bug (Henrik)
     Slit.cc
*03/07/01:
   * Added keyboard navigation for menus (Henrik)
     (click on title to get input focus, unless you're using RootMenu in keys)
     Use keys:
       Up/Down:  select menu item
       Left/Right: go in/out from submenus
       Escape: close menu and return focus to windows
       Enter: run/execute/toggle menu item
     Menu.hh/cc, fluxbox.cc
   * Fixed reconfigure toolbar on screen reconfig signal (Henrik)
     Screen.hh/cc, Toolbar.cc
   * Fixed workspace label redraw bug (Thanks Jochem Kossen j.kossen<a(T)>home.nl)
     ToolbarHandler.cc
*03/06/30:
   * Fixed so we can use the same action strings in menu as in key actions (Henrik)
     Screen.cc
   * Added command "ShowDesktop" (Henrik)
     This command iconifies all windows and shows the desktop
     WorkspaceCmd.hh/cc, FbCommandFactory.cc
   * Added command "ArrangeWindows"  (Thanks Ricardo Martins <thecrown<a(t)>softhome.net> )
     This command arranges so all windows are in a nice row/col order
     WorkspaceCmd.hh/cc, FbCommandFactory.cc
   * Changed class Keys to use FbTk::Command (Henrik)
     Keys.hh/cc, fluxbox.cc
   * Added Files:  (Henrik)
      CommandParser.hh/cc, FbCommandFactory.hh/cc,
      WorkspaceCmd.hh/cc, CurrentWindowCmd.hh/cc
*03/06/29:
   * Add chbg support to fbsetbg (Thanks Han and Michael T. Dean)
     fbsetbg
*03/06/28:
   * Fix slit netizens (e.g. withdrawn pager)  (Simon)
     Slit.cc WinClient.cc Screen.cc
*03/06/26:
   * Speedups for having many (particularly stuck) windows (Simon)
     Toolbar.hh/cc IconBar.hh/cc ToolbarHandler.cc Gnome.cc Window.cc
*03/06/25:
   * Applied toggle max vertical/horizontal patch (Thanks MrChuoi mrchuoi<[aT]>yahoo.com)
     Window.hh/cc
   * Fixed compile time option for Toolbar (Henrik)
     --enable-toolbar (default on)
     configure.in, src/Makefile.am, fluxbox.cc
*03/06/24:
   * Added new theme items (Henrik)
      * toolbar.borderWidth: <integer>
      * toolbar.bevelWidth: <integer>
      * toolbar.borderColor: <color>
      * slit.borderWidth: <integer>
      * slit.bevelWidth: <integer>
      * slit.borderColor: <color>
     SlitTheme.hh, ToolbarTheme.hh/cc, Slit.cc, Toolbar.cc
   * Moved toolbar mode resource to ToolbarHandler (Henrik)
     Screen.hh/cc, ToolbarHandler.hh/cc
   * Fixed minor bug in button alignment (Henrik)
     FbWinFrame.cc
   * Fixed minor bug in transparent Slit (Henrik)
     Slit.cc/hh, Screen.cc
   * Emacs keybindings and tab completion for FbRun (Thanks David J Burger)
     FbRun.hh/cc
*03/06/23:
   * Add group persistence over a restart,
     Move most winclient initialisation from FluxboxWindow to WinClient,
     And fix a few bugs (Simon)
     Screen.hh/cc WinClient.hh/cc Window.hh/cc Gnome.cc Slit.hh
   * Moved toolbar resources from BScreen to Toolbar (Henrik)
     Screen.hh/cc, Toolbar.hh/cc
*03/06/22:
   * fluxbox-generate_menu:
      French locales, (Thanks Tarax <tarax(aT)arkitekts.org> )
      Two additions to the menu (Thanks Pol)
   * Added Xutil for getWMName in Slit, SlitClient and WinClient and made some
     cleaning (Henrik)
     WinClient.cc, Slit.cc, SlitClient.cc
   * New resource name session.screen<num>.slit.maxOver: <bool>   (Henrik)
     This will prevent windows from maximize over the slit
     Slit.cc
*03/06/20:
   * Moved SlitTheme and SlitClient out from Slit.cc into new files (Henrik)
     SlitClient.hh/cc, SlitTheme.hh
   * Moved Slit resource from BScreen to Slit (Henrik)
     Slit.hh/cc, Screen.hh/cc
*03/06/18:
   * Fixed toolbar and slit maximize implementation (Henrik)
     Toolbar.hh/cc, Slit.hh/cc
   * Fixed _NET_WM_STRUT support (Henrik)
     Ewmh.hh/cc, AtomHandler.hh, Gnome.hh, Remember.hh, ToolbarHandler.hh
     Screen.hh/cc, fluxbox.cc, Window.hh/cc
   * Added Strut.hh which contains left, right, top and bottom (Henrik)
*03/06/16:
   * Fixed trailing whitespace in group file loading (Henrik)
     Workspace.cc
*03/06/15:
   * Apply workaround for strftime test - fails with gcc 3.3 due to
     compiler bug? - thanks Joshua Kwan (Simon)
     configure.in
   * Fix group cycling, also adding new "NextGroup/PrevGroup" keys (Simon)
     Screen.hh/cc Keys.hh/cc fluxbox.cc
*03/06/13:
   * Fixed autogrouping (Henrik)
     Window.cc, Workspace.cc
   * Regular expression support for remember (Simon)
     Also ability to limit number of matches for a given rule
     Also ability to match several different window attributes
     Can disable in compile using --disable-regexp (will just do plain
     string equality then)
     - General format is:
       [app] (property=expr) ... {number}
       If "property=" is excluded, the name property is assumed.
       If {number} is excluded, 0 = no limit is assumed.
     - Current available properties are:
       * name -> the name of the window - the first field of WM_CLASS
       * class -> the class of the window - the second field of WM_CLASS
       * title -> the title of the window - the WM_NAME property
     - e.g. [app] (*[tT]erm) {2}
       will match anything ending with term, for up to 2 instances
     - e.g. [app] (title=.*gaim.*)
       will match anything with gaim in the title ("gaim", "the gaim
       window", etc.
     RegExp.hh/cc ClientPattern.hh/cc configure.in Makefile.am Remember.hh/cc
     WinClient.hh/cc StringUtil.hh/cc
*03/06/12:
   * Renamed i18n.hh/cc to I18n.hh/cc (Henrik)
*03/06/11:
   * Added nls for antialias (Thanks ...)
     nls/C/Configmenu.m, Screen.cc, nls/C/ja_JP/Configmenu.m
---------------------------------------------------------------------------------
Changes for 0.9.3:
*03/06/08:
   * Add Reconfigure and Restart Key actions, thanks Jann Fisher (Simon)
     Also modify the patch to take argument on Restart action
     Keys.hh/cc fluxbox.cc
   * Fix restart command to accept and use an argument again (Simon)
     Screen.cc FbCommands.hh/cc
   * Fix bug that sometimes left window frames after window closed (Simon)
     fluxbox.cc
*03/06/06:
   * Fixes and improvements from Han (Simon, thanks Han)
     fluxbox-generate_menu fbsetbg
*03/06/05:
   * Fixed slit bug (Henrik)
     Slit.cc
   * Fixed window/button redraw bug (Henrik)
     FbTk/Button.cc
   * Optimise window placement (much better now) (Simon)
     Workspace.cc
*03/05/26:
   * Fix usage of decorations.border, add BORDER decoration to remember
       (Simon)
     Window.hh/cc Remember.cc
*03/05/24:
   * Fixed menu bug in FluxboxWindow (Henrik)
     Window.cc
   * Fix crash when toolbar turned off, and toolbar initialisation (Simon)
     Menu.cc Screen.cc Toolbar.cc
*03/05/21:
   * Fix cascade placement for multiple heads (Simon)
     Workspace.hh/cc Window.hh/cc FbWinFrame.hh/cc
*03/05/20:
   * Add xinerama for placement and snapping, plus tidy (Simon)
     Screen.hh/cc Window.cc Workspace.cc
*03/05/19:
   * Clean + change xinerama, plus add maximize smarts (Simon)
     Screen.hh/cc Window.cc Workspace.cc Toolbar.cc Slit.cc
   * Fixed minor bug in bsetroot (Henrik)
     bsetroot.cc
   * Add back some Xinerama support (still need placement + maximise) (Simon)
     Screen.hh/cc Toolbar.cc Slit.cc Xinerama.hh
   * Fix bsetroot segfault (Simon)
     FbWindow.cc
*03/05/18:
   * Moved Resource.hh/cc, DirHelper.hh/cc and
     XrmDatabaseHelper.hh to FbTk (Henrik)
     Screen.hh/cc, fluxbox.hh/cc, IntResMenuItem.hh/cc
*03/05/17:
   * Fixed autohide bug in toolbar (Thanks MrChuoi)
     Toolbar.cc, ArrowButton.hh/cc
   * Fixed slit client bug (Thanks MrChuoi)
     Slit.cc
   * Fixed cursor for grips (Thanks MrChuoi)
     Window.cc
   * Fixed minor bug in FbTk::EventManager (Thanks MrChuoi)
     FbTk/EventManager.cc
*03/05/16:
   * Fixed logging file and better info message (Henrik)
     New argument to fluxbox -log <filename>
     main.cc
*03/05/14:
   * Fixed Shape events, this fixes some decor issues with gkrellm and xmms (Henrik)
     Window.cc/hh, fluxbox.cc/hh
   * Fixed crash bug when client died and clientlist wasn't updated (Henrik)
     WinClient.hh/cc, Screen.cc, Workspace.hh, fluxbox.cc
*03/05/13:
   * Fixed transparent slit and minor bug in transparent (Henrik)
     Slit.cc, Screen.hh/cc, Transparent.cc
   * Fixed Slit redraw bug (Henrik)
     Slit.cc
   * Removed ScreenInfo.hh/cc (Henrik)
   * Fixed better error msg for display connection (Henrik)
     fluxbox.cc
   * Fix saving of Workspace Icons Toolbar mode (Simon)
     Screen.cc
   * Fixed iconify problems when autoraise on (Simon)
     Window.cc Screen.cc
   * Fixed restoring submenus after a reconfigure (Thanks MrChuoi)
     Screen.cc, fluxbox.cc/hh
   * Added auto hide menu item to toolbar menu (Thanks MrChuoi)
     Toolbar.cc
*03/05/12:
   * Fixed basic RANDR support  (Henrik)
     Resizes toolbar and slit when root window size changes.
     Screen.hh/cc, FbRootWindow.hh/cc, FbTk/FbWindow.hh
     fluxbox.cc/hh
*03/05/11:
   * Fixed dangling m_focused_window pointer,
     that didn't got set in Fluxbox::revertFocus   (Henrik)
     fluxbox.cc
*03/05/10:
   * Added FbRootWindow.hh/cc (Henrik)
     Screen.hh/cc, Window.cc, Workspace.cc, IconBar.cc, Slit.cc,
     fluxbox.cc, WinClient.cc, Ewmh.cc, Gnome.cc
   * Added ScreenInfo.hh/cc (Henrik)
     Screen.hh
   * Removed BaseDisplay.hh/cc (Henrik)
     BaseDisplay.hh/cc, fluxbox.hh, Window.cc/hh
--------------------------------------------------------------
Changes for 0.9.2:
*03/05/08:
   * Fixed sloppy focus for embedded tabs (Simon)
     Window.cc
   * Fixed Slit ordering bug (Henrik)
     Screen.cc
   * Fixed better command help/option
     main.cc
   * Fixed Slit redrawing bug (Henrik)
     Slit.hh/cc
*03/05/07:
   * Fix crash when detaching client that isn't active (Simon)
     Window.cc
   * Fixed transient grouping issues (transients now WinClients) (Simon)
     WinClient.hh/cc Window.hh/cc Workspace.cc Screen.cc
   * Fixed screen problem with redrawing menus (Henrik)
     The m_screen_num wasn't set in X Window assignment operator
     FbTk/FbWindow.cc
   * Fixed check for RENDER extension before we start using it (Henrik)
     FbTk/Transparent.hh/cc
   * Fixed some bugs and minor cleaning (Thanks MrChuoi)
     fluxbox.cc, FbTk/Button.cc, FbTk/RefCount.hh
     LayerMenu.hh,
     Resource.hh, Window.cc[focus on deiconify]
*03/05/05:
   * Added window.<button name>.unfocus.pixmap  theme item  (Henrik)
     WinButtonTheme.hh/cc, WinButton.cc
   * Rework focus somewhat - now use Fluxbox::revertFocus when a window
     dies/gets forced out of focus (Simon)
     - should fix click focus sometimes acting sloppy
     fluxbox.hh/cc Screen.hh/cc WinClient.cc Workspace.cc Ewmh.cc
*03/05/04:
   * add session.ignoreBorder - ignores window border with movement (Simon)
     fluxbox.hh/cc Window.cc
   * Fix warping with multiple screens (Simon)
     Window.cc
   * Set many key events/commands to act on the screen the mouse is on,
     rather than the focused window (Simon)
     fluxbox.cc
   * Fix segfault on restart with iconic windows (Simon)
     Screen.cc
*03/05/01:
   * Fix slit autohide triggering (Simon)
     Slit.cc
   * Clean ups and optimising of redraw/reconfigures
     Also fixes warping in outline focus bug (Simon)
     Window.hh/cc FbWinFrame.hh/cc
*03/04/29:
   * fix cause of (some?) excessive reconfigures (Simon)
     fluxbox.cc
   * fix fbsetbg relative path bug + simplify (Han)
     util/fbsetbg
   * Added FbDrawable.hh/cc (Henrik)
     This is a basic class for drawables such as FbWindow
     and FbPixmap
     FbWindow.hh/cc, FbDrawable.hh/cc, FbPixmap.hh/cc
*03/04/28:
   * Added support for pixmap themes  (Henrik)
    (this requires libXpm is installed, but you can disabled this with --disable-xpm)
     * Texture type now has an extra option:  .pixmap
       example:
        window.label.focus.pixmap: image.xpm
        menu.title.pixmap: image.xpm
     * Standard buttons has one pixmap for pressed
       and one for normal state
       example:
         window.close.pressed.pixmap: image_pressed.xpm
         window.close.pixmap: image.xpm
         window.stick.pixmap: image.xpm
         window.shade.pixmap: image.xpm
         window.maximize.pixmap: image.xpm
         window.maximize.pressed.pixmap: image_pressed.xpm
         window.iconify.pixmap: image.xpm
         ...
     Screen.cc/hh, WinButton.hh/cc, Texture.hh, TextureRender.cc/hh
     WinButtonTheme.hh/cc, configure.in
   * Update fbsetbg and fluxbox-generate_menu (Han)
   * Fix a bunch of alignment + size issues with toolbar (particularly
      when vertical)  (Simon)
     Toolbar.cc Iconbar.cc
   * Fix remembering (and general init) of decorations (Simon)
     Window.hh/cc
   * Fix handleEvent issues, plus detachClient crash (Simon)
     Window.cc Screen.cc Remember.cc
*03/04/27:
   * Fixed execute on screen bug (Henrik)
     FbCommands.hh/cc
   * Fixed scaled pixmap (Henrik)
     FbPixmap.hh/cc
   * Fixed sloppy focus - workspace warp bug (Henrik)
     Window.cc
   * Fix cassert #includes (Simon)
     Window.cc WinClient.cc FbRun.cc signaltest.cc
*03/04/26:
   * Moved StringUtil to FbTk (Henrik)
     Screen.cc, Workspace.cc, Keys.cc, XmbFontImp.cc
   * Removed DrawUtil.hh/cc and nl_types_cygnus.h (Henrik)
   * Fixed menu bug (Henrik)
     Screen.cc, FbTk/Menu.cc
   * Add remember layer (Simon)
     Remember.hh/cc
   * Add remember patch integration code (Simon)
     - note: does not include "startup" menu
     - save on close disabled atm, due to other issues...
     - enabled in configure by default, disable with --disable-remember
     - BIG thanks to Xavier Brouckaert (xbr at info.ucl.ac.be) for
         the original remember patch!
     Makefile.am Remember.hh/cc Screen.cc Window.hh/cc fluxbox.cc
*03/04/25:
   * Fix small gcc 3.3 build issue (Simon)
     Window.hh/cc
   * Add UnderMousePlacement policy, plus minor positioning fix (Simon)
     -> Patch originally contributed by "Mike" (lgn@users.sf)
     Screen.hh Workspace.cc fluxbox.cc Window.cc
   * Fixed so WinButton updates sticky state from FluxboxWindow (Henrik)
     WinButton.hh/cc, Screen.cc
   * Added basic drawable functions to FbWindow  (Henrik)
      * drawLine, drawRect, fillRect, copyArea
     FbWindow.hh/cc
   * Fixed SlitTheme (Henrik)
     Slit.cc/hh
   * Removed old theme engine (Henrik)
     Theme.hh/cc
   * Added RootTheme.hh/cc (Henrik)
     Screen.hh/cc, Workspace.cc, Slit.cc, IconBar.cc, Toolbar.cc
     fluxbox.cc
*03/04/24:
  * updated fluxbox-generate_menu (Han)
   - decent reply to -- longopts
   - better ussage message
   - Added more OpenOffice entries
*03/04/21:
   * Fix toolbar startup and reconfigure things (Simon)
     (Thanks Brian Sea)
     Screen.cc
*03/04/20:
   * Snap to Windows (and toolbar, slit + screen edge) (Simon)
     Window.hh/cc
   * Directional focus movement (key actions FocusUp/Down/Left/Right) (Simon)
     Keys.hh/cc Screen.hh/cc fluxbox.cc
   * Added transparent menus, session.screen<num>.menuAlpha (Henrik)
     Menu.hh/cc, Transparent.hh/cc, Screen.hh/cc
02/04/17:
   * Fixed menu bug (Henrik)
     Menu.cc, Screen.cc
   * Fixed saving of toolbar mode (Simon)
     ToolbarHandler.cc
--------------------------------------------------------------
Changes for 0.9.1:
*03/04/16:
   * Fixed resize bug (Henrik)
     Window.cc
   * Fixed saving of some other slit params - placement, direction,
     autohide (Simon)
     Screen.hh/cc Slit.hh/cc fluxbox.cc
   * Fixed saving of toolbar and slit layer (Simon)
     LayerMenu.hh Screen.hh Slit.hh/cc Toolbar.hh/cc ToolbarHandler.hh
     Window.cc
   * Fixed toolbar width percent menu item (Henrik)
     Toolbar.cc
   * Fixed current focused client button rendered (Henrik)
     FbWinFrame.hh/cc, Window.cc
   * Applied click raises patch (Thanks Dale P. Smith)
     Screen.hh/cc, Window.cc
*03/04/15:
   * Fixed y offset bug on ConfigureRequestEvent (Henrik)
     Window.cc
   * Fixed ConfigureNotify bug (Henrik)
     Window.cc/hh
   * Added drag and drop support for tabs (Henrik)
     Window.hh/cc
   * Fixed client and icon count in Ewmh (Henrik)
     Ewmh.cc
   * Cleaning (Henrik)
     fluxbox.hh/cc, FbAtoms.hh/cc, IconBar.hh/cc, WinClient.cc
     Window.cc, Screen.hh/cc, Toolbar.hh/cc, FbCommands.cc,
     Workspace.cc, Gnome.cc
   * Add most recently used/stacked window cycling, set as default (Simon)
     Thanks also to Sean Seefried for his initial patch.
     Window.cc Screen.hh/cc fluxbox.hh/cc Keys.hh/cc
*03/04/14:
   * merged embedded-tab-branch into main branch (Henrik)
   * Don't create menuconfig during install and style cleanups (Han)
     fluxbox_generate_menu
   * Sun compat in Makefile.am (Han)
     data/Makefile.am
*03/04/11:
   * Icon list updates when window state changes and notifies
     observer fluxbox::update
     fluxbox.cc
   * Reassociation of window when it changes to sticky is
     done in fluxbox::update now
     fluxbox.cc
   * Fixed transient bug
     WinClient.cc, Window.cc, fluxbox.cc
   * Added TextButton.hh/cc
   * Fixed label buttons in FbWinFrame for multiple clients
     FbWinFrame.hh/cc, Window.hh/cc
   * Added Next/Prev Client menu items to window menu
     Screen.cc
*03/04/09:
   * Fixed Client menu
     Workspace.cc
   * Removed tab resources and old tab code
     Tab.hh/cc, Screen.hh/cc, fluxbox.hh/cc, Window.hh/cc, Workspace.cc
*03/04/08:
   * Fixes in fluxbox-generate_menu (Thanks Han)
*03/04/07:
   * Moved client specific stuff from FluxboxWindow to WinClient
     Window.hh/cc, fluxbox.cc, Screen.cc/hh
   * Fixed client list update in Ewmh module
     Ewmh.cc
*03/04/04:
   * Added WinClient.hh/cc which holds client information
*03/04/03:
   * Added AttachClient and DetachClient key actions
     Keys.hh/cc
*03/03/30:
   * Using pkg-config instead of xft-config (Thanks Matt Hope)
     xft.m4
*03/03/22:
   * Added cursor to fbrun (Henrik)
     FbRun.hh/cc
   * Fix outline moving, warping, etc (Simon)
     Window.hh/cc Screen.cc fluxbox.cc
*03/03/03:
   * Add code for Toolbar modes (Simon)
     AtomHandler.hh EventManager.cc Ewmh.hh/cc Gnome.hh/cc
     IconBar.hh/cc Screen.hh/cc Toolbar.hh/cc ToolbarHandler.hh/cc
     Window.cc fluxbox.cc
*03/02/25:
   * Fixed freebsd error and some nls in fluxbox-generate_menu (Han)

---------------------------------------------------

Changes for 0.9.0:
*03/02/23:
   * Fixed auto hide option for toolbar menu (Henrik)
     Screen.cc, Toolbar.cc
   * Fixed vertical workspace name editing (Henrik)
     Toolbar.cc
   * Added Meta style (Thanks Joel)
   * Disabled background image menu in fluxbox-generate_menu
*03/02/22:
   * Fix frame size and window moving/resizing/outline bugs (Simon)
     Window.cc FbWinFrame.cc
   * s/""/'' so the shell does not have to expand the contents of the string
     in fluxbox_generatemenu (Han)
   * Added portability notes in fluxbox_generatemenu (Han)
   * Added file utils menu item in fluxbox_generatemenu (Han)
   * Fixed a resize bug (Henrik)
     Window.cc
   * Fixed bug in menu bullet type (Henrik)
     FbTk/MenuTheme.cc
   * Fixed sloppy focus to use new event handler model (Simon)
     Screen.hh/cc Window.hh/cc fluxbox.hh/cc
   * Fixed auto hide bug in Toolbar (Henrik)
     Toolbar.cc
   * Fixed default white color bug in Theme (Henrik)
     FbTk/Theme.cc
   * Added toolbar placement menu and fixed resource saving for toolbar placement (Henrik)
     Toolbar.cc, Screen.cc/hh
   * Fixed vertical text for icons in Iconbar (Henrik)
     IconBar.hh/cc, Toolbar.cc
*03/02/20:
   * Fixed a size bug without titlebar (Henrik)
     Window.cc, FbWinFrame.cc
   * Fixed a clientmenu update bug (Henrik)
     Workspace.hh/cc
   * Fixed slit client resize bug (Henrik)
     Slit.hh/cc
*03/02/19:
   * Fixed transient raise/lower (Henrik)
*03/02/17:
   * Added layer menus for windows, toolbar, and slit, plus associated  (Simon)
     resources. Cleaned up some cruft from the previous layering setup.
     Gnome.cc LayerMenu.hh Screen.hh/cc Slit.hh/cc Tab.cc Toolbar.hh/cc Window.hh/cc Workspace.hh fluxbox.hh/cc
   * Renamed LayeredMenu to FbMenu (Simon)
     LayeredMenu.hh FbMenu.hh
   * Changed XLayerItem to hold FbWindows instead of Windows (Simon)
     XLayerItem.hh/cc XLayer.cc MultLayers.cc Window.cc
   * Added shade option for button config (Henrik)
     Screen.cc
   * Fixed antialias toggle for menus (Henrik)
     Screen.cc
   * Added toolbar width percent change menu item (Henrik)
     Screen.cc, Toolbar.cc
   * Added IntResMenuItem, for resource<int> changes in the menu (Henrik)
     IntResMenuItem.hh/cc
   * Fixed non opaque moving (Henrik)
     Window.cc
   * Fixed titlebar alignment problem (Henrik)
     FbWinFrame.cc
*03/02/16:
   * Fixed configurable titlebar buttons (Henrik)
     Screen.cc
   * Fixed workspace menu and clientmenu (Henrik)
     Workspace.hh/cc, Screen.cc, Window.hh
   * Added layer submenu to window menu + small fix (Simon)
     Screen.cc Window.hh/cc fluxbox.hh
   * Fixed gnome workspace initialisation issues (Simon)
     Gnome.cc Window.hh/cc Screen.cc
*03/02/15:
   * Added Style menu and fixed theme listeners for FbWinFrame, Menu and Toolbar (Henrik)
     ToolbarTheme.hh/cc, Toolbar.hh/cc, FbTk Menu.hh/cc, FbTk MenuTheme.hh/cc,
     Screen.cc, FbWinFrame.hh/cc, FbWinFrameTheme.hh/cc
   * Moved Observer.hh/cc and Subject.hh/cc to FbTk directory and
     change Subject to use std::list instead of std::vector (Henrik)
   * Added SetStyleCmd command, which takes argument for style filename (Henrik)
     FbCommands.hh/cc
*03/02/10:
   * More fiddling of Layer code, cleaning up (Henrik + Simon)
     FbTk/MultLayers.hh/cc FbTk/XLayer.hh/cc FbTk/XLayerItem.hh/cc
     Gnome.cc Screen.hh/cc Tab.cc Window.hh/cc Workspace.cc fluxbox.cc
*03/02/03:
   * Integration of new Layering code, plus updates to the code (Simon)
   - new KeyActions: Raise/LowerLayer, AlwaysOnTop/Bottom, Top/BottomLayer
     AtomHandler.hh Ewmh.hh/cc FbWindow.hh/cc Menu.hh MultLayers.hh/cc
     XLayer.hh/cc XLayerItem.hh/cc Gnome.hh/cc Keys.hh/cc Screen.hh/cc Tab.cc
     Window.hh/cc Workspace.hh/cc fluxbox.hh/cc fluxbox.1.in
   * Added a "Quit" KeyAction (Simon)
     Keys.hh/cc, fluxbox.cc fluxbox.1.in
   * Removed XLayerItem from FbTk::FbWindow
   * Removed XLayerItem from FbTk::Menu
     FbTk/Menu.hh
*03/01/23:
   * Added polish locales to fluxbox-generate_menu (thanks Adam Byrtek)
*03/01/16:
   * Added new Layering code into FbTk (Simon)
     FbTk/... Layer.hh LayerItem.hh MultLayers.cc MultLayers.hh
     XLayer.cc XLayer.hh XLayerItem.cc XLayerItem.hh
*03/01/12:
   * Added RootTheme which redraws the background
     Screen.hh/cc
   * Fixed button GC for title bar buttons
     FbWinFrame.cc
   * BoolMenuItem, for changing bool values from menu
     BoolMenuItem.hh/cc
   * Fixed optional visability for SlitClients,
     see client list menu in Slit
   * Changed Slit::frame.window to an FbTk::FbWindow
   * Fixed scrollClientsUp/Down function in Slit
   * Moved SlitClient to Slit.cc
   * Changed Slit to an FbTk::EventHandler
     Slit.hh/cc
   * Changed SlitMenu to FbTk::Menu in Slit and fixed a client menu
     Slit.hh/cc
   * Added MenuItem.hh/cc in FbTk
   * Fixed bug in FbTk::Menu
     Menu.cc
   * Removed Clientmenu.cc/hh
   * Changed Clientmenu in BScreen to FbTk::Menu
     Screen.hh/cc
   * Changed Toolbarmenu in Toolbar to FbTk::Menu
     Toolbar.hh/cc
   * Removed toolbar dep from Workspace
     Workspace.cc
   * Removed slit functions from class Fluxbox
     fluxbox.hh
   * Removed Basemenu.hh/cc, Clientmenu.cc/hh, Workspacemenu.hh/cc,
     Windowmenu.hh/cc and Iconmenu.hh/cc
   * Moved KDE slit handling from class Fluxbox to class Slit
*03/01/10:
   * Fixed bug in FluxboxWindow::configureRequestEvent
     Window.cc
   * Added FbTk::MacroCommand
     MacroCommand.hh/cc
*03/01/09:
   * Adjusted some files to FbTk::ImageControl and FbTk::Timer
     Basemenu.hh, FbWinFrame.hh/cc, IconBar.cc, Slit.hh, Toolbar.hh, Theme.hh
     Window.hh/cc
   * Removed bexec from BaseDisplay
     Theme.cc, fluxbox.cc, BaseDisplay.hh/cc
   * Moved Timer.hh/cc, ImageControl.hh/cc and TextureRender.hh/cc to FbTk
   * Removed Rootmenu.hh/cc
   * Added FbCommands.hh/cc which contains some default commands that
     fluxbox handles, like RestartFluxboxCmd, ExitFluxboxCmd,
     ReconfigureFluxboxCmd and ExecuteCmd
   * Changed Client menu in Workspace to FbTk::Menu
     Workspace.hh
   * Changed Workspace and Rootmenu menu to FbTk::Menu
     Screen.hh/cc
   * Removed Iconmenu and disabled Stylemenu in BScreen
     Screen.hh/cc
   * Removed exec and function item from MenuItem
     Menu.hh/cc
   * Fixed menu border color, border width and bevel width
     MenuTheme.hh/cc, Menu.cc
*03/01/06:
   * Fixed action/menu setup in setupWindowActions
     Screen.cc
   * Added FbTk MenuTheme object in Screen
     Screen.cc/hh
   * Fixed Windowmenu in FluxboxWindow to FbTk Menu
     Window.cc/hh, Toolbar.cc
   * Added actions, double click interval and hide/show decoraions to titlebar
     FbWinFrame.hh/cc, Window.cc
*03/01/05: --- huge commit ---
   * Added FbWinFrame.hh/cc, FbWinFrameTheme.hh/cc
   * Updated Window.cc/hh to use FbWinFrame
   * Removed XINERAMA and Slit from class FluxboxWindow
   * Moved creation of titlebar buttons to BScreen::setupActions
   * FluxboxWindow object creation is now done in BScreen::createWindow(xclientwindow)
   * FluxboxWindow setups actions in BScreen::setupWindowActions(FluxboxWindow)
   * Fixed getMaxLeft/Right/Top/Bottom functions in BScreen to get max workspace area
   * FluxboxWindow is now a FbTk::EventHandler
   * Clamped texture size in TexturRender so it doesnt crash n burn on bad sizes
   * Adjusted Tab.cc, Windowmenu.cc, fluxbox.cc to match new FluxboxWindow
   * Added WinButton.hh/cc for simple fluxboxwindow button drawing
   * Added border size to FbTk::FbWindow
*03/01/04:
   * Added spanish locales (Muchas gracias Alberto G. Hierro)
*02/12/29:
   * Updated README (Han)
   * Fixed screenshot and menu configuration in menu script (Han)
     fluxbox-generate_menu
*02/12/25:
   * Minor fixes in FbTk::Button
     Button.hh/cc
   * Moved Basemenu to FbTk/ and changed name to Menu
     and updated Menu to use commands and new MenuTheme
     Menu.hh/cc
   * Added FbTk::MenuTheme
     MenuTheme.hh/cc
*02/12/20:
   * Fixes in fluxbox-generate_menu:
     menu title with space, user menu, cleanups and
     simplifications, whitespace. (Han)
*02/12/17:
   * Comment and minor fixes in fluxbox-generate_menu (Han)
*02/12/16:
   * Updated Turkish translation (tr_TR) (Thanks Arman Aksoy)
   * Updated fluxbox-generate_menu (Han Boetes)
   * Updated man page (Tobias Klausmann)
     fluxbox.1.in
   * Fixed de_DE translation (Thanks Andreas)
     configure.in, nls/Makefile.am, nls/de_DE/*, util/fluxbox-generate_menu
   * Fixed minor bugs in Button
     Button.hh/cc
*02/12/13:
   * Changed toolbar to use ArrowButton and Command
   * Added Command.hh, SimpleCommand.hh, Button.hh/cc,
     RefCount.hh, ArrowButton.hh/cc
*02/12/10:
   * Changed blackbox.cat to fluxbox.cat
*02/12/08:
   * Fixed better Xft checking in configure.in
   * Fixed rotation argument in Font::drawText
     Font.hh/cc
*02/12/04:
   * Updated FbRun
   * Fixed Left and Right placement of toolbar with vertical text.
     Toolbar.hh/cc, Screen.cc
   * Changed Basemenu to FbWindow and EventHandler usage
     Basemenu.hh/cc, fluxbox.hh/cc
*02/12/03:
   * Changed Toolbar to FbWindow usage
     Toolbar.hh/cc
   * Added FbTk::FbWindow, a wrapper for X window
*02/12/02:
   * Added DirHelper class (Henrik)
     DirHelper.hh/cc
   * Change Toolbar events to FbTk::EventHandler (Henrik)
     fluxbox.cc, Toolbar.hh/cc
   * Converted Toolbar theme to the new theme engine (Henrik)
     FbTk/ToolbarTheme.hh/cc, Toolbar.hh/cc, Screen.cc/hh, Theme.hh/cc
   * New Theme engine in place in FbTk (Henrik)
     Theme.hh/cc
   * Re-indented src tree from tab-indent to spaces (emacs offset 4) (Simon)
     src/**/*.{cc,hh}
*02/11/30:
   * Changed name from BImage to TextureRender and moved it to TextureRender.hh/cc (Henrik)
   * Changed name from Image.hh/cc to ImageControl.hh/cc and made some cleaning (Henrik)
   * Fixed bug [ 642203 ] configure / make problem, solaris sparc
     plus more compatibility issues with old tools/shells (Simon/Han)
     fluxbox-generate_menu
*02/11/27:
   * Added FbTk::EventManager and changed FbTk::EventHandler to interface
     class for XEvents.
     EventHandler.hh, SignalHandler.hh/cc, App.hh/cc, FbRun.hh/cc ...
*02/11/26:
   * Fixed DrawUtil::doAligment
   * Moved some FbTk files into src/FbTk
   * Fixed FbRun application to FbTk only
*02/11/25:
   * Fixed vertical tabs for XFontImp
     XFontImp.cc/hh, Font.hh/cc, Tab.cc, Screen.cc, DrawUtil.cc/hh
*02/11/24:
   * Removed interlace compile time option (Henrik)
     Image.hh/cc
   * Fixed bug [ 641136 ] OpenOffice 1.0.1 aborts (Simon)
     Ewmh.cc
   * Fixed bug [ 561602 ] Problem using ToggleDecor in terminals (Simon)
     Window.cc/hh
   * Fixed bug [ 642189 ] Wrong AA font on init (Simon)
     Font.cc

--------------------------------------------------------------------------
Changes for 0.1.13:
*02/11/17:
   * Fixed bug in toggleTab
     Window.cc
   * Fixed alignment bug in Tab
     Tab.cc
   * Fixed HAVE_XFT_UTF8 check (Simon)
     configure.in, XftFontImp.cc
*02/11/15:
   * Fixed antialias bug in toolbar
   * Fixed bug [ 627897 ] Clicking tab leads to crashing X-Server.
     Tab.cc
*02/11/14:
   * Fixed bug [ 604958 ] Menu not (full) visible when tabs bottom
     Rootmenu.cc/hh
   * Fixed bug [ 581588 ] Toolbar auto-hiding
     Toolbar.cc
*02/11/13:
   * Clean up in Slit
     Slit.cc/hh, Screen.cc
   * Fixed caps, num and scroll lock modifier checks
     (fixed Bug: [ 522673 ] Numlock not handled correctly in Solaris)
     Keys.cc/hh
*02/11/12:
   * Updated fluxbox-generate_menu (Han)
   * Fixed alignment in window label
     Window.cc
   * Fixed history in FbRun
   * Updated FbRun to use the new font system
   * Removed window size limitation, fixes Debian bug #159709 (Simon)
     Window.cc
   * Fixed geometry/position window size and alignment problem (Simon)
     Screen.cc
*02/11/03:
   * Fixed Toolbar workspace label text color.
     Theme.cc
*02/10/25:
   * Renamed Icon.hh/cc to Iconmenu.hh/cc
   * Clean up (fixed bug [ 608945 ] xmms crashes fluxbox )
     BaseDisplay.hh/cc, Screen.cc/hh, Tab.cc, Window.cc
*02/10/24:
   * Updated fluxbox-generate_menu (Thanks Han)
*02/10/23:
   * Fixed auto_ptr assignment so it compiles with gcc 2.95.x
     fluxbox.cc, Window.cc
   * Minor cleaning in Windowmenu.cc/hh
*02/10/22:
   * Fixed isGroupable for FluxboxWindow,
     It should report if the window is groupable if it's
     not transient, nonresiable and nonmaximizable
     Window.hh/cc
*02/10/20:
   * Updated it_IT translation (Thanks Filippo Pappalardo)
*02/10/19:
   * Fixed terminal option for fluxbox-generate_menu (Thanks Han)
   * Fixed bug [ 604634 ] Fluxbox 0.1.11 menu on iconbar problem
     Toolbar.cc
   * Fixed ascent and descent in FontImps
   * Added testsuit for FbTk::Font
     src/tests/testFont.cc, src/tests/Makefile
   * Updated fluxbox-generate_menu it_IT locales and
     added DEFAULT_TERM value (Thanks Filippo Pappalardo)
*02/10/18:
   * Added it_IT locales to fluxbox-generate_menu and updated
     data/nls/it_IT  (Thanks Filippo Pappalardo)
*02/10/16:
   * Fixed UTF-8 for antialias fonts
     XftFontImp.cc/hh, Font.cc
   * Fixed support for:
     _NET_WM_DESKTOP,
     _NET_NUMBER_OF_DESKTOPS,
     _NET_CURRENT_DESKTOP,
     _NET_ACTIVE_WINDOW,
     _NET_CLOSE_WINDOW
     Ewmh.hh/cc
*02/10/15:
   * Conditional compile/linking of Xft specific files
     src/Makefile.am, configure.in
   * Antialias in Windowmenu, Tab and geometry window
     Window.cc, Screen.cc, Toolbar.cc, Theme.cc/hh, Tab.cc, IconBar.cc
   * Antialias option in Configmenu
     Configmenu.cc, Screen.cc/hh, Theme.cc/hh
*02/10/14:
   * Added XftFontImp.hh/cc for Xft font support.
     Compile with --enable-xft
*02/10/13:
   * Minor cleaning in configure.in
   * Fixed grab reconfigure bug
     Window.cc
   * Fixed UTF-8 support in XmbFontImp.cc
   * Moved font system specific stuff from Font.hh/cc to
     font implementation classes.
   * Added FontImp.hh, XFontImp.hh/cc, XmbFontImp.hh/cc
     For the new font implementation bridge pattern.
*02/10/11:
   * Fixed support for _NET_WM_STATE with _NET_WM_STATE_STICKY and
     _NET_WM_STATE_SHADED
     Ewmh.cc
*02/10/02:
   * Added Ewmh.hh/cc for Extended Window Manager Hints
*02/09/21:
   * New menu item (Thanks Han)
     fluxbox-generate_menu
   * Latvian  language support (Thanks Artis Trops)
*02/09/14:
   * Fixed bug [ 604463 ] mplayer fullscreen fails (Henrik)
     Window.cc
   * Added Color.cc and moved color handling from Image.cc to it.
     (Henrik)
   * Added Texture.cc and Texture::setFromString (Henrik)
   * Proper handling of sticky windows when cycling (Simon)

---------------------------------------------------------------------
Changes for 0.1.12/13:
*02/09/12:
   * Removed -fg and -bg settings in fluxbox-generate_menu
   * Made a temporary fix for sticky windows (Thanks Simon Bowden)
*02/09/10:
   * Fixed deadlock in the new transient handling
     Window.cc
   * Fixed minor issue with sending window to another workspace via
     blackbox-atoms.
     Window.cc
   * Fixed focus issue for transients.
     Window.cc
   * Fixed so Gnome win state is checked after window creation.
     bug [ 548957 ] fspanel doesnt become sticky
     Window.cc
*02/09/08:
   * Fixed new transient handling
     Workspace.cc/hh, Screen.cc/hh, Window.cc/hh, Slit.cc, Toolbar.cc
*02/09/07:
   * Fixed save workspace names when add/remove workspace (Thanks Simon Bowden)
     Workspacemenu.cc
   * Fixed outlined size when resizing (Thanks Simon Bowden)
     Window.cc
   * Moved data/fluxbox-generate_menu to util/ .
   * Moved Gnome stuff to Gnome.cc/hh.
     Screen.cc/hh, Window.cc/hh, fluxbox.cc/hh
   * Added Subject.cc/hh, Observer.cc/hh,  Gnome.cc/hh and AtomHandler.hh
*02/09/06:
   * Fixed workspace name update from toolbar (Thanks Bradley C Bailey)
     Toolbar.cc
   * Deiconify before send to workspace (Thanks Bradley C Bailey)
     Windowmenu.cc

--------------------------------------------------------------------------
Changes for 0.1.11:
*02/09/02:
   * New theme BlueNight (Thanks mack)
*02/08/31:
   * Fixed minor issue with window moving across workspace in outlined mode
     (Thanks Simon Bowden)
     Window.cc
*02/08/30:
   * Removed BaseDisplay::GrabGuard  (Thanks Simon Bowden)
   * Carry a window across workspace in non-opaque mode (Thanks Simon Bowden)
     Window.cc/hh, Screen.cc/hh, fluxbox.cc
   * Removed TDF theme
   * Added new theme: LemonSpace (Thanks xlife)
   * Fixed transient windows checking
     Window.cc, Workspace.cc
*02/08/28:
   * Minor fix in bsetbg (Thanks Han)
   * Fixed bug [ 582574 ] borderless windows cant be horiz resized.
     (Thanks Simon Bowden)
     Window.cc
   * Fixed bug [ 600811 ] undefined keys messes up
     Keys.cc
*02/08/24:
   * Fixed workspace name and the reassociation bug (Thanks Simon Bowden)
   * Fixed bug [ 598490 ] misplaced parentrelative gives redrw prb
   * Fixed bug [ 586830 ], the clock now updates once per second.
*02/08/20:
   * New fluxbox util: fbrun
*02/08/18:
   * Added FbTk::EventHandler, a generic eventhandler
   * Changed FbTk::SignalHandler to use FbTk::EventHandler with FbTk::SignalEvent
   * Moved some functions from BaseDisplay to Fluxbox, and
     made BaseDisplay singleton type with FbTk::EventHandler<XEvent>
   * Cleaning in fluxbox-generate_menu (Thanks Han)
*02/08/16:
   * Minor cleaning in Window.cc
*02/08/14:
   * Added class SignalHandler (SignalHandler.hh/cc) which should
     take care of any system signals
   * Change FbAtoms in to a singleton
   * Changed expandFilename to use std::string
*02/08/12:
   * The window menu now popups in iconbar when you right click on the icon.
   * Fixed bug [ 574717 ] restaring fluxbox should keep iconic.
     The gnome atom wasn't updated when the window change to iconic state
*02/08/11:
   * New menu items (Thanks Cosmic Flo)
   * Added Autogrouping
     * Add this line: session.groupFile: ~/.fluxbox/group
       to the file ~/.fluxbox/init and edit ~/.fluxbox/group
       Groupfile format:
       There is one group for each line in the file
       and you just type the instance name of the program
       to be grouped. Ex:
       Navigator nedit
       xterm
       This will make two groups, one with netscape and nedit
       and one with xterm.
       The new window will only group itself to other windows
       on the same workspace and to the last window that was
       focused.
*02/08/10:
   * French translation in fluxbox-generate_menu (Thanks Cosmic Flo)
*02/08/04:
   * Fixed doxygen comments and minor clean up.
*02/08/02:
   * autogrouping-from-tab patch (Thanks Steve Cooper)
     This will allow you to popup the root menu, if you right click,
     and select an application and it'll start grouped to the tab.
*02/07/23:
   * Fixed "send to..." bug (Thanks Bradley C Bailey)
   * Moved BTexture from Image.hh to FbTk::Texture in Texture.hh
   * Moved BColor from Image.hh to FbTk::Color in Color.hh
   * Slit theme, you can now have theme on the slit:
      slit: <texture option>
      slit.color: <color value>
      slit.colorTo: <color value>
     If slit isn't present in the theme it'll fall back to
     toolbar theme.
*02/07/19:
   * Fixed slitlist bug
     Slit wasn't reading the entire line from slitlist.
   * Added ja_JP to fluxbox-generate_menu script (Thanks Junichiro Kita)
   * Updated nls/ja_JP/ (Thanks Junichiro Kita)
   * Changed some function names
--------------------------------------------------------------------

Changes for 0.1.10:
*02/07/13:
   * Added xsri target in bsetbg (Thanks Jeramy)
   * Fixed bug [ 566277 ] xine fullscreen causes hard X lockup.
     Invalid win and screen pointer in Fluxbox::setFocusedWindow
*02/07/10:
   * Fixed border and handle in Window.cc so we don't show them as default,
     if the window is transient.
     (bug [ 554218 ] windows have wrong resizeableness)
*02/06/14:
   * Extra checking for transient, so we don't get lockup
*02/06/04:
   * Fixed Resize/Move even without decorations.
*02/06/03:
   * Fixed bug [ 562882 ] "bbpager in slit doesn't work correctly".
     The client was removed from netizenlist in ~FluxboxWindow.
   * Fixed bug [ 562713 ] "incorrect listings in workspace menu".
     Normal insert of new clients in the list again, in
     Workspace::addWindow
   * Fixed bug [ 554646 ] "Dialog boxes have tabs briefly"
     Windows that are not maximizable by default, such as
     dialogs, wont get a tab by default.
*02/06/01:
   * Updated nl_NL locales in fluxbox-generate_menu (Thanks Han Boetes)
*02/05/31:
   * Added ru_RU locales to fluxbox-generate_menu (Thanks Anton Denisov)
*02/05/29:
   * Made some cleaning in class FluxboxWindow:
     Removed unused variable, moved Mwm* defines into enums in
     the class, changed (void) to ()  (C++ uses void as default, and (void)
     is really anoying to look at when syntax highlight is on) and
     removed NAME_* defines since they're no longer in use
   * Fixed "Desktop Wheeling" translation in ru_RU (Thanks Anton Denisov)
   * Added slit order (Thanks Steve Cooper)
   * Fixed language support in fluxbox-generate_menu:
      * sv_SE
      * nl_NL - Thanks Han Boetes
      * fi_FI - Thanks Christian Rönn
   * Fixed inverted highlight on toggle-items that are selected (Thanks Junichiro Kita)
*02/05/25:
   * Fixed NLS variable in configure.in (Thanks kita)
   * Minor fixes in fluxbox-generate_menu script (Thanks xyrnix)

---------------------------------------------------------------------

Changes for 0.1.9:
*02/05/24:
   * Fixed bugs and arguments in fluxbox-generate_menu (Thanks Han Boetes)
   * Fixed include in i18n.hh so it compiles in Mac OS X
   * 24 hour clock format as default now
*02/05/23:
   * Fixed invalid iterator in Timer.cc
   * Fixed nls files (Thanks Anton Denisov)
   * Updated generate_menu to fluxbox-generate_menu and fixed
     new items and functionality (Thanks Han Boetes and Jeramy B. Smith)
*02/05/21:
   * Moved transient checking into a function in class FluxboxWindow
   * const fixes in Screen.hh
*02/05/19:
   * Removed titlebar from src/Makefile.am and doc/fluxbox.1.in (Thanks Matt Hope)
   * Added configurable geometry show (Thanks Rando Christensen)
     New configure in init: session.screen0.showwindowposition
*02/05/18:
   * Fixed style save_rc when changing style
   * const-correct in class Tab
*02/05/17:
   * Removed some unnessesary const return values on fundamental types
   * Fixed const-correct on Resource class and BTexture class
   * Fixed transient bug, although the transient code should be better.
   * Minor fixes so it compiles with Intel(tm) Linux Compiler 6.0
   * Clean up in class FluxboxWindow
*02/05/08:
   * Fixed checking on focused_window in handleKeyEvents, fluxbox.cc
   * Added "Allow Desktop MouseWheel Switching" runtime option (Thanks Rando Christensen)
   * Fixed Slit saving bug and slit update bug when you start fluxbox.
*02/05/07:
   * Fixed a minor bug in DrawUtil.cc (Thanks Sang-Hoon RHEE)
   * Fixed bug [ 552723 ] removing decorations while shaded. (Thanks Joel Carlbark)
   * const iterators in Screen::updateGnomeList
   * fixed some const in Workspace and moved clientmenu from pointer to regular
   * Minor clean up in Workspacemenu.cc/hh, Clientmenu.cc/hh, Netizen.hh/cc
   * const fixes in FbAtoms.hh
   * Added options direct to CXXFLAGS in configure.in, so we don't need to
     add them in every Makefile.am-file.
   * Updated src/Makefile.am and util/Makefile.am (see above)
*02/05/03:
   * Fixed so settings for tool bar saves when you change them i the menu
     in Toolbar.cc
*02/05/02:
   * Added FirstTab, LastTab, MoveTabPrev and MoveTabNext keybindings (Thanks Phil Dier)
   * Fixed ScreenList in fluxbox.cc
   * Removed "NULL" from Font.cc
*02/04/28:
   * Fixed shade bug while vertical rotated tabs and tabs off (Thanks signal9)
   * Fluxbox doesn't save on exit anymore so restart of fluxbox will reread
     configuration
   * Minor clean up in Configmenu.hh/cc
   * Fixed bug [ 515483 ] "XMMS Problem", in Window.cc,
     decorations.handle and decorations.border now = true on transient windows
*02/04/26:
   * Fixed m_multibyte in Font.cc (Thanks kita)
*02/04/20:
   * Fixed menu.font string in Theme.cc

--------------------------------------------------------------
Changes for 0.1.8:
*02/04/19:
   * Added ToggleTab to key actions (Thanks Matt Hope)
*02/04/17:
   * Added workspace change when scrolling on the root window function
   * Fixed workspace warping bug when moving a tab-group
*02/04/14:
   * Fixed decoration.handle bug
   * Fixed tabs default off (Thanks Dave Watson)
*02/04/12:
   * Added Workspace warping, this does only work with opaque moving (Thanks Steve Cooper)
   * Fixed menu bug
*02/04/09:
   * Added RootMenu action to Keys.cc/hh and fluxbox.cc , this will pop up the
     Root menu. (Thanks Stanislav Karchebny)
   * Removed LinkedList.cc/hh
   * Fixed std::map, std::list, std::vector in class Fluxbox
   * Clean up in Workspace.hh/cc
*02/04/08:
   * Fixed a few comments in StringUtil.cc (Thanks Maurits Dijkstra)
   * Clean up in Basemenu.hh/cc
*02/04/05:
   * Fixed unsigned/signed in Basemenu.cc
*02/04/04:
   * Moved NLS types from #define to enums and moved them into
     namespace FBNLS, this way we don't pollute the global namespace too much.
   * Fixed the i18n checking with MB_CUR_MAX and some other fixes
     from the blackbox code (Thanks bb-developers).
   * Fixed bug [ 528101 ] window dragging + workspace changing
   * Fixed ToggleDecor key action (still some small decoration-bugs to fix)
   * Moved enum Decor from BaseDisplay to FluxboxWindow
   * Updated Makefile.am in nls/C to generate namespace and enum for blackbox-nls.hh
   * Fixed bug [ 533436 ] Minor taskbar issue, it will update iconbar-text now.
*02/04/03:
   * Fixed some signed/unsigned in Windowmenu.cc/hh, Slit.hh/cc, Basemenu.hh,
     Icon.hh/cc and Workspacemenu.cc/hh
   * Fixed reassociateWindow in Tab.cc
   * Fixed font in some styles (Thanks Matt Hope)
   * Changed icon and title name to std::string in FluxboxWindow
   * Removed int Basemenu::insert(char **, int = -1, int = 0);
*02/04/02:
   * Fixed smarter next/prev focus in Screen.cc/.hh and addWindow in Workspace.cc
     Makes new windows get inserted after the focused window in the cycling
     order instead of always at the end. (Thanks Ben Jansens)
   * Added doSkipWindow function in Screen.hh/cc
   * Fixed some signed/unsigened in fluxbox.cc
*02/03/27:
   * Fixed includes and namespace in Font.cc/hh
*02/03/21:
   * Added FbTk::Font to the code, Font.hh/cc
   * Changed MenuStyle font to FbTk::Font
   * Changed DrawUtil to namespace
*02/03/20:
   * Fixed some unsigned/signed stuff in Basemenu.cc/hh
   * Rearranged public/private order in Slit.hh
   * Removed #include "BaseDisplay.hh" and added #include <unistd.h>
     in Timer.cc
   * Changed StringUtil to namespace instead of struct
*02/03/19:
   * Added Xinerama support
*02/03/18:
   * Fixed indentation to tabs in Image.cc/hh Slit.cc/hh and
     Timer.hh/cc
   * Changed timer pointer in some classes to
     a non pointer variable
   * Clean up in class BTimer (Timer.cc/hh)
     BTimer now register it self to a static list in the class BTimer
     and update timers with the static function updateTimers(int fd)
     The cyclic dep between BaseDisplay and BTimer is now gone.
   * Added FbAtoms.hh/cc where all the atoms is.
     Makes the interface in BaseDisplay cleaner
   * Fixed std::max/min
   * Added better window cycling with optional parameters (Thanks Steve Cooper)
     NextWindow and PrevWindow now takes an integer parameter.
     parameter values:
     0 or unspecified = Default/current behavior - no skipping
     1 = Skip: lower tabs
     2 = Skip: stuck windows
     3 = Skip: lower tabs/stuck windows
     4 = Skip: shaded windows
     5 = Skip: lower tabs/shaded windows
     6 = Skip: stuck windows/shaded windows
     7 = Skip: lower tabs/stuck windows/shaded windows
*02/03/15:
    * Xinerama support, maximizes windows to the current heads size, places
      windows on the current head, makes it possible to place toolbar on
      the different heads, also possible with the slit. Menus will be placed
      on the current head too. (Claes Nästen)
*02/03/13:
    * Fixed window placement, now tabs are taking in account. Also,
      no spaced are put inbetween windows to save space. (Claes Nästen)
*02/03/11:
   * Fixed some KDE stuff in Slit.cc (Thanks Tommi Komulainen)
*02/03/08:
   * Fixed bug in BScreen::removeNetizen
     if there was only one netizen object in the list
     delete *netizenList.erase(it) would segfault
   * Some clean up in main.cc

-------------------------------------------------------
Changes for 0.1.7:
*02/03/01:
   * Fixed default values for title bar
*02/02/27:
   * Fixed add/remove workspace bug in Screen.cc
   * Fixed generate_menu (Thanks Preben Peppe Guldberg)
*02/02/26:
   * indentation in Workspace.hh
   * Added key action SENDTOWORKSPACE (Thanks Oliwier Ptak)
*02/02/24:
   * Added setupConfigFiles in class Fluxbox
     copies configfiles to ~/.fluxbox/
*02/02/23:
   * Added Bulgarian translation (Thanks Miroslav Iordanov)
   * Added Japanese translation (Thanks Takashi KATAYAMA)
*02/02/21:
   * Bug fix in _WIN_CLIENT_LIST
*02/02/20:
   * Added _WIN_CLIENT_LIST
   * Fixed parameter to key bindings (Thanks Tomer Kol)
   * Fixed a bug in BScreen::raiseWindow
*02/02/17:
   * Fixed _WIN_WORKSPACE_COUNT
   * Clean up in menu parsing
   * Fixed WIN_HINTS_SKIP_FOCUS
   * Fixed icon bar bug
*02/02/16:
   * Updated include guards
   * Added _WIN_LAYER
   * Fixed more on _WIN_STATE
*02/02/13:
   * Fixed bug in Window.cc
*02/02/11:
   * Fixed bug in Screen and Workspace
   * Fixed timer bug in BaseDisplay
   * Remove throw in FluxboxWindow
     creation of a window should be checked with isManaged
*02/02/09:
   * Fixed bug in Workspace::removeWindow
   * Moved to STL vector in BaseDisplay (Thanks Paul W Brannan)
*02/02/08:
   * Back to STL list
   * Fixed bug in Basemenu.hh (Thanks Paul W Brannan)
*02/02/06:
   * Reverted back to LinkedList in Toolbar.cc/.hh, Screen.hh/Screen.cc
     due to some strange segfaults.
   * Added Gnome _WIN_STATE (sticky, minimized, shaded)
*02/02/05:
   * Fixed a signed/unsigned problem
   * Moved keyhandling, buttonevent and clientmessage to
     functions in fluxbox.cc
*02/02/04:
   * Fixed some unsigned/signed warnings
   * Moved from LinkedList to STL in some files (Thanks Paul W Brannan)
   * Added pt_PT to nls  (Portuguese) (Thanks Luis Medinas)
   * Fixed multibyte in Iconbar (Thanks Jesper Louis Andersen)
   * Removed some unnecessary timer->stop() (Thanks Jesper Louis Andersen)
*02/02/02:
   * Added leftWorkspace and rightWorkspace, now those keybindings
     actually work. (Claes Nästén)
   * Fixed small glitch in Tab.cc. (Claes Nästén)
*02/01/31:
   * Fixed _WIN_WORKSPACE and _WIN_WORKSPACE_COUNT
*02/01/30:
   * Fixed width or height less than zero problem in
     FluxboxWindow::configure
   * Added numObjects() (Thanks Jesper Louis Andersen)
*02/01/27:
   * Clean up in menu loading
   * Moved from old C style file reading to c++ istream in menu loading
   * Fixed small bug in StringUtil::expandFilename (Thanks Mauro Persano)
*02/01/26:
   * Fixed BadWindow error from ~FluxboxWindow (frame.handle was destroyed
     before the children)
   * Fixed indentation in BaseDisplay.hh/.cc and changed some variables
   * Updated Russian translation (Thanks Anton Denisov)
   * Clean up in Tab code (Thanks Jesper Louis Andersen)
*02/01/20:
   * Fixed std::string for Toolbar workspace name change.
   * Added getStringBetween to StringUtil
*02/01/19:
   * Fixed some screen resources to Resource<T>
   * Updated init.in
   * Created GrabGuard for BaseDisplay
*02/01/18:
   * Fixed bsetroot, now Eterm's, XChat's and similar will be able to use
     bsetroot's background images. (Claes Nästén)
   * Fixed ResourceManager
   * Changed resources to Resource<T> in class Fluxbox
   * Added Resource.hh/.cc, XrmDatabaseHelper.hh,
     NotCopyable.hh
*02/01/16:
   * Fixed indent in Window.hh
*02/01/15:
   * Fixed exception in FluxboxWindow::FluxboxWindow
   * Fixed lower/raise of windows when using windowmenu/keybinding
     so now tabs should follow. (Claes Nästén)
*02/01/14:
   * Fixed throw statement in FluxboxWindow

Changes for 0.1.6:
*02/01/11:
   * Fixed small bug in keybindings code, now killwindow and shade will
     work as supposed with tabs. (Claes Nästén)
   * Fixed so it compiles with cygwin (Thanks Eric Nicolas)
   * Fixed bug in maximize over slit option
   * Updated documents (Thanks Rando Christensen)
*02/01/10:
   * Fixed {VERT,HORIZ}{INC,DEC} keybindings so that tabs will
     resize/reposition. (Claes Nästén)
   * Updated documentation (Thanks Rando Christensen)
   * All enums are now changed to uppercase letters. (Claes Nästén)
   * Now tabs won't appear on some apps where they shouldn't,
     for example bbpager and mplayer. (Claes Nästén)
   * Fixed rootCommand to screen, so we can have
     different rootcommands on the different screens
   * Fixed so we can disable lines in the keyfile with a #
   * Fixed raise with mouse click while sloppy window focus
*02/01/09:
   * Updated copyright date
   * Updated generate_menu (Thanks zyrnix)
   * Fixed Withdraw state
   * Clean up in old gnome atom code
*02/01/08:
   * Made class Keys more independent (layer 2). class Keys now only
     depends on StringUtil.
   * Replaced the old strtok in Keys with a new stringtok from
     StringUtil this should make the config file less restrictive
   * Added stringtok to StringUtil
   * Removed Fluxbox dependency from class Theme
   * Fixed closebutton bug
   * Fixed memory leak in Keys
*02/01/06:
   * Changed toolbar placement enums to uppercase letters (Claes Nästén)
   * Moved strcasestr from Theme.cc to StringUtil
   * Created StringUtil and DrawUtil and moved all functions from Misc to them
*02/01/05:
   * Changed placement/alignment enums to uppercase letters (Claes Nästén)
   * Fixed tab/iconbar resource bug (Claes Nästén)
   * Applied "maximize slit stop"-patch  (Thanks Andrew Livesay)
   * Fixed stickytoggle bug in Windowmenu (Thanks Chris Elston)
   * Fixed shade bug in Windowmenu
   * Fixed error in nls/it_IT/Makefile.am
   * Updated french translation (Thanks Fabien Devaux)
   * Fixed focus Configmenu bug
*02/01/04:
   * Fixed keybinding bug (Thanks Devaux Fabien)
*02/01/01:
   * Updated the man page (Thanks Matthew Hawkins)
   * Fixed windowmenu bug when resizing with num/caps/scrollock on (Thanks Devaux Fabien)
   * Restored lower window with mouse feature
*01/12/29:
   * Fixed slit:onTop with toolbar:onTop bug
   * Changed Keygrabbing constants to uppercase
   * Changed Texture constants to uppercase and moved them into class BImage
     to clean up the global namespace
*01/12/27:
   * Fixed grabVertMax and grabHorizMax + 1 pixel maximise bug. (Claes Nästén)
   * Now relative and vertical tabs gets textures rendered ok, still
    interlaced and gradients aren't rendered in right direction. (Claes Nästén)
*01/12/26:
   * Fixed tab and iconbar uppdating so that tab and iconbar labels will have
    the right text. (Claes Nästén)
*01/12/23:
   * Fixed a bug in Tab::buttonReleaseEvent and added sloppyWindowGrouping
     wich lets you release windows tabs on other windows and not only other
     tabs to group them (Claes Nästén)
*01/12/19:
   * Moved some structs from file scope of BaseDisplay.hh in to class BaseDisplay
   * Fixed redraw bug when changing workspace
*01/12/17:
   * Fixed errorchecking in Misc::DrawString and Misc::DrawRotString (me)
   * Fixed tabcycling (Thanks Mike Walker)
   * Moved expandFilename from class Fluxbox to class Misc (me)
*01/12/14
   * Moved Tab width and height functions to screen, new syntax is
      session.screenX.tab.width (Claes Nästén)
*01/12/13:
   * Moved all free functions in misc.cc/.hh into a class Misc
   * Moved struct FFont from Theme.hh to class Misc so the
     cyclic dep between class Theme and class Misc is removed.
   * Updated Screen.hh to return reference instead of pointer in
     get*Style
   * Updated Window.cc, Toolbar.cc, Tab.cc to the new DrawString
     functions in class Misc
   * Moved and renamed bstrdup from BaseDisplay.hh/.cc to class Misc
*01/12/12:
   * Updated russian translation (Thanks Sergey Volozhanin)
   * Updated man-page (Thanks Matthew Hawkins)
*01/12/11:
   * Fixed alt+resize and pressing button1 bug (me)
   * Cleaned Tab::insert up and fix a bug in it. (Claes Nästén)
 *01/12/10
   * Added NLS for Windowmenu Tab toggle (Claes Nästén)
   * Fixed Tab toggle texture / positioning "bug" (Claes Nästén)

Changes for 0.1.5:

*01/12/09
   * Added execCommand to keybindings
   * Added new theme qnx-photon
   * Fixed util/Makefile.am
   * Bugfix in Tab::insert
*01/12/08:
   * Fixed "Move Group to..."-bug  (me)
   * Updated AUTHORS (me)
   * Fixed ungrabbing keys in Keys::load (me)
   * Added rootCommand override (Joel Carlbark)
   * Updated Tab code (Cleas Nästén)
   * Moved some structs and enums in to the classes
     to clean up the global namespace. (me)
   * Added grabNextTab, grabPrevTab, grabAbortKeychain (me)
   * Added mergeTree in class Keys (me)
   * Added Italian nls (Thanks Giuseppe Ciotta <giuseppe.ciotta@libero.it>)
   * Changed name on the includeguards (me)
   * Updated the doc/Coding_style (me)
   * Added "none" to titlebar config
     so users can create a titlebar without buttons (Joel Carlbark)
   * Fixed reversed justify in menustyle (me)
*01/12/05:
   * Updated Tab code (Claes Nästén)
*01/12/03:
   * Added "tab" in Windowmenu.cc (me)
   * Updated Tab code (Claes Nästén)
*01/12/01:
   * Fixed chained keybinding so we can do "emacs-keybindingstyle" (me)
*01/11/30:
   * Fixed position code for tabs (me)
   * Fixed tabconfigmenu bug (me)
   * Added new keybinding code (me)
   * Removed old bbkeys code (me)
*01/11/29:
   * applied Tab position patch (Claes Nästén)
   * Fixed transient_for-bug, Fluxbox::~FluxboxWindow (me)
     client.transient_for didn't got focus and caused the (me)
     Fluxbox::focused_window to be a badpointer since
     the focused_window was pointing to an already destroyed
     FluxboxWindow. (me)
*01/11/27:
   * Added alignment for tabs in Tab.cc  (me)
*01/11/22:
   * Added wheelscroll to change tab on titlebar. Window.cc/.hh (me)
*01/11/20:
   * Screen.hh/cc Added updateWorkspaceNamesAtom
     updates the gnome atom _WIN_WORKSPACE_NAMES (me)
*01/11/18:
   * Window.cc Fixed "invalid pixmap" error (me)
*01/11/17:
   * Gnome _WIN_WORKSPACE (me)
   * Gnome _WIN_WORKSPACE_COUNT (me)
   * Gnome _WIN_CLIENT_LIST  (me)
*01/11/15:
   * Added --enable-gnome to configure.in (me)
*01/11/14:
   * Added Gnome atoms (BaseDisplay.cc/hh) (me)
*01/11/13:
   * Fixed grabs for window. No we can Alt+Move window with
     Numlock, Capslock and Scrolllock on. (me)
   * Fixed nls for "Use Icons" and "Use Tabs" (Claes Nästén)
   * Removed BScreen::LoadStyle() (me)
*01/11/12:
   * Tab::draw, DrawString  (me)
   * FluxboxWindow::redrawLabel,  DrawString (me)
   * Moved strcasestr to misc.hh/cc (me)
   * Added DrawString function in misc.hh/cc (me)
   * Added misc.cc/hh  (me)
*01/11/11:
   * Theme.cc/.hh added to source, handles all theme loading (me)
*01/11/09:
   * Fixed bug in Fluxbox::getRcFilename() (me)
*01/11/07:
   * Removed a not working wheelscroll on rootwindow in fluxbox.cc (me)
   * Moved wheelscroll in Toolbar.cc from pressEvent to releaseEvent (me)
   * Fixed some nls in data (me)
*01/11/06:
   * Fixed syntaxerror in Makro and CleanColor theme (me)
   * First part of restructure for themes (me)
*01/11/05:
   * Clean up in IconBar.cc (me)
*01/11/04:
   * Fixed so it compiles with gcc 3.0.x (me)

Changes for 0.1.4:

*01/11/03: Added new theme: Carbondioxide by skypher
*01/11/03: Fixed bsetbg in utils/Makefile.am
*01/11/02: Clean up
*01/11/02: Added session.iconbar to config file
*01/11/02: Changed the generate_menu skript to clean sh
*01/11/02: Updated skyphers theme (Clean, CleanColor, MerleyKay, Makro)
*01/11/02: Fixed parentrelative in tabs
*01/11/02: Fixed so the tab disconnects when it iconifies
*01/11/02: Added "Use Iconbar" to configmenu
*01/11/01: Added iconbar to the toolbar (new files IconBar.cc/.hh)
*01/10/31: Added border to tabs
*01/10/31: Removed workspace change when wheelscroll on titlebar
*01/10/31: Fixed so shade is correct when linkin tabs
*01/10/31: Fixed default color/texture for tab to be the same as titlebar
           if the theme is a blackbox theme.
*01/10/29: Added KDE support (thanks Dan Williams for the blackbox patch)
*01/10/29: Fixed reconfigure-bug for tabs
*01/10/28: Added "Use Tabs" in configure menu
*01/10/28: Added theme support for tabs
*01/10/28: Fixed the move bug when moving a tablist

Changes for 0.1.3:

* Default focusmode is ClickToFocus
  changed in fluxbox.cc

* fluxbox.hh
  added resource.tabs

* fluxbox.cc
  added enterNotify for tabs
  added load/save in load_rc() save_rc() for resource.tabs

* blackbox-nls.hh
  added WindowmenuSendGroupTo

* Windowmenu.hh,.cc
  added sendGroupTo() so we can send a hole
  list to another workspace

* Tab.hh,.cc:
  Added functions: iconify, deiconfigy, withdraw,
                   disconnect, insert, shade
                   EnterNotifyMask for tabwindow

* fluxbox.cc: getRcFilename
  fixed correct lenght on dbfile

* Window.cc: motionNotifyEvent
  removed unnecessary 'else if'-statement

* Screen.cc: LoadStyle()
  changed exit to throw

* Screen.cc: prevWorkspace, nextWorkspace
  fixed revers workspace change.

Changes for Fluxbox 0.1.2:

* Added doc/Coding_style

* FluxboxWindow.cc: FluxboxWindow::buttonPressEvent
  fixed so the shade button is drawn in pressed mode.

* CleanColor theme: error fixed.

* default theme is now: Clean

* fluxbox.hh,.cc: execCommand removed
  uses bexec from BaseDisplay.hh, to grabExecute in process_event, instead.

* Window.cc: FluxboxWindow::FluxboxWindow
  Changed event_mask for XGrabButton frame.plate from 0 to AnyModifier
  and ungrabs Mod1-3.
  This should fix the focus "bug" when num lock, caps lock or scroll lock
  are pressed.

* fluxbox.cc: Fluxbox::process_event
  fixed an error check on getAction in
  KeyPress case.

* I18n class is now singleton type

* Changed name on:
  Blackbox class to Fluxbox
  BlackboxWindow to FluxboxWindow

* Changed name on file blackbox.cc and blackbox.hh to
  fluxbox.cc and fluxbox.hh

Changes from Blackbox 0.61.1 to Fluxbox 0.1.1:

* Integrated bbkeys in code.
  "session.keyFile: thekeyfile" in the file init

* "make dist" now creates a "functional" tarball

* Escape cancels edit workspace name
  and return to old name

* New coding style
  using tab instead of space for ident

* Variable titlebar
  The buttons on the titlebar can now be configured.

* Wheelscroll
  Wheelscroll function on titlebar and toolbar changes workspace

* Config path
  The config path is now ~/.fluxbox

* Toolbar.cc: ~Toolbar
  memory leak fix
  It didnt remove some windows in ToolbarSearch.

* Blackbox class now singleton type

